import bb.cascades 1.0

Container {
    property string tileTitleBackgroundColor: "#2f2f2f"
    
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center

    Container {
        objectName: "liveTileFirstRow"
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        Container{
            objectName: "chatLiveTile"
            layout: DockLayout {
            }
            leftPadding: 12
            rightPadding: 4
            topPadding: 13
            ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
            Container { // padding
	            topPadding: 2
	            rightPadding: 4
	            leftPadding: 4
	            bottomPadding: 6
                preferredWidth: 344
                Container {
	                layout: DockLayout {
	                }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    Container {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    ImageView {
	                        objectName: "image"
	                        imageSource: "asset:///images/GroupLobbyPage/chat.png"
	                        scalingMethod: ScalingMethod.AspectFill
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            
                        }
	                    ImageView {
	                        objectName: "avatar"
	                        preferredHeight: 230
	                        scalingMethod: ScalingMethod.AspectFill
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Top

                        }
	                    Container {
	                        topPadding: 187
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	
	                        Container { // blue speech bubble image
	                            horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                layout: DockLayout {
	                            }
	                            ImageView { // bubble image
	                                imageSource: "asset:///images/GroupLobbyPage/chats_tile_bubble.png"
	                                scalingMethod: ScalingMethod.Fill
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Fill
	                            } // bubble image
	                            Container { // bubble text
	                                topPadding: 25
	                                bottomPadding: 35
	                                leftPadding: 20
                                    rightPadding: 20
                                    horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Fill
	                                Label {
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Center
	                                    bottomMargin: 0
	                                    objectName: "contactName"
	                                    textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                                    textStyle.fontSize: FontSize.PointValue
	                                    textStyle.fontSizeValue: 9
	                                    textStyle.color: Color.create("#121212")
	                            	    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            	    textFormat: TextFormat.Plain
	                                }
	                                Label {
	                                    topMargin: 0
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Fill
	                                    objectName: "chatText"
	                                    multiline: true
	                                    textStyle.fontSize: FontSize.PointValue
	                                    textStyle.fontSizeValue: 7
	                                    textStyle.color: Color.create("#121212")
	                            	    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            	    textFormat: TextFormat.Plain
                                        layoutProperties: StackLayoutProperties {
                                            spaceQuota: 1
                                        }
                                    }
	                            } // bubble text
	                        }
	                    }
	                }
	            }
	            Container { // black label
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
                    background: Color.Black
	                Label {
                        objectName: "title"
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    textStyle.base: SystemDefaults.TextStyles.BodyText
	                    textStyle.color: Color.White
	                    textStyle.fontSize: FontSize.PointValue
                         textStyle.fontSizeValue: 6
	                }
	            } // black label
	        } // padding
	        ImageView {
                objectName: "chatSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
	    }
        Container{
	        objectName: "pictureLiveTile"
	        layout: DockLayout {
	        }
            leftPadding: 4
            rightPadding: 4
            topPadding: 13
            ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
            Container {
	            topPadding: 2
	            rightPadding: 4
	            leftPadding: 4
                bottomPadding: 6
                preferredWidth: 344
                Container {
	                horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    background: Color.White
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    layout: DockLayout {
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        layout: DockLayout {
	                    }
	                    ImageView {
	                        id: imageBackground
	                        objectName: "imageBackground"
	                        // chat.png is same as picture.png, so use that one, saves us 100KB
	                        imageSource: "asset:///images/GroupLobbyPage/chat.png"
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	                    }
	                    ImageView {
	                        id: imagePreview
	                        objectName: "imagePreview"
	                        visible: ! containerNoPictures.visible
	                        scalingMethod: ScalingMethod.AspectFill
                            
                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
	                    }
	                }
	                Container {
	                    id: containerNoPictures
	                    objectName: "containerNoPictures"
	                    horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        //topPadding: 100
	                    visible: false
                        
                        ImageView {
	                        objectName: "add"
	                        imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                    Label {
	                        objectName: "pictureText"
	                        text: qsTr("Add") + Retranslate.onLanguageChanged
	                        visible: true
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                        textStyle.fontSize: FontSize.PointValue
                            textStyle.fontSizeValue: 11
	                        textStyle.color: Color.Black
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
                    background: Color.Black
	                Label {
	                    objectName: "title"
	                    leftMargin: 0
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    textStyle.color: Color.White
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                }
	            }
	        }
	        ImageView {
                objectName: "pictureSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
	    }
	    
        Container{
            objectName: "listLiveTile"
	        layout: DockLayout {
	        }
            leftPadding: 4
            rightPadding: 4
            topPadding: 13
            ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
            Container {
	            topPadding: 2
	            rightPadding: 4
	            leftPadding: 4
                bottomPadding: 6
                preferredWidth: 344
                Container {
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
	                background: Color.White
	                layout: DockLayout {
	                }
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    Container {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    Container {
                            preferredHeight: 80
	                        layout: DockLayout {
	                        }
	                        topPadding: 0
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Top
                            ImageView {
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                imageSource: "asset:///images/GroupLobbyPage/ListBannerBackground.png"
                                scalingMethod: ScalingMethod.Fill
                            }
                            Label {
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                            objectName: "listNameLabel"	                           
                                visible: ! noListContainer.visible
                                textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 9
								textStyle.color: Color.create("#121212")
								textStyle.fontWeight: SystemDefaults.FontWeight.Bold
								content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                             textFormat: TextFormat.Plain
	                        }
	                    }
	                    Container {
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Center
	                        id: noListContainer
	                        objectName: "noListContainer"
	                        topPadding: 50
	                        visible: false
                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
                            ImageView {
	                            objectName: "add"
	                            imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                            scalingMethod: ScalingMethod.AspectFill
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        Label {
	                            objectName: "listText"
	                            text: qsTr("Add") + Retranslate.onLanguageChanged
	                            visible: true
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                            textStyle.base: SystemDefaults.TextStyles.SmallText
                                textStyle.color: Color.Black
	                            textStyle.fontSize: FontSize.PointValue
                                 textStyle.fontSizeValue: 11
	                        }
	                    }
                        Container {
	                        layout: DockLayout {
	                        }
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	                        id: listItemContainer
	                        objectName: "listItemContainer"
	                        visible: ! noListContainer.visible
	                        Container {
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Top
	                            layout: StackLayout {
	                                orientation: LayoutOrientation.LeftToRight
	                            }
	                            topPadding: 90
	                            leftPadding: 15
	                            rightPadding: 15
	                            bottomPadding: 20
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: 1
                                }
                                CheckBox {
	                                id: listItemCheckBox
	                                objectName: "listItemCheckBox"
	                                enabled: true                                    
	                            }
	                            Label {
	                                id: listItemLabel
	                                objectName: "listItemLabel"
	                                multiline: true
	                                textStyle.fontSize: FontSize.PointValue
	                                textStyle.fontSizeValue: 7
									textStyle.color: Color.create("#121212")
									content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                            	    textFormat: TextFormat.Plain
	                            }
	                        }
	                        Container {
	                            // this container is only used to prevent interaction with the checkbox
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Fill
	                            opacity: 0.0
	                        }
	                        Container {
	                            layout: DockLayout {
	                            }
	                            leftPadding: 20
                                rightPadding: 20
                                bottomPadding: 20
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Bottom
	                            Label {
	                                objectName: "dueDateLabel"	                                
	                                textStyle.color: Color.create("#555555")
	                                textStyle.fontSize: FontSize.PointValue
	                                textStyle.fontSizeValue: 6
                                    horizontalAlignment: HorizontalAlignment.Fill
                                }
	                        }
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
                    background: Color.Black
	                Label {
	                    objectName: "title"	                    
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    textStyle.color: Color.White
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                }
	            }
	        }
	        ImageView {
                objectName: "listSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
        }
        Container{
	        objectName: "eventLiveTile"
	        layout: DockLayout {
	        }
            leftPadding: 4
            rightPadding: 12
            topPadding: 13
            ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
            
            
            Container {
	            topPadding: 2
	            rightPadding: 4
	            leftPadding: 4
                bottomPadding: 6
                preferredWidth: 344
                Container {
	                background: Color.White
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    layout: DockLayout {
	                }
	                ImageView {
	                    objectName: "background"
	                    
	                    imageSource: "asset:///images/GroupLobbyPage/event.png"
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Center
	                    id: noEventContainer
	                    objectName: "noEventContainer"
	                    topPadding: 50
	                    visible: false
	                    ImageView {
	                        objectName: "add"
	                        imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                    Label {
	                        objectName: "eventText"
	                        text: qsTr("Add") + Retranslate.onLanguageChanged
	                        visible: true
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                        textStyle.color: Color.Black
	                        textStyle.fontSize: FontSize.PointValue
                            textStyle.fontSizeValue: 11
	                    }
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    id: nextEventContainer
	                    objectName: "nextEventContainer"
	                    visible: ! noEventContainer.visible
	                    Container {
	                        topPadding: 15
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Center
	                        Label {
	                            
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                            objectName: "eventDateLabel"
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 9
	                            textStyle.color: Color.White
	                            textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                            textStyle.textAlign: TextAlign.Center           
	                        }
	                    }
	                    Container {
	                        topPadding: 20
	                        bottomPadding: 10
	                        leftPadding: 20
	                        rightPadding: 20
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.TopToBottom
	                        }
	                        Label {
	                            leftPadding: 20
	                            rightPadding: 20
	                            //topPadding: 30
	                            bottomPadding: 0
	                            bottomMargin: 0
	                            horizontalAlignment: HorizontalAlignment.Fill	                            
	                            objectName: "eventNameTextArea"
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 8
	                            textStyle.color: Color.create("#121212")
	                            textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            textFormat: TextFormat.Plain
	                        }
	                        Label {
	                            leftPadding: 20
	                            rightPadding: 20
	                            topPadding: 0
	                            bottomPadding: 0
	                            topMargin: 0
	                            translationY: -3                             
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            text: "10:00 am - 10:00 pm"
	                            objectName: "eventTimePeriodTextArea"
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 8
	                            textStyle.color: Color.create("#121212")
	                        }
	                        ImageView {
	                            imageSource: "asset:///images/GroupLobbyPage/divider.png"
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Fill
	                            translationY: -8
	                        }
	                        Label {
	                            leftPadding: 20
	                            rightPadding: 20
	                            translationY: -18
	                            horizontalAlignment: HorizontalAlignment.Fill	                            
	                            objectName: "eventLocationTextArea"
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 7
	                            textStyle.color: Color.Black
	                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                        	    textFormat: TextFormat.Plain
	                            multiline:true
	                            layoutProperties: StackLayoutProperties{
	                                spaceQuota: 1
	                            }                            
	                            
	                        }
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
                    background: Color.Black
	                Label {
	                    objectName: "title"
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    textStyle.color: Color.White
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                }
	
	            }
             }
             ImageView {
                objectName: "eventSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }    
        }
    }
}
