import bb.cascades 1.0

Page
{
    id: page
    
    property real currentPanel: 1

    shortcuts: [
        Shortcut {
            //: Shortcut used to open chats list
            key: qsTr("R") + Retranslate.onLanguageChanged
            objectName: "chatShortcut"
        }
    ]
    
    actions: [
        ActionItem {
            title: qsTr("Start New Chat") + Retranslate.onLanguageChanged
            imageSource: "file:///usr/share/icons/ic_start_bbm_chat.png"
            objectName: "startChat"
        },
        ActionItem {
            title: qsTr("Add Picture") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupLobbyPage/ic_add_picture.png"
            objectName: "addPicture"
            id: addPicture
            shortcuts: [
                Shortcut {
                    //: Shortcut used to add a picture to the group
                    key: qsTr("C") + Retranslate.onLanguageChanged
                }
            ]
        },
        ActionItem {
            title: qsTr("Add List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupLobbyPage/ic_add_list.png"
            objectName: "addList"
        },
        ActionItem {
            title: qsTr("Add Event") + Retranslate.onLanguageChanged
            imageSource: "file:///usr/share/icons/ic_add_event.png"
            objectName: "addEvent"
        },
        ActionItem {
            title: qsTr("View Group Profile") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_profile_bbm.png"
            objectName: "viewGroupProfile"
            shortcuts: [
                Shortcut {
                    //: Shortcut used to edit the group's profile
                    key: qsTr("E") + Retranslate.onLanguageChanged
                }
            ]
        },
        ActionItem {
            title: qsTr("Group Settings") + Retranslate.onLanguageChanged
            objectName: "openGroupSettings"
        },
        DeleteActionItem {
            title: qsTr("Leave Group") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupsGeneral/ic_chat_leave.png"
            objectName: "leaveGroup"
        }
    ]
    

	content: Container {
        objectName: "container"
	    verticalAlignment: VerticalAlignment.Fill
	    
	    layout: StackLayout {
	    }
	    // We need this stack layout because the ProfileBannerForGroup 
	    // is inserted by cpp and we want it to be on top.
	    
	    ScrollView {
	        id: scrollView
	        
	        property real startX: 0
            property real currentX: 0
            property real dragThreshold: 150
            
	        scrollViewProperties {
               scrollMode: ScrollMode.Horizontal
               overScrollEffectMode: OverScrollEffectMode.None
           }

            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }

            Container {
    	        objectName: "liveTileContainer"
    	        // This dock layout is used to keep the live tiles centered
    	        layout: DockLayout {
    	        }
    	        
    	        layoutProperties: StackLayoutProperties {
    	            spaceQuota: 1
    	        }
    	        horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
    	    } // Dock layout
    	        
    	    onTouch: {
    	        if (event.isDown()) {
    	            startX = event.windowX;
    	        } else if (event.isUp()) {
    	            if (currentPanel == 1) {
    	               currentX = startX - event.windowX;
    	               // Check the drag length.
    	               if (currentX > dragThreshold) {
	               	       scrollView.scrollToPoint(730.0, 0.0, ScrollAnimation.Smooth)
	               	       currentPanel = 2;
               	       } else {
               	           scrollView.scrollToPoint(0.0, 0.0, ScrollAnimation.Smooth)
               	       }    
    	            } else {
    	                currentX = event.windowX - startX;
	    	            // Check the drag length.
	    	            if (currentX > dragThreshold) {
	    	                scrollView.scrollToPoint(0.0, 0.0, ScrollAnimation.Smooth)
	    	                currentPanel = 1;
	    	            } else {
	    	                scrollView.scrollToPoint(730.0, 0.0, ScrollAnimation.Smooth)
	    	            }
	    	        }
    	        }
    	    }
    	}
    	
    	Container { // Pane indicator
    		layout: StackLayout {
    	        orientation: LayoutOrientation.LeftToRight
    	     }
    	     horizontalAlignment: HorizontalAlignment.Center
    	     verticalAlignment: VerticalAlignment.Fill
    	     topPadding: 10 
    	     bottomPadding: 10    
    		//preferredHeight: 20
    		        
    		ImageView {
    		    id: first
    		    preferredWidth: 15
    		    preferredHeight: 15
    		    rightMargin: 10
    		    imageSource: currentPanel == 1 ? "asset:///images/panel_index_selected.png" : "asset:///images/panel_index.png";
    		}
    		ImageView {
    		    id: second
    		    preferredWidth: 15
    		    preferredHeight: 15
    		    imageSource: currentPanel == 1 ? "asset:///images/panel_index.png" : "asset:///images/panel_index_selected.png";        
    		}
		}
	} // stack layout
	
} // page


