import bb.cascades 1.0

/*

- BBM Changed display picture 
    - Should show the new display picture and the updating contact name
- BBM Name change
    - Should show the display picture and the new contact name
- BBM Personal Message update (includes SWILT updates)
    - Should show the display picture, contact name and the new personal message



*/
//property background
Container {
	property string contactNameText:"Allison Chatham"
	property string activityText:"Anyone have time to meet for coffee downtown?"
	property string updateTimeText:"48 mins ago"
	property bool   overLayVisible: true


    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    

    Container {
        layout: DockLayout {

        }
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        layoutProperties:StackLayoutProperties{
            spaceQuota:1
        }
        
        ImageView {
            // BBM contact avatar
            objectName: "background"
            imageSource: "asset:///images/LiveCovers/default_avatar.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        ImageView {
            visible: overLayVisible
            objectName: "overLay"
            imageSource: "asset:///images/LiveCovers/content_overlay.png"
            scalingMethod: ScalingMethod.AspectFill
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        
        Container {
                       	
            verticalAlignment: VerticalAlignment.Top
            horizontalAlignment: HorizontalAlignment.Fill
            rightPadding: 15; leftPadding: 15; topPadding: 12 ;bottomPadding: 55; 
   	        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        
            Label {
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;

                multiline: true
                text: contactNameText
                objectName: "contactNameText"
                textStyle.fontSize: FontSize.Small
                textStyle.color: Color.White
                content.flags: TextContentFlag.Emoticons
            }

	        Label {
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Fill
                leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
	
	            text: activityText
	            multiline: true
	            objectName: "activityText"
	            textStyle.fontSize: FontSize.XSmall
	            textStyle.color: Color.White
	            content.flags: TextContentFlag.Emoticons
	        }
        }        
        
        Container {           	
            verticalAlignment: VerticalAlignment.Bottom
            horizontalAlignment: HorizontalAlignment.Fill
            rightPadding: 15; leftPadding: 15; topPadding: 0; bottomPadding: 15; 
   	        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        
            Label {
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Top

                text: updateTimeText
                objectName: "updateTimeText"
                textStyle.fontSize: FontSize.XXSmall
                textStyle.color: Color.White
            }
        }        
        
        
    }
}
