import bb.cascades 1.0

Sheet
{
    id: pickerSheet
    property int numSelected
    property string cancelLabel: qsTr("Cancel")
    property string titleLabel: qsTr("Select Account")
    
    content: Page
    {
	    actions: [
	        ActionItem {
                imageSource: "file:///usr/share/icons/ic_open_contacts.png"
	            objectName: "addAccountAction"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            title: qsTr("Add Account") + Retranslate.onLanguageChanged
	        },

	        ActionItem {
	            imageSource: "asset:///images/MainScreen/NavigationBar/updates.png"
	            objectName: "refreshAccountsAction"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            title: qsTr("Refresh") + Retranslate.onLanguageChanged
            }
	    ]
	    
	    titleBar: TitleBar
	    {
	        id: titleBarObject
	        title : titleLabel + Retranslate.onLanguageChanged

            dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: cancelLabel + Retranslate.onLanguageChanged

                onTriggered: {
	                pickerSheet.close()
	            }
	        }
	    }
        
        content: Container
    	{
    		layout: StackLayout {
    			orientation: LayoutOrientation.TopToBottom
    		}
    	
    	    Container // drop shadow dock layout
    	    {
    	    	layout: DockLayout {}
    	    	
    			layoutProperties: StackLayoutProperties
    			{
    				spaceQuota: 1
    			}
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
    			
                ListView
                {
                    id: listView
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    onTriggered: {
                        toggleSelection(indexPath);
                    }
    
                    objectName: "accountPickerListView"
		            scrollIndicatorMode: ScrollIndicatorMode.Default
                }
                
                Container // Variable 'no contacts icon and text' visibility is toggled in c++
                {
                    objectName: "noEmailAccountsContainer"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
    
                    layout: StackLayout {}
    
                    Label {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        objectName: "emptyLabel"
                        multiline: true
                        textStyle.color: Color.create("#262626")
                        textStyle.base: SystemDefaults.TextStyles.BodyText
                        textStyle.textAlign: TextAlign.Center
                        text: qsTr("No email accounts currently set up on the device. Add an account to continue.") + Retranslate.onLanguageChanged
                    }
                }

    	    	ImageView
    	    	{
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
    
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
                
    	    } // end drop shadow dock layout
    	} // main container
    }
}