import bb.cascades 1.0

Dialog {
    id: dialog
// removed replaced with open()    visible: true
    Container {
        //property string labelText: ""
        layout: DockLayout {
        }
        ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            imageSource: "asset:///images/Dialogs/dialog_bg.png"
            opacity: 0.0
        }
        Container {
            objectName: "content"
            layout: DockLayout {
            }
            maxWidth: 640
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Bottom
            ImageView {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                imageSource: "asset:///images/Dialogs/ToastBackground.png"
            }
            Container {
                leftPadding: 15
                rightPadding: 15
                topPadding: 20
                bottomPadding: 20
                maxWidth: 640
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                   
                    Container {
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 2
                        }                         
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        //layout: DockLayout {}                        
                        Label {                            
                            objectName: "toastText"
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center
                            text: "Message"
                            textStyle.color: Color.White
                            textStyle.base: SystemDefaults.TextStyles.SmallText
                            textStyle.textAlign: TextAlign.Center
                            multiline: true
                        }
                    }
                    
                    Container {
                        id: actionContainer
                        objectName: "actionContainer"
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        layout: DockLayout {
                        }
                        rightPadding: 10
                        Container {
                            //background: Color.create("#6f6f6f")
                            id: actionBackgroundContainer
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            layout: DockLayout {
                            }
                            ImageView {
                                id: separatorImageView
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Fill
                                imageSource: "asset:///images/Dialogs/toast_verticaldivider.png"
                                preferredWidth: 2
                                minWidth: 2
                                minHeight: 80
                            }
                            onTouch: {
                                if (event.isDown()) {
                                    actionBackgroundContainer.background = Color.create("#6f6f6f")
                                }
                                if (event.isUp()) {
                                    actionBackgroundContainer.background = Color.Transparent
                                }
                            }
                            onTouchExit: {
                                actionBackgroundContainer.background = Color.Transparent
                            }
                            Label {                                
                                objectName: "actionLabel"
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                                text: "Undo"
                                textStyle.color: Color.White
                                textStyle.base: SystemDefaults.TextStyles.SmallText
                                textStyle.textAlign: TextAlign.Center
                            }
                        }
                    }
                }
            }
        }
        animations: [
            FadeTransition {
                objectName: "fadeOut"
                id: fadeOut
                duration: 500
                fromOpacity: 1.0
                toOpacity: 0.0
                onEnded: {
                    dialog.close()
                }
            },
            FadeTransition {
                objectName: "nonFade"
                id: nonFade
                duration: 3000
                fromOpacity: 1.0
                toOpacity: 1.0
                onEnded: {
                    fadeOut.play()
                }
            },
            FadeTransition {
                objectName: "fadeIn"
                id: fadeIn
                duration: 500
                fromOpacity: 0.0
                toOpacity: 1.0
                onEnded: {
                    nonFade.play()
                }
            }
        ]
    }
}
