import bb.cascades 1.0

Container {
    id: root
    property bool isIncoming: false
    property real progressFromValue
    property real progressToValue
    property real progressValue
    
    layout: DockLayout {
    }
        
    rightPadding: isIncoming ? _UILayoutManager.bubbleListPadding - 7 : 43
    leftPadding: isIncoming ? 45 : _UILayoutManager.bubbleListPadding - 5
    
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    ImageView {
        objectName: "background"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        topPadding: _UILayoutManager.bubbleInnerPadding
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        bottomPadding: _UILayoutManager.bubbleInnerPadding + 26
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        BubbleHeader {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        Container {
            id: inboundFileTransferContainer
            objectName: "inboundAppointmentTransferContainer"
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                objectName: "descriptionContainer"
                layout: StackLayout {
                    orientation: LayoutOrientation.TopToBottom
                }
                bottomPadding: _UILayoutManager.defaultPadding
                Label {
                    id: description
                    objectName: "descriptionLabel"
                    content.flags: TextContentFlag.Emoticons
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    textStyle.color: _UIStyleManager.secondaryTextColor
                    multiline: true
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                }
                ImageView {
                    objectName: "dashedLineImage"
                    imageSource: "asset:///images/Bubble/Dotted_grey.png"
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: -1
                    }
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                }
            }        
	        Container {
	            layout: StackLayout {
	                orientation: LayoutOrientation.LeftToRight
	            }
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	            preferredHeight: _UILayoutManager.bubbleThumbnailSize

                ImageView {
                    objectName: "appointmentThumbnail"
                    imageSource: "asset:///images/file/cal_160x160.png"
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    preferredWidth: _UILayoutManager.bubbleThumbnailSize
                    preferredHeight: _UILayoutManager.bubbleThumbnailSize
                }
	            
	            Container {
	                leftPadding: 10
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
                    Label {
	                    objectName: "fileNameLabel"
	                    horizontalAlignment: HorizontalAlignment.Left
	                    verticalAlignment: VerticalAlignment.Fill
	                    bottomMargin: 0
	                    topMargin: 0
	                    leftMargin: 0
	                    rightMargin: 0
	                    textStyle.color: _UIStyleManager.secondaryTextColor
	                    textStyle.fontSize: FontSize.Small
                    }
	                Label {
	                    objectName: "percentCompleteLabel"
	                    horizontalAlignment: HorizontalAlignment.Left
	                    verticalAlignment: VerticalAlignment.Fill
	                    bottomMargin: 0
	                    topMargin: 0
	                    leftMargin: 0
	                    rightMargin: 0
	                    textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
                    }
	                Container {
	                    layout: DockLayout {
	                    }
	                    layoutProperties: StackLayoutProperties {
	                        spaceQuota: 1
	                    }
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
                        topPadding: _UILayoutManager.defaultPadding
                        Label {
	                        objectName: "statusLabel"
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Bottom
	                        bottomMargin: 0
	                        topMargin: 0
	                        leftMargin: 0
	                        rightMargin: 0
                            textStyle.fontSize: FontSize.Small
                            textStyle.color: _UIStyleManager.secondaryTextColor
	                        textStyle.fontStyle: FontStyle.Italic
	                    }
	                }
	                ProgressIndicator {
	                    objectName: "progressIndicator"
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    bottomMargin: 0
	                    topMargin: 0
	                    leftMargin: 0
	                    rightMargin: 0
	                    fromValue: progressFromValue
	                    toValue: progressToValue
	                    value: progressValue
	                }
	            }
	        }
	    }
    }
}