import bb.cascades 1.0

Page
{
    property bool showList: false
    
    titleBar: TitleBar {
        title : qsTr("Blocked Contacts") + Retranslate.onLanguageChanged
    }
    
	content: Container // page content
	{

        DefaultSeparator {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
        }

        Container // segmented control container
	    {
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        
            leftPadding: _UILayoutManager.defaultPadding
            rightPadding: _UILayoutManager.defaultPadding
            topPadding: _UILayoutManager.defaultPadding
            bottomPadding: _UILayoutManager.defaultPadding
            background: _UIStyleManager.containerColor

            SegmentedControl
	        {
	            id: segmentedControl
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Fill
	
	            objectName: "toggleView"
	
	            Option {
	                text: qsTr("Invites") + Retranslate.onLanguageChanged
                    selected: true
	            }
	
	            Option {
	                text: qsTr("Apps") + Retranslate.onLanguageChanged
                }
	            
	            Option {
	                text: qsTr("Updates") + Retranslate.onLanguageChanged
                }
                
                onSelectedIndexChanged: {
                    listView.multiSelectHandler.active = false
                }

	            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	        }
	    } // end segmented control container

        DefaultSeparator {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
        }

        Container
	    {
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
	        horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	
	        layout: DockLayout {}
	
	        Container // Variable 'no blocked list icon and text' visibility is toggled in c++
	        {
	            visible: !listView.visible
	            horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                
                leftPadding: _UILayoutManager.defaultPadding
                rightPadding: _UILayoutManager.defaultPadding
                bottomPadding: _UILayoutManager.defaultPadding + 10

	            Container
        	    {
        	        horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
        	
        	        layout: DockLayout {} 
        	        
		            ImageView {
		                horizontalAlignment: HorizontalAlignment.Center
		                verticalAlignment: VerticalAlignment.Center	
		                imageSource: "asset:///images/BlockedContactsList/no_blocked_guy.png"
		            }
        	    }

	            Label {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	                id: emptyLabel
                    visible: !showList

                    multiline: true
	                textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.base: SystemDefaults.TextStyles.BodyText
	                textStyle.textAlign: TextAlign.Center
	                text: {
	                    if (segmentedControl.selectedIndex == 0) {
	                        qsTr("Contacts can be added to this list when ignoring an invitation or deleting a contact.") + Retranslate.onLanguageChanged
                        } else if (segmentedControl.selectedIndex == 1) {
	                        qsTr("Apps can be added to this list when ignoring app invites.") + Retranslate.onLanguageChanged
                        } else if (segmentedControl.selectedIndex == 2) {
	                        qsTr("Contacts or groups can be added to this list when viewing your BBM updates.") + Retranslate.onLanguageChanged
                        }   
	                }
	            }
	        }

	        ListView
	        {
	            id: listView
	            objectName: "listView"
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	            visible: showList
	            
                multiSelectHandler {
                    actions: [
                        DeleteActionItem {
                            id: removeMultiBlocked
                            objectName: "removeMultiBlocked"
                            title: qsTr("Remove") + Retranslate.onLanguageChanged
                        }
                    ]

                    status: qsTr("None selected") + Retranslate.onLanguageChanged
                }
                
                onSelectionChanged: {
                    var n = selectionList().length
                    multiSelectHandler.status = qsTr("+%n Items Selected", "", n) + Retranslate.onLanguageChanged
                    removeMultiBlocked.enabled = n > 0
                }

                contextActions: [
					ActionSet {
					    objectName: "actionSet"
					    
						DeleteActionItem {
						    objectName: "removeAction"
						    title: qsTr("Remove") + Retranslate.onLanguageChanged
                        }

                        MultiSelectActionItem {
                            onTriggered: {
                                listView.multiSelectHandler.active = true
                            }
                        }
                    }
	            ]
	        }
	    }
	}
}
