import bb.cascades 1.0
import bb.extensions.cascades.tokenentry 1.0

Sheet
{
	property bool sendEnabled: false

    id: broadcastSheet
    
    content: Page
    {
	    titleBar: TitleBar
	    {
	        title : qsTr("Broadcast") + Retranslate.onLanguageChanged

            dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged

                onTriggered: {
	                broadcastSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            id: sendAction
	            objectName: "sendAction"
				enabled: sendEnabled
	            title: qsTr("Send") + Retranslate.onLanguageChanged
            }
	    }
        
        content: ScrollView
    	{
    	    Container
    	    {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
    				layout: StackLayout {
    					orientation: LayoutOrientation.TopToBottom
    				}
    
                        TokenEntry
                        {
                            id: tokenEntry
    			            objectName: "tokenEntry"
                            label: qsTr("To:")
    						horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Top;
                        }

                Container // message container
    			    {
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Fill;
    			    
    			        layout: StackLayout {
    				        orientation: LayoutOrientation.LeftToRight
    			        }
    			        
				        rightPadding: 20
					    leftPadding: 20
					    bottomPadding: 20
					    topPadding: 20
    			        
    				    TextArea
    				    {
							horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Fill;
    				    
    				        objectName: "message"
    				        id: message
    				        preferredHeight: 230
    				        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    				        hintText: qsTr("Enter a message") + Retranslate.onLanguageChanged
                    }
    			        
    			    } // end message container
                } // end content
                
    	    } // end drop shadow dock layout
    	} // main container
    }
