import bb.cascades 1.0

Container
{
    property string label: "Buddies"
    property int numContacts: 3
    property bool isCurrentCategory: false
    
    Container
    {
        leftPadding: 20
        rightPadding: 20
        topPadding: 20
        bottomPadding: 20
        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
    
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        
        Label {
            text: qsTr("%1 (%2)").arg(label).arg(numContacts) + Retranslate.onLocaleOrLanguageChanged

            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Top
            
            textStyle.base: SystemDefaults.TextStyles.TitleText
            textStyle.fontWeight: isCurrentCategory ? FontWeight.Bold : FontWeight.Normal
            textStyle.color: isCurrentCategory ? _UIStyleManager.primaryTextColor : _UIStyleManager.secondaryTextColor
        }
        
        Label {
            text: qsTr("Current") + Retranslate.onLanguageChanged

            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Top
            
            opacity: 0.7
            textStyle.base: SystemDefaults.TextStyles.TitleText
            visible: isCurrentCategory
        }
    }

    DefaultSeparator { // bottom horizontal line separator
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}