import bb.cascades 1.0

Container
{
    property string timeValue: ""
    property string invitationStatus: "Pending"
    property string inviteMessageValue: ""
    
    layout: DockLayout {}
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    Container {
        objectName: "bubble"
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }
        
        rightPadding: 20
        leftPadding: 20
        topPadding: 10
        bottomPadding: 10
        
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
                        
            Label {
    	        objectName: "inviteMessage"
    	        layoutProperties: StackLayoutProperties {
    	            spaceQuota: 1
    	        }

	            horizontalAlignment: HorizontalAlignment.Left
    	        text: inviteMessageValue

    	        multiline: true
                textStyle.fontSize: FontSize.Small
                textStyle.color: _UIStyleManager.secondaryTextColor
                content.flags: TextContentFlag.Emoticons
    	    }
    	    
    	    Label {
    	        objectName: "timestamp"
    	        textStyle.base: SystemDefaults.TextStyles.SmallText
    	        layoutProperties: StackLayoutProperties {
    	            spaceQuota: -1
    	        }

                text: timeValue
	            horizontalAlignment: HorizontalAlignment.Right
	            verticalAlignment: VerticalAlignment.Center
                textStyle.fontSize: FontSize.XSmall
                textStyle.color: _UIStyleManager.timestampTextColor
            }
        }
        
        Container
        {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            topPadding: 10
            visible: invitationStatus == "Pending" || invitationStatus == ""
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            Button {
                objectName: "allowBtn"
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
                text: qsTr("Allow") + Retranslate.onLanguageChanged
            }
            
            Button {
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                objectName: "denyBtn"
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
                text: qsTr("Deny") + Retranslate.onLanguageChanged
            }
        }
    }
    DefaultSeparator { // bottom horizontal line separator
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}