import bb.cascades 1.0

Container {
    id: root
    
    property bool isIncoming: false
    property string fileNameLabel
    property string percentCompleteLabel
    property string titleLabel
    property real progressFromValue
    property real progressToValue
    property real progressValue
    
    layout: DockLayout {
    }
    
    rightPadding: isIncoming ? _UILayoutManager.bubbleListPadding - 7 /* Embedded padding */ : 43
    leftPadding: isIncoming ? 45 : _UILayoutManager.bubbleListPadding - 5 /* Embedded padding */
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    ImageView {
        objectName: "background"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        topPadding: _UILayoutManager.bubbleInnerPadding
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        bottomPadding: _UILayoutManager.bubbleInnerPadding + 26
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        BubbleHeader {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            bottomPadding: 10
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            preferredHeight: _UILayoutManager.bubbleThumbnailSize
            
            ImageView {
                objectName: "icon"
                imageSource: "asset:///images/file/vcf_160x160.png"
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                preferredWidth: _UILayoutManager.bubbleThumbnailSize
                preferredHeight: _UILayoutManager.bubbleThumbnailSize
            }
                        
            Container {
                leftPadding: 10
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                Label {
                    objectName: "fileNameLabel"
                    text: fileNameLabel
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Fill
                    bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                    textStyle.color: _UIStyleManager.secondaryTextColor
                    textStyle.fontSize: FontSize.Small
                }
                Label {
                    objectName: "percentCompleteLabel"
                    text: percentCompleteLabel
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Fill
                    bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                    textStyle.color: _UIStyleManager.secondaryTextColor
                    textStyle.fontSize: FontSize.Small
                }
                Container {
                    layout: DockLayout {
                    }
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    topPadding: _UILayoutManager.defaultPadding
                    Label {
                        objectName: "titleLabel"
                        text: titleLabel
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Bottom
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        textStyle.fontSize: FontSize.Small
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontStyle: FontStyle.Italic
                    }
                }
                ProgressIndicator {
                    objectName: "progressIndicator"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                    fromValue: progressFromValue
                    toValue: progressToValue
                    value: progressValue
                }
            }
        }
    }
}
