import bb.cascades 1.0

Container
{
    property alias listViewControl: listView
    
    layout: DockLayout {}
    
    layoutProperties: StackLayoutProperties {
        spaceQuota: 1
    }
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }
        Container {
            topPadding: _UILayoutManager.defaultPadding
            bottomPadding: _UILayoutManager.defaultPadding
            rightPadding: _UILayoutManager.defaultPadding
            leftPadding: _UILayoutManager.defaultPadding
            SearchBar {
                id: searchBar
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
        }
        DefaultSeparator {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
        }
        Container // this DockLayout container will make the "noContent" Image and label centered on the remaining screen
 {
            layout: DockLayout {
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom
                    visible: (visibleAllAddedLabel || ! (categoryName.length > 0) ) ? false : true
                    topPadding: 20
                    bottomPadding: 20
                    rightPadding: 20
                    leftPadding: 20
                    Label {
                        text: qsTr("Select contacts to move to \"%1\":").arg(categoryName)
                        multiline: true
                        visible: categoryName.length > 0
                    }
                }
                DefaultSeparator { // bottom horizontal line separator
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom
                    visible: categoryName.length > 0
                }
                ListView {
                    id: listView
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    onTriggered: {
                        toggleSelection(indexPath);
                    }
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    objectName: "contactPickerListView"
                    scrollIndicatorMode: ScrollIndicatorMode.Default
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                visible: visibleAllAddedLabel
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    visible: visibleAllAddedLabel
                    scalingMethod: ScalingMethod.AspectFit
                    imageSource: "asset:///images/emptyTabs/no_contacts_guy.png"
                }
                Label {
                    id: allContactsAddedLabel
                    text: qsTr("All your contacts have been added to the chat.")
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    textStyle.color: _UIStyleManager.primaryTextColor
                    textStyle.fontSize: FontSize.Small
                    textStyle.textAlign: TextAlign.Center
                    multiline: true
                    visible: visibleAllAddedLabel
                }
            }
        }
    }
    ImageView {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
    }
} // main container
