import bb.cascades 1.0

Page {
    property int numSelected
    property string cancelLabel: qsTr("Cancel")
    property string titleLabel: qsTr("Select")
    titleBar: TitleBar {
        id: titleBarObject
        title: titleLabel + Retranslate.onLanguageChanged
        dismissAction: ActionItem {
            objectName: "cancelAction"
            title: cancelLabel + Retranslate.onLanguageChanged
        }
    }
    content: Container {
        layout: DockLayout {
        }
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            Container {
                topPadding: 20
                bottomPadding: 20
                rightPadding: 20
                leftPadding: 20
                SearchBar {
                    id: searchBar
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                }
            }
            DefaultSeparator {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom
            }
            ListView {
                id: listView
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                objectName: "contactPickerListView"
                scrollIndicatorMode: ScrollIndicatorMode.Default
            }
        }
        ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
        }
    } // main container
}
