import bb.cascades 1.0
import bbm 1.0

ScrollView {

    property string personalMessageText
    property bool showBusyIcon: false
    property string statusMessageText
    property bool showLocationField: false
    property string locationString
    property string flagString

    scrollViewProperties {
        scrollMode: ScrollMode.Vertical
    }

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

    Container {

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: StackLayout {
        	orientation: LayoutOrientation.TopToBottom
        }

        Container {
		    id: personalInfoContainer
	        objectName: "personalInfoContainer"
		    horizontalAlignment: HorizontalAlignment.Fill
		    leftPadding: 0
		    rightPadding: 0
		    topPadding: 0
		    bottomPadding: 0
		    
		    Container {
			    horizontalAlignment: HorizontalAlignment.Fill
			    verticalAlignment: VerticalAlignment.Center
			    leftPadding: _UILayoutManager.defaultPadding
			    rightPadding: _UILayoutManager.defaultPadding
			    topPadding: _UILayoutManager.defaultPadding
			    bottomPadding: _UILayoutManager.defaultPadding
			   
			    Label {
			        id: personalMessageLabel
	                objectName: "personalMessageLabel"
			        multiline: true
			        textStyle.color: personalMessageText.length > 0 ? _UIStyleManager.primaryTextColor : _UIStyleManager.secondaryTextColor
			        textStyle.base: SystemDefaults.TextStyles.BodyText
			        content.flags: TextContentFlag.Emoticons
			        topMargin: 0
			        leftMargin: _UILayoutManger.defaultPadding
			        rightMargin: _UILayoutManger.defaultPadding
	                bottomMargin: 0
			        text: {
			            if (personalMessageText.length > 0) {
			                personalMessageText
			            } else {
			                qsTr("No Status Message") + Retranslate.onLanguageChanged
			            }
			        }
			    }
			    
			    Label {
			        id: tpaLabel
	                objectName: "tpaLabel"
			        visible: false
			        textStyle.color: _UIStyleManager.tpaTextColor
			        textStyle.base: SystemDefaults.TextStyles.SubtitleText
			        textStyle.fontWeight: FontWeight.Bold
			    }
		    }	                
		    
		    DefaultSeparator {
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Fill
		    }
		    
		    Container { // status
		        horizontalAlignment: HorizontalAlignment.Fill
		        leftPadding: _UILayoutManager.defaultPadding
		        rightPadding: _UILayoutManager.defaultPadding
		        topPadding: _UILayoutManager.defaultPadding
		        bottomPadding: _UILayoutManager.defaultPadding
		        layout: StackLayout {
		            orientation: LayoutOrientation.LeftToRight
		        }
		        
		        Label {
		            horizontalAlignment: HorizontalAlignment.Left
		            verticalAlignment: VerticalAlignment.Center
		            text: qsTr("Status:") + Retranslate.onLanguageChanged
		            textStyle.color: _UIStyleManager.primaryTextColor
		            textStyle.base: SystemDefaults.TextStyles.BodyText
		            topMargin: 0;
		            leftMargin: 0;
		            bottomMargin: 0
		        }
		        
		        Container {
		            horizontalAlignment: HorizontalAlignment.Fill
		            layout: DockLayout {
		            }
		            
		            layoutProperties: StackLayoutProperties {
		                spaceQuota: 1
		            }
		            
		            Container {
		                horizontalAlignment: HorizontalAlignment.Right
		                layout: StackLayout {
		                    orientation: LayoutOrientation.LeftToRight
		                }
		                
		                ImageView {
		                    objectName: "busyImageView"
		                    horizontalAlignment: HorizontalAlignment.Fill
		                    verticalAlignment: VerticalAlignment.Center
		                    imageSource: "asset:///images/MainScreen/CustomStatusEditor/CustomStatusEditorHeaderBusyIcon.png"
		                    preferredHeight: 28
		                    preferredWidth: 28
		                    visible: showBusyIcon
		                    scalingMethod: ScalingMethod.AspectFit
		                }
		                
		                Label {
		                    horizontalAlignment: HorizontalAlignment.Fill
		                    verticalAlignment: VerticalAlignment.Center
		                    objectName: "statusValueLabel"
		                    textStyle.color: _UIStyleManager.primaryTextColor
		                    textStyle.base: SystemDefaults.TextStyles.BodyText
		                    content.flags: TextContentFlag.Emoticons
		                    text: statusMessageText
		                    leftPadding: 0;
		                    rightPadding: 0;
		                    topPadding: 0;
		                    bottomPadding: 0
		                }
		            }
		        }
		    } // end status
		    	                
		    DefaultSeparator { 
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Fill
		        visible: locationTimezoneField.visible
		    }
	
	        Container {
	            visible: showLocationField
	            topPadding: _UILayoutManager.defaultPadding
	            leftPadding: _UILayoutManager.defaultPadding
                rightPadding: _UILayoutManager.defaultPadding
                horizontalAlignment: HorizontalAlignment.Fill
	            
	            layout: StackLayout {
	                orientation: LayoutOrientation.LeftToRight
	            }
	
	            Label {
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	
	                horizontalAlignment: HorizontalAlignment.Left
	                verticalAlignment: VerticalAlignment.Center
	                text: qsTr("Location/Time Zone:") + Retranslate.onLanguageChanged
	                textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.base: SystemDefaults.TextStyles.BodyText
	                topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	            }
	
	            Label {
	                horizontalAlignment: HorizontalAlignment.Right
	                verticalAlignment: VerticalAlignment.Center
	                objectName: "flagLabel"
	                textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.base: SystemDefaults.TextStyles.BodyText
	                content.flags: TextContentFlag.Emoticons
	                topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	                text: flagString
	            }
	
	            Label {
	                horizontalAlignment: HorizontalAlignment.Right
	                verticalAlignment: VerticalAlignment.Center
	                objectName: "locationValueLabel"
	                textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.base: SystemDefaults.TextStyles.BodyText
	                topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	                text: locationString
	            }
	        }
	    }
    }
}