import bb.cascades 1.0
import bbm 1.0

Container {

    property bool showVideoChatIcon: false
    property string defaultIconAsset
    property string pressedIconAsset
    property string disabledIconAsset

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        AnimatedImageView {
            objectName: "avatarImageView"
            imageSource: "asset:///images/defaultProfileAvatar.png"
            timeToSoftStop: 5000
            timeToHardStop: 3000

            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
            minHeight: _UILayoutManager.defaultAvatarSize
            minWidth: _UILayoutManager.defaultAvatarSize
            preferredHeight: _UILayoutManager.defaultAvatarSize
            preferredWidth: _UILayoutManager.defaultAvatarSize
            scalingMethod: ScalingMethod.AspectFill
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
            topMargin: 0
        }

        Container {
            layout: DockLayout {
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            
            Container {
                leftPadding: _UILayoutManager.defaultPadding
                rightPadding: _UILayoutManager.defaultPadding

                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Container {
                        objectName: "editableLabelContainer"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                    }
                    
                    ImageButton {
                        objectName: "resetDisplayName"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        minHeight: 85
                        minWidth: 85
                        defaultImageSource: "asset:///images/ContactEditorRefreshNameButtonBackground.png"
                        pressedImageSource: "asset:///images/ContactEditorRefreshNameButtonBackground.png"
                        disabledImageSource: "asset:///images/ContactEditorRefreshNameButtonBackground.png"
                    }
                    ImageButton {
                        id: videoChatButtonIcon
                        objectName: "videoChatButtonIcon"
                        defaultImageSource: defaultIconAsset
                        pressedImageSource: pressedIconAsset
                        disabledImageSource: disabledIconAsset
                        minHeight: 85
                        minWidth: 85
                        preferredHeight: 85
                        preferredWidth: 85
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        visible: showVideoChatIcon
                    }
                }
            }
        }
    }
}