import bb.cascades 1.0
import "emoticons" // subfolder
import bbm 1.0;

Container {
    property bool showEmoticonButton: true
    signal showVkb(bool value)
    
    id: convInputArea
    objectName: "convInputArea"
    
    Container {
        background: Color.create("#343434")
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Fill
        	verticalAlignment: VerticalAlignment.Fill
        	
            topPadding: _UILayoutManager.defaultPadding
            bottomPadding: _UILayoutManager.defaultPadding
            leftPadding: _UILayoutManager.defaultPadding
            rightPadding: 10
            
            Container {
                rightPadding: 10
            SmartTextArea {
            	id: input
                objectName: "input"
                max: 2000
                hintText: qsTr("Enter a message") + Retranslate.onLanguageChanged
            }
            }

            ImageButton {
	            id: vkbOrEmoticonButton
	            objectName: "vkbOrEmoticonButton"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                minWidth: 91
                minHeight: 89
                rightMargin: 0
                leftMargin: 0
                bottomMargin: 0
                topMargin: 0
	            defaultImageSource: showEmoticonButton ?  "asset:///emoticons/emoticon_picker.png" : "asset:///images/Keyboard_Main.png"
	            pressedImageSource: showEmoticonButton ?  "asset:///emoticons/emoticon_picker_selected.png" : "asset:///images/Keyboard_Highlighted.png"
	            
	            onClicked: {
	                showEmoticonButton = !showEmoticonButton
	                showVkb(showEmoticonButton)
	            }
	        }
	    } // end rounded container
	} // end conversation input area
	
	Container {
         background: Color.Black;

         horizontalAlignment: HorizontalAlignment.Fill
         verticalAlignment: VerticalAlignment.Bottom
	     preferredHeight: 1
     }

	FileTransfer {
    	objectName: "fileTransferContainer"
        visible: false
    }
    Container {
        background: Color.create("#343434")
        objectName: "emoticonContainer"
        visible: false
        
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill
	    
	    preferredWidth: emoticons.preferredWidth
	    minWidth : emoticons.minWidth 
	    maxWidth: emoticons.maxWidth
	    preferredHeight: emoticons.preferredHeight
	    minHeight: emoticons.minHeight
	    maxHeight: emoticons.maxHeight
	    
		EmoticonPanel {
	    	id: emoticons
	        objectName: "emoticons"
	        visible: false
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        
	    	onEmoticonSelected: {
	    		var pos = input.cursorPosition;
	    		var text = input.text;
	    		input.text = text.slice(0, pos) + value + " " + text.slice(pos);
	    		
	            showEmoticonButton = true;
	            showVkb(showEmoticonButton);
	        }
	    }
    }
}
