import bb.cascades 1.0

Page
{		
	titleBar: TitleBar
    {
        objectName: "titleBar"
        title : qsTr("Create Group") + Retranslate.onLanguageChanged
        
        dismissAction: ActionItem {
            objectName: "closeButton"
            title: qsTr("Cancel") + Retranslate.onLanguageChanged
        }
        
        acceptAction: ActionItem {
            objectName: "saveButton"
            title: qsTr("Save") + Retranslate.onLanguageChanged
            enabled: false
        }
    }
		    
	content: Container
	{
	    layout: DockLayout {}
	
		Container
		{
			layout: StackLayout {
				orientation: LayoutOrientation.TopToBottom
			}
			
		    Container // drop shadow dock layout
		    {
		    	layout: DockLayout {}
		    	
				layoutProperties: StackLayoutProperties {
					spaceQuota: 1
				}
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
		    	
	            ScrollView {
	                scrollViewProperties {
		               scrollMode: ScrollMode.Vertical
		               overScrollEffectMode: OverScrollEffectMode.None
	               }
		            Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
		                
						layout: StackLayout {
							orientation: LayoutOrientation.TopToBottom
						}
						topPadding: 15
						leftPadding: 20
						rightPadding: 20
						
		                ImageView
				        {
							objectName: "groupIcon"
							horizontalAlignment: HorizontalAlignment.Left;
							verticalAlignment: VerticalAlignment.Center;
				            imageSource: "asset:///images/temporary/avatar_select_button.png"
				            preferredWidth: 160
				            maxWidth: 160
				            maxHeight: 160
				            preferredHeight: 160
							topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
				        }
		
	                    Container
	                    {
	                        objectName: "groupNameContainer"
	                        topPadding: 15
	                        bottomPadding: 30
	                        rightPadding: 0
	                        leftPadding: 0
	                    }
	                    Container
	                    {
	                        objectName: "groupDescriptionContainer"
	                        topPadding: 0
	                        bottomPadding: 20
	                        rightPadding: 0
	                        leftPadding: 0
	                    }
	  
					    Container // message container
					    {
							horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Fill;
					    
					        layout: StackLayout {
						        orientation: LayoutOrientation.LeftToRight
					        }
					        
						    leftPadding: 0
				            rightPadding: 0
					        topPadding: 20
					        bottomPadding: 0
					        
					        Label{
					          objectName: "toggleDescription"
					          text: qsTr("Allow Members to Invite Others") + Retranslate.onLanguageChanged
					          layoutProperties: StackLayoutProperties {
			      		        spaceQuota: 2
			      		      }
			      		      horizontalAlignment: HorizontalAlignment.Left
		      		          verticalAlignment: VerticalAlignment.Center
			      		      topMargin: 0; leftPadding: 0; rightMargin: 0; bottomMargin: 0;
					          multiline: true
					          textStyle.color: _UIStyleManager.primaryTextColor
					          textStyle.base: SystemDefaults.TextStyles.BodyText
					        }
					        
					        ToggleButton{
					            objectName: "adminToggleButton"
					            horizontalAlignment: HorizontalAlignment.Right
		      		            verticalAlignment: VerticalAlignment.Center
					            layoutProperties: StackLayoutProperties {
					                spaceQuota: 1
			      		        }
			      		        checked: true
			      		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					        }
					    }
					}
				} // end content
	            
		    	ImageView
		    	{
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
	
	                imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
	            }
		    } // end drop shadow dock layout
		} // main container
	}
}
