import bb.cascades 1.0

Sheet
{
    id: customStatusEditorSheet
    objectName: "customStatusEditorSheet"
    property bool busySet: busyIcon.opacity == 1
    
    content: Page
    {
	    titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Edit Status Messages") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "customStatusEditorSheetCloseAction"
	            title: qsTr("Done") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                customStatusEditorSheet.close()
	            }
	        }
	    }
        
        actions: [
            ActionItem {
                imageSource: "asset:///images/ic_add.png"
                objectName: "addStatusAction"
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Add New") + Retranslate.onLanguageChanged
            }
        ]
            
        content: Container // custom status editor list view
        {
            touchPropagationMode: TouchPropagationMode.PassThrough
            
			Container // add status container
			{
			    leftPadding: 35
			    rightPadding: 20
			    topPadding: 20
			    bottomPadding: 20
			    
			    objectName: "addStatusContainer"
			    id: addStatusContainer
			    minHeight: 100
			    visible: false
			
			    horizontalAlignment: HorizontalAlignment.Fill
			    verticalAlignment: VerticalAlignment.Fill
			    
		        layout: StackLayout {
		            orientation: LayoutOrientation.LeftToRight
		        }
		
		        ImageView {
		            imageSource: "asset:///images/MainScreen/CustomStatusEditor/CustomStatusEditorHeaderBusyIcon.png"
                    minWidth: 55
                    minHeight: 55
                    maxWidth: 55
                    maxHeight: 55
                    rightMargin: 55
		            verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Left
                    opacity: 0.1
		            id: busyIcon
		             
		            onTouch: {
		                opacity: busySet ? 0.1 : 1
		            }
                }
			}  // end add status container
			
			ListView
			{
			    objectName: "customStatusListView"
			    horizontalAlignment: HorizontalAlignment.Fill
			    verticalAlignment: VerticalAlignment.Fill
			    
    			layoutProperties: StackLayoutProperties {
    				spaceQuota: 1
    			}
    			
			    onTouch: {
			        addStatusContainer.visible = false
			    }
			}
	    } // end custom status editor list view container   
	}// end opaque page
}// end sheet