import bb.cascades 1.0

Container
{
    property string statusMessage
    property bool busySet: false
    property bool isHighlight: false
        
    contextActions:
    [
        ActionSet {
            title: statusMessage

            DeleteActionItem {
                objectName: "deleteStatusAction"
                title: qsTr("Delete Status Message") + Retranslate.onLanguageChanged
            }
        }
   ]
    
    horizontalAlignment: HorizontalAlignment.Fill
    
    layout: DockLayout {
    }
    
    Container { //this is a placeholder for highlight imageview
        objectName: "highlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
    
    Container { //this is a placeholder for pressed highlight imageview
        objectName: "pressedHighlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
    
	Container
	{
        leftPadding: 35
        rightPadding: 20
        topPadding: 20
        bottomPadding: 20
        objectName: "statusContainer"	    
	    
	    touchPropagationMode: TouchPropagationMode.PassThrough
	    
	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill
	    
	    layout: StackLayout {
	        orientation: LayoutOrientation.LeftToRight
	    }
	
	    ImageView {
	        imageSource: busySet ? "asset:///images/MainScreen/CustomStatusEditor/CustomStatusEditorHeaderBusyIcon.png" : "asset:///images/MainScreen/CustomStatusEditor/CustomStatusEditorHeaderBusyIcon_off.png"
            minWidth: 55
            minHeight: 55
            maxWidth: 55
            maxHeight: 55
            rightMargin: 55
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Left
	        id: busyIcon
	         
	         onTouch: {
	             if (event.touchType == TouchType.Down) {
	                 busySet = !busySet;
	             }
	         }
	    }
	}  // end add status container

    DefaultSeparator { // bottom horizontal line separator
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}