import bb.cascades 1.0
import BBM 1.0

Page
{
    actions: [
        ActionItem {
            imageSource: "asset:///images/SentRequestActivity/actionCancel.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "actionButton"
        }
    ]
    
	content: Container // page content
	{
		    layout: StackLayout {
		        orientation: LayoutOrientation.TopToBottom
		    }
		    
		    Container // title bar container
		    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
			
		        layout: DockLayout {}
		        
			    ImageView // title bar background
			    {
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Fill;
		
			        imageSource: "asset:///images/ProfileBannerBackground.png"
			        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
			    }
			    
			    Container
			    {
		            leftPadding: 20
			        
					horizontalAlignment: HorizontalAlignment.Center;
					verticalAlignment: VerticalAlignment.Center;
			        
			        Label {
			            objectName: "title"
			            textStyle.color: Color.create("#262626")
			            textStyle.base: SystemDefaults.TextStyles.TitleText
			        }
			    }
			    
		    } // end title bar container
		    
		    ImageView // title bar dropshadow
		    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Bottom;
	
		        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		    }
		    
		    ImageView // shadow separator
		    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Top;
		
		        imageSource: "asset:///images/BlockedContactsList/shadow_separator.png"
		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		    }
		    
		    Container
		    {
		        layoutProperties: StackLayoutProperties {
		            spaceQuota: 1
		        }
		
		        layout: DockLayout {}
		
		        ListView
		        {
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill

		            layout: StackListLayout {
		                orientation: LayoutOrientation.TopToBottom
		                headerMode: ListHeaderMode.Sticky
		            }

		            objectName: "listView"
		            enabled: false
		        }
		    }
		}
}