import bb.cascades 1.0
import "emoticons" // subfolder
import bbm 1.0;

Container {
    property bool showEmoticonButton: true
    signal showVkb(bool value)
    
    id: emoticonInputArea
    objectName: "emoticonInputArea"
    
    Container {
        background: Color.create("#262626")
	    layout: DockLayout {}
	    
	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill
	    
        topPadding: 10
        bottomPadding: 10

        ImageButton {
            id: vkbOrEmoticonButton
            objectName: "vkbOrEmoticonButton"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            minWidth: 91
            minHeight: 89
            rightMargin: 0
            leftMargin: 0
            bottomMargin: 0
            topMargin: 0
            defaultImageSource: showEmoticonButton ?  "asset:///emoticons/emoticon_picker.png" : "asset:///images/Keyboard_Main.png"
            pressedImageSource: showEmoticonButton ?  "asset:///emoticons/emoticon_picker_selected.png" : "asset:///images/Keyboard_Highlighted.png"
            
            onClicked: {
                showEmoticonButton = !showEmoticonButton
                console.log("emoticon button clicked.");
                showVkb(showEmoticonButton)
            }
        }
	} // end conversation input area
	
    Container {
    	background: Color.Black;
     	horizontalAlignment: HorizontalAlignment.Fill
       	verticalAlignment: VerticalAlignment.Bottom
       	preferredHeight: 1
    } 
    
    Container {
        objectName: "emoticonContainer"
        background: Color.create("#343434")
        visible: false
        
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill
	    
	    preferredWidth: emoticons.preferredWidth
	    minWidth : emoticons.minWidth 
	    maxWidth: emoticons.maxWidth
	    preferredHeight: emoticons.preferredHeight
	    minHeight: emoticons.minHeight
	    maxHeight: emoticons.maxHeight
	    
		EmoticonPanel {
	    	id: emoticons
	        objectName: "emoticons";
	        visible: false
	        
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        
	    	onEmoticonSelected: {
	            showEmoticonButton = true;
	            console.log("emoticon selected: " + value);
	        }
	    }
    }    
}
