import bb.cascades 1.0

Sheet {
    id: groupAddListItemSheet
    content: Page {
        shortcuts: [
            SystemShortcut {
                type: SystemShortcuts.Edit
                objectName: "editShortcut"
            }
        ]
        
        titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Invite") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                groupAddListItemSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "addButton"
	            title: qsTr("Save") + Retranslate.onLanguageChanged
	            enabled: false
	        }
	    }
        content: Container {
            Container // drop shadow dock layout
            {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                ScrollView {
                    scrollViewProperties {         
                        scrollMode: ScrollMode.Vertical     
                    } 
                content:Container {
                    rightPadding: 20
                    leftPadding: 20
                    topPadding: 20
                    bottomPadding: 20
                    
                    DropDown {
                        objectName: "listDropDown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        title: qsTr("List") + Retranslate.onLanguageChanged
                    }
                    Label {
                        objectName: "listTitle"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                    }
                    Container
                    {
                        topPadding: 0
                        bottomPadding: 0
                        objectName: "itemContainer"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        
                    }
                    DropDown {
                        objectName: "categoryDropDown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        title: qsTr("Category") + Retranslate.onLanguageChanged
                    }
                    DropDown {
                        objectName: "assignToDropDown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        title: qsTr("Assign To") + Retranslate.onLanguageChanged
                    }
                    
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        layout: DockLayout {
                        }
                        Label {
                            horizontalAlignment: HorizontalAlignment.Left
                            objectName: "assignDueDateLabel"
                            text: qsTr("Due date") + Retranslate.onLanguageChanged
                        }
                        ToggleButton {
                            id: assignDueDateToggle
                            horizontalAlignment: HorizontalAlignment.Right
                            objectName: "assignDueDateToggle"
                        }
                    }
                    DateTimePicker {
                        objectName: "dueDatePicker"
                        mode: DateTimePickerMode.Date
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        visible: assignDueDateToggle.checked
                        topMargin: 20
                        title: qsTr("Due") + Retranslate.onLanguageChanged
                        
                    }
                    DropDown {
                        objectName: "priorityDropDown"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        title: qsTr("Priority") + Retranslate.onLanguageChanged
                        Option {
                            text : qsTr("Low") + Retranslate.onLanguageChanged
                        }
                        Option {
                            text : qsTr("Normal") + Retranslate.onLanguageChanged
                        }
                        Option {
                           text : qsTr("High") + Retranslate.onLanguageChanged
                        }
                    }
                    Label {
                        objectName: "lastEditedBy"
                        textStyle.color: Color.LightGrey
                        textStyle.base: SystemDefaults.TextStyles.SubtitleText
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        objectName: "createdBy"
                        textStyle.color: Color.LightGrey
                        textStyle.base: SystemDefaults.TextStyles.SubtitleText
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                    }
                }
            }
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
            } // end drop shadow dock layout
        } // main container
    }
}
