import bb.cascades 1.0

Container {
    objectName: "rootContainer"
    property bool isHighlight: false

    function getMessageStatusIconWidth() {
        if (messageStatusIconId.visible) {
            return 0;
        }
        if (busyIconId.visible) {
            return 40;
        }
        return 40;
    }
    function getBusyIconWidth() {
        if (busyIconId.visible) {
            return 0;
        }
        if (messageStatusIconId.visible) {
            return 40;
        }
        return 40;
    }
    function getNameColor() {
        if (! isHighlight) {
            return _UIStyleManager.primaryTextColor;
        } else {
            return _UIStyleManager.highlightTextColor;
        }
    }
    function getTimeColor() {
        if (! isHighlight) {
            return _UIStyleManager.timestampTextColor;
        } else {
            return _UIStyleManager.highlightTextColor;
        }
    }
    function getDescriptionColor() {
        if (! isHighlight) {
            return _UIStyleManager.secondaryTextColor;
        } else {
            return _UIStyleManager.highlightTextColor;
        }
    }
    layout: DockLayout {
    }
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }
        ImageView { //horizontal line separator
            objectName: "separator"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
        }
            Container {
                objectName: "touchSection"
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
	            preferredHeight: _UILayoutManager.defaultAvatarSize
	            Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    objectName: "avatarContainer"
                    ImageView { // avatar
                        objectName: "avatar"
                        imageSource: "asset:///images/defaultAvatar.png"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        preferredWidth: _UILayoutManager.defaultAvatarSize
                        preferredHeight: _UILayoutManager.defaultAvatarSize
                        scalingMethod: ScalingMethod.AspectFill
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: -1
                        }
                    } // end avatar
                }
                Container {
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    layout: DockLayout {
                    }
                    Container { //this is a placeholder for highlight imageview
                        objectName: "highlightContainer"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        layout: DockLayout {
                        }
                    }
                    Container {
	                    layout: StackLayout {
	                        orientation: LayoutOrientation.LeftToRight
	                    }
	                    leftPadding: 5
	                    rightPadding: 20
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    Container { // holds everything except avatar
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.TopToBottom
	                        }
	                        rightPadding: 20
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	                        Container { // row 1: busy icon, name, time
	                            layout: StackLayout {
	                                orientation: LayoutOrientation.LeftToRight
	                            }
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Fill
	                            topPadding: 5
	                            Container {
	                                layout: DockLayout {
	                                }
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Fill
	                                ImageView {
	                                    id: busyIconId
	                                    objectName: "busy"
	                                    imageSource: "asset:///images/message_states/busy.png"
	                                    horizontalAlignment: HorizontalAlignment.Center
	                                    verticalAlignment: VerticalAlignment.Center
	                                    visible: false
	                                    scalingMethod: ScalingMethod.AspectFit
	                                    topMargin: 0
	                                    leftMargin: 0
	                                    rightMargin: 0
	                                    bottomMargin: 0
	                                }
	                            } // end busy icon container
	                            Container {
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Fill
	                                preferredWidth: getBusyIconWidth()
	                            }
	                            Label { // name label
	                                id: nameId
	                                objectName: "name"
	                                text: "Name"
	                                textStyle.base: SystemDefaults.TextStyles.TitleText
                                    textStyle.color: getNameColor()
	                                content.flags: TextContentFlag.Emoticons
	                                layoutProperties: StackLayoutProperties {
//	                                    spaceQuota: 1
	                                }
	                                horizontalAlignment: HorizontalAlignment.Left
	                                verticalAlignment: VerticalAlignment.Center
	                                topMargin: 0
	                                leftMargin: 0
	                                rightMargin: 0
	                                bottomMargin: 0
	                            } // end name label
	                            Label { // time label
	                                id: timeId
	                                objectName: "time"
	                                text: ""
	                                textStyle.base: SystemDefaults.TextStyles.SubtitleText
	                                textStyle.color: getTimeColor()
	                                horizontalAlignment: HorizontalAlignment.Right
	                                verticalAlignment: VerticalAlignment.Center
	                                topMargin: 0
	                                leftMargin: 0
	                                rightMargin: 0
	                                bottomMargin: 0
	                            } // end time label
	                        } // end row 1: busy icon, name, time
	                        Container { // row 2: message status icon, last message/description,
	                            layout: DockLayout {
	                            }
	                            layoutProperties: StackLayoutProperties {
	                                spaceQuota: 1
	                            }
	                            bottomPadding: 5
	                            Container {
	                                layout: StackLayout {
	                                    orientation: LayoutOrientation.LeftToRight
	                                }
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Bottom
	                                Container { // message status container
	                                    layout: DockLayout {
	                                    }
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Fill
	                                    ImageView {
	                                        id: messageStatusIconId
	                                        objectName: "messageStatus"
	                                        horizontalAlignment: HorizontalAlignment.Center
	                                        verticalAlignment: VerticalAlignment.Center
	                                        visible: false
	                                        scalingMethod: ScalingMethod.AspectFit
	                                        topMargin: 0
	                                        leftMargin: 0
	                                        rightMargin: 0
	                                        bottomMargin: 0
	                                    }
	                                } // end message status container
	                                Container {
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Fill
	                                    preferredWidth: getMessageStatusIconWidth()
	                                }
	                                Label {
	                                    id: descriptionId
	                                    objectName: "description"
	                                    text: "All your base are belong to us."
	                                    textStyle.color: getDescriptionColor()
	                                    textStyle.base: SystemDefaults.TextStyles.SubtitleText
	                                    content.flags: TextContentFlag.Emoticons
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Center
	                                    layoutProperties: StackLayoutProperties {
	                                        //spaceQuota: 1
	                                    }
	                                    topMargin: 0
	                                    leftMargin: 0
	                                    rightMargin: 0
	                                    bottomMargin: 0
	                                }
	                            }
	                        }
	                    }
                        Container {
                            horizontalAlignment: HorizontalAlignment.Right
                            verticalAlignment: VerticalAlignment.Center
        	                layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
        	                ImageView {
        	                    objectName: "deleteIcon"
        	                    imageSource: "asset:///images/MainScreen/cells/remove_button.png"
        	                    horizontalAlignment: HorizontalAlignment.Right
        	                    verticalAlignment: VerticalAlignment.Center
        	                }
        	            }
                    } // end hold everything except avatar
                }
        }
    }
    Container { //this is a placeholder for pressed highlight imageview
        objectName: "pressedHighlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
}
