import bb.cascades 1.0

Container 
{
	Container 
	{
	    layout: DockLayout{}
	    leftPadding: 0
	    rightPadding: 0
	    topPadding: 0
	    bottomPadding: 0
	    
        horizontalAlignment: HorizontalAlignment.Fill

		ImageView {
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
	        imageSource: "asset:///images/GroupsGeneral/GroupHeaderBG.png"
		}
	    Container 
    	{
    	    leftPadding: 20
		    Label {
		       objectName: "adminTitle"
		       leftPadding: 10 
		       bottomPadding: 10
		       text: qsTr("Administration") + Retranslate.onLanguageChanged
		       textStyle.base: SystemDefaults.TextStyles.TitleText
	           textStyle.color: Color.White
	           horizontalAlignment: HorizontalAlignment.Fill
	           verticalAlignment: VerticalAlignment.Center
		    }
		}
	}
	Container 
	{                                       
	    leftPadding: 20
	    rightPadding: 20
	    topPadding: 10
	    bottomPadding: 0
	    
      horizontalAlignment: HorizontalAlignment.Fill
      verticalAlignment: VerticalAlignment.Fill
		
	    Label {
           horizontalAlignment: HorizontalAlignment.Left
           verticalAlignment: VerticalAlignment.Center
	       
	       multiline: true
	       objectName: "youAreAdminLabel"
	       text: qsTr("You are an administrator for this group.") + Retranslate.onLanguageChanged
	       textStyle.base: SystemDefaults.TextStyles.BodyText
	       topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	   }
	   
	   Label {
           horizontalAlignment: HorizontalAlignment.Left
           verticalAlignment: VerticalAlignment.Center
	       
	       multiline: true
	       objectName: "learnAboutAdminLabel"
	       text: qsTr("Learn more about group administrators") + Retranslate.onLanguageChanged
	       textStyle.color: _UIStyleManager.textLinkColor
	       textStyle.base: SystemDefaults.TextStyles.BodyText
	       topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 10;
	   }
	   
	   Container //allow non admins
	   {
           horizontalAlignment: HorizontalAlignment.Fill
           verticalAlignment: VerticalAlignment.Fill
	       
	       layout: StackLayout  {
	           orientation: LayoutOrientation.LeftToRight	  
	       }                                     
           leftPadding: 0
           rightPadding: 0
           topPadding: 20
           bottomPadding: 10
	       
	       Label {
	           layoutProperties: StackLayoutProperties {
	               spaceQuota: 2
	           }
	           horizontalAlignment: HorizontalAlignment.Left
               verticalAlignment: VerticalAlignment.Center
	           multiline: true
	           objectName: "allowNonAdminToggleLabel"
	           text: qsTr("Allow Members to Invite Others") + Retranslate.onLanguageChanged
	           textStyle.base: SystemDefaults.TextStyles.BodyText
	           topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	       }
	   
	       ToggleButton
	       {
	           layoutProperties: StackLayoutProperties {
	               spaceQuota: 1
	           }
	           horizontalAlignment: HorizontalAlignment.Right
               verticalAlignment: VerticalAlignment.Center
	           
	           objectName: "allowNonAdminToggle"
	           topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	       }            
	   }
	   
	   Container // Admin list
	   {
          horizontalAlignment: HorizontalAlignment.Fill
          verticalAlignment: VerticalAlignment.Fill
	      
	      layout: StackLayout  {
	          orientation: LayoutOrientation.LeftToRight
	      }	                                       
          leftPadding: 0
          rightPadding: 0
          topPadding: 20
          bottomPadding: 10
	      
	      Label {
	          layoutProperties: StackLayoutProperties {
	              spaceQuota: 2
	          }
	          horizontalAlignment: HorizontalAlignment.Left
              verticalAlignment: VerticalAlignment.Center
	          
	          multiline: true
	          objectName: "AdminListLabel"
	          text: qsTr("Administrator List") + Retranslate.onLanguageChanged
	          textStyle.base: SystemDefaults.TextStyles.BodyText
	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	      }
	  
	      Button
	      {
	          layoutProperties: StackLayoutProperties {
	              spaceQuota: 1
	          }
	          horizontalAlignment: HorizontalAlignment.Right
              verticalAlignment: VerticalAlignment.Center
	          
	          objectName: "adminListButton"
	          text: qsTr("Edit") + Retranslate.onLanguageChanged
	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	      }            
	  } 
	           
	   Container // Admin password
	   {
           horizontalAlignment: HorizontalAlignment.Fill
           verticalAlignment: VerticalAlignment.Fill
	       
	       layout: StackLayout  {
	           orientation: LayoutOrientation.LeftToRight	  
	       }                                     
           leftPadding: 0
           rightPadding: 0
           topPadding: 20
           bottomPadding: 10
	       
	       Label {
	           layoutProperties: StackLayoutProperties {
	               spaceQuota: 2
	           }
	           horizontalAlignment: HorizontalAlignment.Left
               verticalAlignment: VerticalAlignment.Center
	           
	           multiline: true
	           objectName: "AdminPasswordLabel"
	           text: qsTr("Administration Password") + Retranslate.onLanguageChanged
	           textStyle.base: SystemDefaults.TextStyles.BodyText
	           topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	       }
	   
	       Button
	       {
	           layoutProperties: StackLayoutProperties {
	               spaceQuota: 1
	           }
	           horizontalAlignment: HorizontalAlignment.Right
               verticalAlignment: VerticalAlignment.Center
	           
	           objectName: "adminPasswordButton"
	           topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	       }            
	   } 
	}
}
