import bb.cascades 1.0

Container
{
    property alias name: nameLabel.text
    property alias time: timeLabel.text
    property alias lastMessage: lastMessageLabel.text
    property bool showSplat
    property alias highlighted: highlightId.visible
    
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }

    Container
    {
        minHeight: 120
    	layout: DockLayout {}
    	objectName: "staticBackground"

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

    	Container {
    		objectName: "background"
            opacity: 1.0
    		layout: DockLayout {}
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
		}
		
        ImageView {
            id: highlightId
            imageSource: "asset:///images/listitem/core_listitem_active_9slice.amd"
            objectName: "highlight"
            visible: false
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }

        Container // holds everything
        {
            objectName: "touchSection"
            leftPadding: 25
            rightPadding: 5

            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center

            Container // row 1: name, time
            {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }

                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

				Container // name and splat
				{
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Left
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
	                Label // name label
	                {
	                    objectName: "name"
	                    id: nameLabel
	                    textStyle.base: SystemDefaults.TextStyles.TitleText
	                    textStyle.fontWeight: showSplat ? FontWeight.Bold : FontWeight.Normal
                        textStyle.color: _UIStyleManager.primaryTextColor
	                    layoutProperties: StackLayoutProperties {
	                        spaceQuota: 1
	                    }
	                    horizontalAlignment: HorizontalAlignment.Left
                        verticalAlignment: VerticalAlignment.Center
                        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                        textFormat: TextFormat.Plain
	                    topMargin: 0; leftMargin: 5; rightMargin: 0; bottomMargin: 0;
	                } // end name label
	                /*
	                ImageView {
	                    objectName: "splat"
	                    id: splatImageView
	                    layoutProperties: StackLayoutProperties {
	                        horizontalAlignment: HorizontalAlignment.Left
	                        verticalAlignment: VerticalAlignment.Center
	                        spaceQuota: -1
	                    }
	                    imageSource: "asset:///images/Splat.png"
	                }*/
	            }

                Label // time label
                {
                    objectName: "time"
                    id: timeLabel
                    textStyle.base: SystemDefaults.TextStyles.SubtitleText
                    textStyle.color: _UIStyleManager.timestampTextColor
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: -1
                    }
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Center
                    
                    topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                } // end time label
            } // end row 1: name, time
            
            Container // row 2: message status icon, last message/description,
            {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }

                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

	            Label {
	                objectName: "description"
	                id: lastMessageLabel
                    textStyle.color: _UIStyleManager.secondaryTextColor
	                textStyle.base: SystemDefaults.TextStyles.SubtitleText
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	                horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
	                visible: lastMessage != ""
	                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                textFormat: TextFormat.Plain
	                topMargin: 0; leftMargin: 5; rightMargin: 0; bottomMargin: 0;
	            }
            }
        } // end hold everything except avatar
    }
    
    ImageView //horizontal line separator
    {
        objectName: "separator"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top

        imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    }
}
