import bb.cascades 1.0
import bb.extensions.cascades.tokenentry 1.0

Sheet
{
    id: inviteSheet
    
    content: Page
    {
        objectName: "page"
        
        actions: [
            ActionItem {
                imageSource: "asset:///images/QRCode.png"
                objectName: "barcodeAction"
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Scan to Invite") + Retranslate.onLanguageChanged
            }
        ]

        shortcuts: [
            Shortcut {
                //: Shortcut used to focus on the token entry field
                key: qsTr("S") + Retranslate.onLanguageChanged

                onTriggered: {
                    tokenEntry.requestFocus()
                }
            }
        ]

        titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Invite") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                inviteSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "sendAction"
	            enabled: false
	            title: qsTr("Send") + Retranslate.onLanguageChanged
	        }
	    }
        		    
        content: ScrollView
    	{
    	    	Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
    				layout: StackLayout {
    					orientation: LayoutOrientation.TopToBottom
    				}
    
                        TokenEntry
                        {
                            id: tokenEntry
    			            objectName: "tokenEntry"
                            label: qsTr("To:") + Retranslate.onLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Fill;
                        }
    				
    				Container { // the rest
	    			    Container // message container
	    			    {
							horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Fill;
	    			    
	    			        rightPadding: 20
						    leftPadding: 20
						    topPadding: 20
	
	    				    Label {
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Fill
	
	                            objectName: "inviteMessageLabel"
		    				    text: qsTr("Invite Message:") + Retranslate.onLanguageChanged
                            }
	    				    
	    				    Label
	    				    {
								horizontalAlignment: HorizontalAlignment.Fill;
								verticalAlignment: VerticalAlignment.Fill;
	    				    
	    				        objectName: "message"
	    				        multiline: true
	    				        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	    				        content.flags: TextContentFlag.Emoticons
	    				    }
	    			        
	    			    } // end message container
	    			    
	    			    ImageView // horizontal line
	    			    {
	                        objectName: "horizontalLineAfterMessage"
	                        
							horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Top;
	    			
	    			        imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
	    			    } // end horizontal line
	    			    
	    			    Container {
							rightPadding: 20
							leftPadding: 20
							topPadding: 15
							bottomPadding: 15
		    			    Label
		    			    {
			    			     objectName: "distributionListWarning"
			    			     text: qsTr("Note: For distribution lists, only the first 30 people to accept your invitation will be added to the group.") + Retranslate.onLanguageChanged
			    			     visible: false
			    			     multiline: true  
		
		    			    }
		    			}
	    			    
	    			    Container // security question container
	    			    {
	    			        objectName: "securityQuestionContainer"
	    			        visible: false
	    			            
							horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Fill;
	    			    
	    			        rightPadding: 20
						    leftPadding: 20
						    
	    			        layout: StackLayout {
	    				        orientation: LayoutOrientation.TopToBottom
	    			        }
	
	    				    DropDown {
	    				        objectName: "securityDropDown"
	    				        visible: true
	    				        title: qsTr("Security Question") + Retranslate.onLanguageChanged
	    				        
					            horizontalAlignment: HorizontalAlignment.Fill
					            verticalAlignment: VerticalAlignment.Top
	    				        
	    				        Option {
	    				            text: qsTr("None") + Retranslate.onLanguageChanged
	    				            selected: true
	    				            
	    					        onSelectedChanged : {
	    				            	questionContainer.visible = !selected
	    					        }
	    				        }
	    				        
	    				        Option {
	    				            text: qsTr("Birthday") + Retranslate.onLanguageChanged
	    				            description: qsTr("Which month is my birthday in?") + Retranslate.onLanguageChanged
	    
	    					        onSelectedChanged : {
	    					        	if (selected) {
	    					        	    questionTextFieldContainer.visible = false
	    					        	    questionLabel.visible = true
	    					            	questionLabel.text = description
	    					            }
	    					        }
	    				        }
	    				        
	    				        Option {
	    				            text: qsTr("Pet") + Retranslate.onLanguageChanged
	    				            description: qsTr("What type of pet do I have?") + Retranslate.onLanguageChanged
	    				            
	    					        onSelectedChanged : {
	    					        	if (selected) {
	    					        	    questionTextFieldContainer.visible = false
	    					        	    questionLabel.visible = true
	    					            	questionLabel.text = description
	    					            }
	    					        }
	    				        }
	    				        
	    				        Option {
	    				            text: qsTr("School") + Retranslate.onLanguageChanged
	    				            description: qsTr("What elementary school did I attend?") + Retranslate.onLanguageChanged
	    				            
	    					        onSelectedChanged :
	    					        {
	    					        	if (selected) {
	    					        	    questionTextFieldContainer.visible = false
	    					        	    questionLabel.visible = true
	    					            	questionLabel.text = description
	    					            }
	    					        }
	    				        }
	    				        
	    				        Option {
	    				            text: qsTr("City") + Retranslate.onLanguageChanged
	    				            description: qsTr("Which city do I currently live in?") + Retranslate.onLanguageChanged
	    				            
	    					        onSelectedChanged : {
	    					        	if (selected) {
	    					        	    questionTextFieldContainer.visible = false
	    					        	    questionLabel.visible = true
	    									questionLabel.text = description
	    								}
	    					        }
	    				        }
	    				        
	    				        Option {
	    				            text: qsTr("Custom") + Retranslate.onLanguageChanged
	    				            
	    					        onSelectedChanged : {
	    					        	if (selected) {
	    					        	    questionTextFieldContainer.visible = true
	    					            	questionLabel.visible = false
	    					            }
	    					        }
	    				        }
	    				        
	    				        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	    				    } // end security question dropdown
	    				    
	    				    
	    				    // ------------ SECURITY QUESTION CONTAINERS, these will be toggled on/off as necessary
	    				    Container // standard container (container with a label or input field for a question, and an input field for the answer)
	    				    {
	    				        objectName: "questionContainer"
	    				    	id: questionContainer
	    				    	visible: false
	    				    	
								horizontalAlignment: HorizontalAlignment.Fill;
								verticalAlignment: VerticalAlignment.Fill;
	    				    
	    				        topPadding: 15
	    				        
	    				        layout: StackLayout {
	    					        orientation: LayoutOrientation.TopToBottom
	    				        }
	    				        
	    				        Label { // question label
									horizontalAlignment: HorizontalAlignment.Fill;
									verticalAlignment: VerticalAlignment.Top;
	    						
	    							id: questionLabel
	    							objectName: "questionLabel"
	    							textStyle.color: Color.create("#262626")
	    							textStyle.base: SystemDefaults.TextStyles.SubtitleText
	    
	    							topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	    				        } // end question label
	    				        
	    				        Container
	    				        {
	    				            id: questionTextFieldContainer
	    				            objectName: "questionTextFieldContainer"
	    				        }
	    				        
	    				        Container // standard answer textfield container 
	    				        {
	    				            objectName: "answerContainer"
									horizontalAlignment: HorizontalAlignment.Fill;
									verticalAlignment: VerticalAlignment.Fill;
	    					    
	    					        topPadding: 15
	    				        } // answerContainer
	    				        
	    				    } // end question container
	    				    
	    					// ------------ END SECURITY QUESTION CONTAINERS, these will be toggled on/off as necessary
	    				    
	    			    } // end security question container
	    			} // end the rest
    			} // end content
                
    	}
    	} // main container
    }
