import bb.cascades 1.0

Sheet
{
    id: pickerSheet
    property int numSelected
    property string titleText: "Select Admin"
    
    content: Page
    {
	    titleBar: TitleBar
	    {
	        id: titleBarObject
	        objectName: "titleBar"
	        title : qsTr(titleText) + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                pickerSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "doneAction"
	            title: qsTr("Done") + Retranslate.onLanguageChanged
	            enabled: numSelected > 0
	        }
	    }
        
        content: Container
    	{
    		layout: StackLayout {
    			orientation: LayoutOrientation.TopToBottom
    		}
    	
    	    Container // drop shadow dock layout
    	    {
    	    	layout: DockLayout {}
    	    	
    			layoutProperties: StackLayoutProperties {
    				spaceQuota: 1
    			}
    			horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
    			
                ListView
                {
                    id: listView
                
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    onTriggered: {
                        toggleSelection(indexPath);
                    }
    
                    objectName: "contactPickerListView"
		            scrollIndicatorMode: ScrollIndicatorMode.Default
		            
		            onSelectionChanged:
		            {
		                numSelected = selectionList().length
		                
		                if (numSelected > 0) {
		                    titleBarObject.title = qsTr("+%n Administrators", "", numSelected) + Retranslate.onLanguageChanged
		                } else {
		                    titleBarObject.title = qsTr(titleText) + Retranslate.onLanguageChanged
		                }
		            }
		            
		            /*multiSelectHandler: {
		                actions: [
		                    
		                ]
		                multiSelectAction: MultiSelectActionItem {}
		            }*/
                }
                
    	    	ImageView
    	    	{
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
    
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
                
    	    } // end drop shadow dock layout
    	} // main container
    }
}