import bb.cascades 1.0

Page { 
    actions: [
        ActionItem {
            imageSource: "asset:///images/GroupsGeneral/ic_open_calendar.png"
            objectName: "openCalendarAction"
            id: openCalendarAction
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Open Calendar") + Retranslate.onLanguageChanged
            shortcuts: [
                Shortcut {
                    key: qsTr("O") + Retranslate.onLanguageChanged
                }
            ]
        },
        ActionItem {
            imageSource: "file:///usr/share/icons/ic_add_event.png"
            objectName: "addEventAction"
            id: addAction
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Add Event") + Retranslate.onLanguageChanged
            shortcuts: [
                SystemShortcut {
                	type: SystemShortcuts.CreateNew
            	}
            ]
        }
    ]
    content: Container {
        Container {
            objectName: "mainContainer"
	        Container {
	            layout: DockLayout {}
	 			horizontalAlignment: HorizontalAlignment.Fill;
	 			verticalAlignment: VerticalAlignment.Fill;
	            background: _UIStyleManager.containerColor
	             
	            ListView {
	                objectName: "eventsList"
	                id: eventList
	                layout: StackListLayout {
	                    orientation: LayoutOrientation.TopToBottom
	                    headerMode: ListHeaderMode.Sticky
	                }
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	            }
	            Container {
	                objectName: "tapToStartContainer"
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                layout: StackLayout {
	                }
	                ImageView {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    imageSource: "asset:///images/NoContent/events_icon.png"
	                }
	                Label {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    multiline: true
	                    textStyle.color: _UIStyleManager.primaryTextColor
                        textStyle.fontSize: FontSize.Large
	                    textStyle.textAlign: TextAlign.Center
	                    text: qsTr("No Events") + Retranslate.onLanguageChanged
	                }                
	                Button {
	                    text: qsTr("Add Event") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    onClicked: {
	                        addAction.triggered()
	                    }
	                }
	            }
	        }
	    }
    }
}
