import bb.cascades 1.0

Page {
    property string titleText: qsTr("Comments")
    titleBar: TitleBar
    {
        objectName: "titleBar"
        title : titleText
    }
    content: Container {
        layout: StackLayout {
        }
        Container {
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			layoutProperties: StackLayoutProperties
			{
				spaceQuota: 1
			}
	        
	        Container // drop shadow dock layout
		    {
		    	layout: DockLayout {}
		    	
				layoutProperties: StackLayoutProperties {
					spaceQuota: 1
				}
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
				
				ListView {
	                objectName: "commentListView"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
	            }
			    
			     Container {
	    	        objectName: "NoCommentsContainer"
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
//	                ImageView {
//	                    imageSource: "asset:///images/GroupsGeneral/NoComments.png"
//    	                horizontalAlignment: HorizontalAlignment.Center
//    	                verticalAlignment: VerticalAlignment.Center
//	                }
	    	        Label {
	    	           objectName: "NoComments"
	    	           textStyle.color: Color.LightGray
	    			   textStyle.base: SystemDefaults.TextStyles.TitleText
	    			   text: qsTr("No Comments.") + Retranslate.onLanguageChanged
	    			   topMargin: 8; leftMargin: 8; rightMargin: 12; bottomMargin: 12;
    	               horizontalAlignment: HorizontalAlignment.Center
    	               verticalAlignment: VerticalAlignment.Center
	    	        }
	    	    }	
						    
			    ImageView // title bar dropshadow
			    {
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Top;
		
			        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
			        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
			    }
			}
	    }
        ConversationInputArea {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
        }
    }
    actions: [
        ActionItem {
            objectName: "showList"
            imageSource: "asset:///images/GroupsGeneral/ShowList.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("View List") + Retranslate.onLanguageChanged
        },
         ActionItem {
            imageSource: "asset:///images/MainScreen/ConversationPane/ConversationPaneSend.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "sendComment"
            title: qsTr("Send Comment") + Retranslate.onLanguageChanged
        }
    ]
}
