import bb.cascades 1.0

Container {
    objectName: "rootContainer"
        
    property bool isHighlight: false
    
    function getNameColor() {        
        if (!isHighlight) {
            return Color.create ("#262626");
        } else {            
            return Color.White;
        }
    }
    
    function getDescriptionColor() {
        if (!isHighlight) {
            return Color.create ("#606060");
        } else {            
            return Color.White;
        }
    }
    
    layout: DockLayout {
    }
    Container {
        objectName: "mainContainer"
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }
        ImageView { //horizontal line separator
            objectName: "separator"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top

            imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
        }
        Container {
            layout: DockLayout {
            }
            objectName: "staticBackground"
            background: Color.create("#F8F8F8")
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            Container {
                objectName: "contentHolder"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                Container {
                    objectName: "touchSection"
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill

                    Container {
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill

                        objectName: "avatarContainer"
                        minWidth: _UILayoutManager.defaultAvatarSize
                        maxWidth: _UILayoutManager.defaultAvatarSize
                        preferredWidth: _UILayoutManager.defaultAvatarSize
                        preferredHeight: _UILayoutManager.defaultAvatarSize
                        ImageView { // avatar
                            objectName: "avatar"
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            minWidth: _UILayoutManager.defaultAvatarSize
                            maxWidth: _UILayoutManager.defaultAvatarSize
                            preferredWidth: _UILayoutManager.defaultAvatarSize
                            preferredHeight: _UILayoutManager.defaultAvatarSize
                            scalingMethod: ScalingMethod.AspectFill
                            topMargin: 0
                            leftMargin: 0
                            rightMargin: 0
                            bottomMargin: 0
                        } // end avatar
                    }
                    Container {
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill

                        layout: DockLayout {
                        }
                        
                        Container {//this is a placeholder for highlight imageview
                            objectName: "highlightContainer"
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            layout: DockLayout {
                            }
                        }
                                                
                        Container { // holds everything except avatar
                            layout: StackLayout {
                                orientation: LayoutOrientation.TopToBottom
                            }
                            leftPadding: 5
                            rightPadding: 20
                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill

                            Container {
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: -1
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                preferredHeight: 10
                            }
                            Container { // row 1: busy icon, name, time
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                              
                                Label { // name label
                                    id: nameId
                                    objectName: "name"
                                    text: "Name"
                                    textStyle.base: SystemDefaults.TextStyles.TitleText
                                    textStyle.color: getNameColor()
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    horizontalAlignment: HorizontalAlignment.Left
                                    verticalAlignment: VerticalAlignment.Center
                                    topMargin: 0
                                    leftMargin: 0
                                    rightMargin: 0
                                    bottomMargin: 0
                                } // end name label                                
                            } // end row 1: busy icon, name, time
                            Container {
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: -1
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                preferredHeight: 10
                            }
                            Container { // row 2: message status icon, last message/description,
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                                                             
                                Label {
                                    id: descriptionId
                                    objectName: "description"
                                    text: "All your base are belong to us."
                                    textStyle.color: getDescriptionColor()
                                    textStyle.base: SystemDefaults.TextStyles.SubtitleText
                                    layoutProperties: StackLayoutProperties {
                                        spaceQuota: 1
                                    }
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Center
                                    topMargin: 0
                                    leftMargin: 0
                                    rightMargin: 0
                                    bottomMargin: 0
                                }
                            }
                        } // end hold everything except avatar
                    }
                }
            }
        }
    }
    Container {//this is a placeholder for pressed highlight imageview
        objectName: "pressedHighlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
}
