import bb.cascades 1.0
        
Container {
    id: groupListItemListItem
    property string itemName
    property string dueDate
    property string assignedTo
    property bool isHighPriority
    property bool isLowPriority
    property bool isCompleted
    
    contextActions: [
        ActionSet {
            objectName: "actionSet"
        }
    ] 
    
    layout: DockLayout {    
    }
    
    Container {
	    ImageView // top horizontal line separator
	    {
	        objectName: "separator"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
	
	        imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
	        topMargin: 10; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	    }
	    
	    Container {
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
		    objectName: "dimmableContainer"
		    layout: StackLayout {
		        orientation: LayoutOrientation.LeftToRight
		    }
	        topPadding: 10
	        leftPadding: 10
	        rightPadding: 10
	        
	         CheckBox {
			    objectName: "completedCheckBox"
			    checked: isCompleted
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
			}
			
		    Container{
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	           layoutProperties: StackLayoutProperties {
	                spaceQuota: 1
	            }
			    Container {
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
			        
			        layout: StackLayout {
			            orientation: LayoutOrientation.LeftToRight
			        }
			
			        Label {
			            objectName: "isHighPriority"
			            text: "!"
			            textStyle.base: SystemDefaults.TextStyles.TitleText
			            textStyle.color: Color.Red
		                visible: isHighPriority
			            topMargin: 0; leftMargin: 0; rightMargin: 10; bottomMargin: 0;
			        }
			        
			        ImageView {
			            objectName: "isLowPriority"
	                    verticalAlignment: VerticalAlignment.Center
	        	        imageSource: "asset:///images/GroupsGeneral/lowPriority.png"
	        	        visible: isLowPriority
	        	    }
			        
			        Label {
			            objectName: "itemName"
			            text: itemName
			            textStyle.fontSize: FontSize.Large 
						textStyle.color: _UIStyleManager.primaryTextColor
			            layoutProperties: StackLayoutProperties {
			                spaceQuota: 1
			            }
			            horizontalAlignment: HorizontalAlignment.Left
		                verticalAlignment: VerticalAlignment.Center
			            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
			            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
			            textFormat: TextFormat.Plain
			        }
			    }
			                
	            Label {
	                objectName: "assignedTo"
	                text: assignedTo
	                textStyle.fontSize: FontSize.Small
                    textStyle.color: _UIStyleManager.secondaryTextColor
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
		            textFormat: TextFormat.Plain
	                
	                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	            }
			           
			
	            
	        }
	        Label {
                objectName: "dueDate"
                text: (dueDate == "0") ? "" : dueDate // use empty string if there is no due date
                textStyle.color: _UIStyleManager.timestampTextColor
                textStyle.fontSize: FontSize.XSmall 
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
            }
		}
	}
}
