import bb.cascades 1.0

Page {
    property string titleText: ""
    titleBar: TitleBar
    {
        objectName: "titleBar"
        title : titleText
    }

    shortcuts: [
        SystemShortcut {
            type: SystemShortcuts.Edit
            objectName: "editShortcut"
        }
    ]
    
    actions: [
        ActionItem {
            imageSource: "asset:///images/GroupsGeneral/ic_comments.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "commentsAction"
            id: commentsAction
            title: qsTr("View Comments") + Retranslate.onLanguageChanged
            shortcuts: [
                SystemShortcut {
                	type: SystemShortcuts.Reply
                	objectName: "commentsShortcut"
                }
            ]
        },
        ActionItem {
            imageSource: "asset:///images/ic_add.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "addAction"
            id: addAction
            title: qsTr("Add Item") + Retranslate.onLanguageChanged
            shortcuts: [
                SystemShortcut {
                	type: SystemShortcuts.CreateNew
            	}
            ]
        },
        //        InvokeActionItem {
        //            imageSource: "asset:///images/GroupsGeneral/ic_share.png"
        //            objectName: "shareAction"
        //            title: qsTr("Share")+ Retranslate.onLanguageChanged
        //            query {
        //                objectName: "shareActionQuery"
        //	            mimeType: "text/plain"
        //	            invokeActionId: "bb.action.SHARE"
        //	            data: []
        //            }
        //        },
        DeleteActionItem {
            objectName: "deleteListAction"
            title: qsTr("Delete List") + Retranslate.onLanguageChanged
        }
    ]
    content: Container {
        Container {
            layout: DockLayout {
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                objectName: "stackContainer"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                    orientation: LayoutOrientation.TopToBottom
                }
                Container { //background
                    layout: DockLayout {
                    }
                    ImageView // background
 {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        imageSource: "asset:///images/ProfileBannerBackground.png"
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    }
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        Container {
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            leftPadding: 20
                            rightPadding: 20
                            topPadding: 20
                            bottomPadding: 20
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            Container {
                                objectName: "addContainer"
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: 1
                                }
                            }
                            ImageButton {
                                objectName: "addItemButton"
                                defaultImageSource: "asset:///images/GroupsGeneral/AddButton.png"
                                pressedImageSource: "asset:///images/GroupsGeneral/AddButtonHighlight.png"
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                            }
                        }
                        DefaultSeparator {
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Bottom
                        }
                    }
                }
                		
        		Container { // drop shadow dock layout
        		    layout: DockLayout {}
         			horizontalAlignment: HorizontalAlignment.Fill;
         			verticalAlignment: VerticalAlignment.Fill;
         			layoutProperties: StackLayoutProperties{
                        spaceQuota: 1
                    }
                    
	                ListView {
	                    id: theListView
	                    leadingVisual: Container {
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                            Container {
                                rightPadding: 20
                                leftPadding: 20
                                topPadding: 20
                                bottomPadding: 20
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                DropDown {
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Fill
                                    objectName: "filterByRadioGroup"
                                    title: qsTr("Filter By") + Retranslate.onLanguageChanged
                                    Option {
                                        value: "OUTSTANDING"
                                        text: qsTr("Outstanding") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "COMPLETED"
                                        text: qsTr("Complete") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "ALL"
                                        text: qsTr("All") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "DELETED"
                                        text: qsTr("Deleted") + Retranslate.onLanguageChanged
                                        selected: true
                                    }
                                    Option {
                                        value: "ASSIGNEDTOME"
                                        text: qsTr("Assigned to Me") + Retranslate.onLanguageChanged
                                    }
                                }
                            }
                            Container {
                                rightPadding: 20
                                leftPadding: 20
                                topPadding: 20
                                bottomPadding: 20
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                DropDown {
                                    objectName: "sortByRadioGroup"
                                    title: qsTr("Sort By") + Retranslate.onLanguageChanged
                                    //Option {
                                    //    value: "DATEADDED"
                                    //    text: qsTr("Date Added") + Retranslate.onLanguageChanged
                                    //    selected: true
                                    //}
                                    Option {
                                        value: "DUEDATE"
                                        text: qsTr("Due Date") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "PRIORITY"
                                        text: qsTr("Priority") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "CATEGORY"
                                        text: qsTr("Category") + Retranslate.onLanguageChanged
                                    }
                                    Option {
                                        value: "ASSIGNTO"
                                        text: qsTr("Assign to") + Retranslate.onLanguageChanged
                                    }
                                }
                            }
                            ImageView // title bar dropshadow
        	                {
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Bottom
                                imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                                topMargin: 0
                                leftMargin: 0
                                rightMargin: 0
                                bottomMargin: 0
                            }
                        }
	                    objectName: "itemsList"
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    visible: !tapToStartContainer.visible
	                }
	                Container {
		                objectName: "tapToStartContainer"
		                horizontalAlignment: HorizontalAlignment.Fill
		                verticalAlignment: VerticalAlignment.Center
		                layout: StackLayout {
		                }
		                ImageView {
		                    horizontalAlignment: HorizontalAlignment.Center
		                    verticalAlignment: VerticalAlignment.Center
		                    imageSource: "asset:///images/NoContent/lists_icon.png"
		                }
		                Label {
		                    horizontalAlignment: HorizontalAlignment.Center
		                    verticalAlignment: VerticalAlignment.Center
		                    multiline: true
		                    textStyle.color: _UIStyleManager.primaryTextColor
                            textStyle.fontSize: FontSize.Large
		                    textStyle.textAlign: TextAlign.Center
		                    text: qsTr("No Items") + Retranslate.onLanguageChanged
		                }                
		                Button {
		                    text: qsTr("Add Item") + Retranslate.onLanguageChanged
		                    horizontalAlignment: HorizontalAlignment.Center
		                    verticalAlignment: VerticalAlignment.Center
		                    onClicked: {
		                        addAction.triggered()
		                    }
		                }
		            }
	                ImageView // title bar dropshadow
	                {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Top
                        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    }
	            }         
            }
        }
    }
}
