import bb.cascades 1.0

Container {
    id: groupListListItem
    property string name
    property string numberOfItems
    property bool showCommentSplat
    property bool showSplat
    
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    topPadding: 5
    bottomPadding: 5
    rightPadding: 5
    leftPadding: 5
    
    
    ImageView {
        objectName: "background"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    
        //scalingMethod: ScalingMethod.AspectFit
        imageSource: "asset:///images/GroupsGeneral/GroupListListItemBg.png"
        topMargin: 0
        leftMargin: 0
        rightMargin: 0
        bottomMargin: 0
        
    }
    
    Container {
        topPadding: _UILayoutManager.gridListAspectRatio == 1.0 ? 7 : 15
        bottomPadding: 50
        rightPadding: _UILayoutManager.gridListAspectRatio == 1.0 ? 47 : 52
        leftPadding: 19
        objectName: "overlayContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
	    Container {
	        layout: DockLayout {}
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	
	        Container {
	            layout: StackLayout {
			        orientation: LayoutOrientation.LeftToRight
		        }
	            horizontalAlignment: HorizontalAlignment.Right
	            verticalAlignment: VerticalAlignment.Top
	            bottomPadding: 30
	
		        Container {
		            objectName: "numberOfItemsContainer"
		            maxHeight: 30
		            preferredWidth: 60
		            layout: DockLayout {}
		            
		            horizontalAlignment: HorizontalAlignment.Right
		            verticalAlignment: VerticalAlignment.Top
		            topPadding: 2
		            leftPadding: 10
		            //rightPadding: 5
//			         ImageView {
//		                horizontalAlignment: HorizontalAlignment.Fill
//		                verticalAlignment: VerticalAlignment.Fill
//		                imageSource: "asset:///images/GroupsGeneral/GroupListListItemCount.png"
//		                topMargin: 0
//		                leftMargin: 0
//		                rightMargin: 0
//		                bottomMargin: 0
//		            }
			        Label {
			            objectName: "numberOfItems"
			            horizontalAlignment: HorizontalAlignment.Center
			            verticalAlignment: VerticalAlignment.Center			            
			            text: numberOfItems
			            textStyle.color: Color.White
			            //textStyle.fontSize: FontSize.XXSmall
			            textStyle.fontSize: FontSize.PointValue
			            textStyle.fontSizeValue: 5
			            textStyle.textAlign: TextAlignment.Center
			            topMargin: 0
			            leftMargin: 0
			            rightMargin: 0
			            bottomMargin: 0
			        }
			    }
			}
	        
	        
	    }
	    Label {
	        objectName: "name"
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	
	        text: name
	        textStyle.fontSize: _UILayoutManager.gridListAspectRatio == 1.0 ? FontSize.XSmall : FontSize.Small
	        textStyle.color: Color.create("#FAFAFA")
	        topMargin: 0
	        leftMargin: 0
	        rightMargin: 0
	        bottomMargin: 0
	        multiline: true
	        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
            textFormat: TextFormat.Plain
	    }
	}
	ImageView {
	    objectName: "splat"
	     verticalAlignment: VerticalAlignment.Top;
	     horizontalAlignment: HorizontalAlignment.Right;
	     translationX: _UILayoutManager.gridListAspectRatio == 1.0 ? 10 : 0
	     translationY: _UILayoutManager.gridListAspectRatio == 1.0 ? -10 : 0
	
	    visible: showSplat
	    imageSource: "asset:///images/Splat60x60.png"
    }
    
    Container {
        bottomPadding: 20
        rightPadding: 50
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Bottom
        ImageView {
            objectName: "comments"
            imageSource: "asset:///images/GroupsGeneral/GroupListListItemComment.png"
            topPadding: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0 
            visible: showCommentSplat
            
        }
    }
}
