import bb.cascades 1.0

Page {    
    actions: [
        ActionItem {title: qsTr("Add List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_add.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "addAction"
            id: addAction
            shortcuts: [
                SystemShortcut {
                    type: SystemShortcuts.CreateNew
                }
            ]
        }
    ]
    content: Container {
        objectName: "mainContainer"
        Container // drop shadow dock layout
 {
            layout: DockLayout {
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            ListView {
                property bool allowDelete: true
                id: listsList
                objectName: "listsList"
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                topPadding: 10
                layout: GridListLayout {
//                    horizontalCellSpacing: 5
//                    verticalCellSpacing: 5
                    // headerMode: ListHeaderMode.Sticky
                    columnCount: 3
                    cellAspectRatio: _UILayoutManager.gridListAspectRatio
                }
                listItemComponents: [
                    ListItemComponent {
                        type: ""
                        GroupListListItem {
                            id: groupListListItem
                            verticalAlignment: VerticalAlignment.Fill
                            horizontalAlignment: HorizontalAlignment.Fill
                            name: ListItemData.name
                            numberOfItems: ListItemData.numberOfItems
                            showCommentSplat: ListItemData.showCommentSplat
                            showSplat: ListItemData.showSplat
                            
                            contextActions: [
                                ActionSet {
                                    title: ListItemData.name
                                    objectName: "groupListActionSet"
                                    DeleteActionItem {
                                        objectName: "deleteListAction"
                                        title: qsTr("Delete")
                                        enabled: groupListListItem.ListItem.view.allowDelete
                                        onTriggered:{
                                            groupListListItem.ListItem.view.deleteListClicked();
                                        }
                                    }
                                }
                            ]
                        }
                    }
                ]
                function deleteListClicked() {
                    glp.deleteListClicked();
                } 
            }
            Container {
                objectName: "tapToStartContainer"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                layout: StackLayout {
                }
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    imageSource: "asset:///images/NoContent/lists_icon.png"
                }
                Label {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    multiline: true
                    textStyle.color: _UIStyleManager.primaryTextColor
                    textStyle.fontSize: FontSize.Large
                    textStyle.textAlign: TextAlign.Center
                    text: qsTr("No Lists") + Retranslate.onLanguageChanged
                }                
                Button {
                    objectName: "tapToStartButton"
                    text: qsTr("Add List") + Retranslate.onLanguageChanged
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    onClicked: {
                        addAction.triggered()
                    }
                }
            }
            ImageView // title bar dropshadow
            {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
            }
        }
    }
}
