import bb.cascades 1.0

Container {
    // This vertical stack layout will hold the containers for the 2 rows of
    // live tiles.
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center
    Container { // first row
        objectName: "liveTileFirstRow"
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        Container{
            objectName: "chatLiveTile"
            layout: DockLayout {
            } 
            leftPadding: 24
            rightPadding: 18
            topPadding: 25
            bottomPadding: 14
            ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
	        Container { // padding
	            
	            leftPadding: 4
	            rightPadding: 4
	            topPadding: 2
	            bottomPadding: 6
	            
	            //opacity: 0
	            Container {
	                layout: DockLayout {
	                }
	                Container {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    ImageView {
	                        objectName: "image"
	                        imageSource: "asset:///images/GroupLobbyPage/chat.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                    }
	                    ImageView {
	                        objectName: "avatar"
	                        preferredWidth: 342
	                        preferredHeight: 196
	                        scalingMethod: ScalingMethod.AspectFill
	                    }
	                    Container {
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Bottom
	
	                        Container { // blue speech bubble image
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            layout: DockLayout {
	                            }
	                            ImageView { // bubble image
	                                imageSource: "asset:///images/GroupLobbyPage/chats_tile_bubble.png"
	                                scalingMethod: ScalingMethod.AspectFill
	                                horizontalAlignment: HorizontalAlignment.Center
	                                verticalAlignment: VerticalAlignment.Bottom
	                            } // bubble image
	                            Container { // bubble text
	                                topPadding: 25
	                                bottomPadding: 15
	                                leftPadding: 20
                                    rightPadding: 20
                                    maxWidth: 320
	                                maxHeight: 220
	                                horizontalAlignment: HorizontalAlignment.Fill
	                                verticalAlignment: VerticalAlignment.Top
	                                Label {
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Center
	                                    bottomMargin: 0
	                                    objectName: "contactName"
	                                    //textStyle.fontSize: FontSize.Large
	                                    textStyle.fontSize: FontSize.PointValue
                                        textStyle.fontSizeValue: 9
	                                    textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                                    textStyle.color: Color.create("#121212")
	                            	    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                            	        textFormat: TextFormat.Plain
	                                }
	                                Label {
	                                    topMargin: 0
	                                    horizontalAlignment: HorizontalAlignment.Fill
	                                    verticalAlignment: VerticalAlignment.Center
	                                    objectName: "chatText"
	                                    multiline: true
	                                    //textStyle.fontSize: FontSize.Small
	                                    textStyle.fontSize: FontSize.PointValue
                                        textStyle.fontSizeValue: 7
	                                    textStyle.color: Color.create("#121212")
	                            	    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            	    textFormat: TextFormat.Plain
	                                }
	                            } // bubble text
	                        }
	                    }
	                }
	            }
	            Container { // black label
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
	                background: Color.Black
	                Label {
                        objectName: "title"
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    textStyle.base: SystemDefaults.TextStyles.BodyText
	                    textStyle.color: Color.White
						//textStyle.fontSize: FontSize.XSmall
						textStyle.fontSize: FontSize.PointValue
						textStyle.fontSizeValue: 6
	                }
	            } // black label
	        } // padding
	        ImageView {
                objectName: "chatSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
	    }
        Container{
	        objectName: "pictureLiveTile"
	        layout: DockLayout {
	        }
	        leftPadding: 0
            rightPadding: 24
            topPadding: 25
            bottomPadding: 14
	        ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
	        Container {
	            leftPadding: 4
	            rightPadding: 4
	            topPadding: 2
	            bottomPadding: 6
	            Container {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	                background: Color.White
	                layout: DockLayout {
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    layout: DockLayout {
	                    }
	                    ImageView {
	                        id: imageBackground
	                        objectName: "imageBackground"
	                        // chat.png is same as picture.png, so use that one, saves us 100KB
	                        imageSource: "asset:///images/GroupLobbyPage/chat.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                    ImageView {
	                        id: imagePreview
	                        objectName: "imagePreview"
	                        //imageSource: "asset:///images/1340723574363.jpg"
	                        scalingMethod: ScalingMethod.AspectFill
	                        preferredWidth: 342
	                        preferredHeight: 416
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                }
	                Container {
	                    id: containerNoPictures
	                    objectName: "containerNoPictures"
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Center
	                    topPadding: 50
	                    visible: false
	                    ImageView {
	                        objectName: "add"
	                        imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                    Label {
	                        objectName: "pictureText"
	                        text: qsTr("Add") + Retranslate.onLanguageChanged
	                        visible: true
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center	                        
	                        //textStyle.fontSize: FontSize.XLarge
	                        textStyle.fontSize: FontSize.PointValue
	                        textStyle.fontSizeValue: 11
	                        textStyle.color: Color.Black
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
	                background: Color.Black
	                Label {
	                    objectName: "title"
	                    leftMargin: 0
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    //textStyle.fontSize: FontSize.XSmall
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                    textStyle.color: Color.White
	                }
	            }
	        }
	        ImageView {
                objectName: "pictureSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
	    }
    }
    Container { // second row
        objectName: "liveTileSecondRow"
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center

        Container{
            objectName: "listLiveTile"
	        layout: DockLayout {
	        }
	        leftPadding: 24
            rightPadding: 18
            topPadding: 0
            bottomPadding: 22
	        ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
	        Container {
	            leftPadding: 4
	            rightPadding: 4
	            topPadding: 2
	            bottomPadding: 6
	            Container {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	                background: Color.White
	                preferredWidth: 342
	                layout: DockLayout {
	                }
	                Container {
	                    layout: DockLayout {
	                    }
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Top
	                    ImageView {
	                        objectName: "background"
	                        opacity: 0.0
	                        imageSource: "asset:///images/GroupLobbyPage/list.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Top
	                    }
	                    Container {
	                        preferredHeight: 80
	                        layout: DockLayout {
	                        }
	                        topPadding: 0
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Top
	                        ImageView {
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Fill
	                            imageSource: "asset:///images/GroupLobbyPage/ListBannerBackground.png"
	                            scalingMethod: ScalingMethod.Fill
	                        }
	                        Label {
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                            objectName: "listNameLabel"	                           
	                            //textStyle.fontSize: FontSize.Large
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 9
								textStyle.color: Color.create("#121212")
								textStyle.fontWeight: SystemDefaults.FontWeight.Bold
								content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
								textFormat: TextFormat.Plain 
	                        }
	                    }
	                    Container {
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Center
	                        id: noListContainer
	                        objectName: "noListContainer"
	                        topPadding: 50
	                        visible: false
	                        ImageView {
	                            objectName: "add"
	                            imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                            scalingMethod: ScalingMethod.AspectFill
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                        }
	                        Label {
	                            objectName: "listText"
	                            text: qsTr("Add") + Retranslate.onLanguageChanged
	                            visible: true
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center	                           
	                            textStyle.color: Color.Black
	                            //textStyle.fontSize: FontSize.XLarge
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 11
	                        }
	                    }
	                    Container {
	                        layout: DockLayout {
	                        }
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	                        id: listItemContainer
	                        objectName: "listItemContainer"
	                        Container {
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Top
	                            layout: StackLayout {
	                                orientation: LayoutOrientation.LeftToRight
	                            }
	                            topPadding: 90
	                            leftPadding: 15
	                            rightPadding: 15
	                            bottomPadding: 20
	                            maxHeight: 365
	                            CheckBox {
	                                id: listItemCheckBox
	                                objectName: "listItemCheckBox"
	                                enabled: true                                    
	                            }
	                            Label {
	                                id: listItemLabel
	                                objectName: "listItemLabel"
	                                multiline: true
	                                //textStyle.fontSize: FontSize.Small
	                                textStyle.fontSize: FontSize.PointValue
	                                textStyle.fontSizeValue: 7
									textStyle.color: Color.create("#121212")
									content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
									textFormat: TextFormat.Plain
	                            }
	                        }
	                        Container {
	                            // this container is only used to prevent interaction with the checkbox
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Fill
	                            opacity: 0.0
	                        }
	                        Container {
	                            layout: DockLayout {
	                            }
	                            leftPadding: 20
	                            bottomPadding: 20
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Bottom
	                            Label {
	                                objectName: "dueDateLabel"	                                
	                                textStyle.color: Color.create("#555555")
	                                //textStyle.fontSize: FontSize.XSmall
	                                textStyle.fontSize: FontSize.PointValue
	                                textStyle.fontSizeValue: 6
	                            }
	                        }
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
	                background: Color.Black
	                Label {
	                    objectName: "title"	                    
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    //textStyle.fontSize: FontSize.XSmall
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                    textStyle.color: Color.White
	                }
	            }
	        }
	        ImageView {
                objectName: "listSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }
        }
        Container{
	        objectName: "eventLiveTile"
	        layout: DockLayout {
	        }
	        leftPadding: 0
            rightPadding: 24
            topPadding: 0
            bottomPadding: 22
	        ImageView {
                imageSource: "asset:///images/GroupLobbyPage/DropShadow_Tiles.amd"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
	        Container {
	            leftPadding: 4
	            rightPadding: 4
	            topPadding: 2
	            bottomPadding: 6
	            Container {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	                background: Color.White
	                layout: DockLayout {
	                }
	                ImageView {
	                    objectName: "background"
	                    
	                    imageSource: "asset:///images/GroupLobbyPage/event.png"
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Top
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Center
	                    id: noEventContainer
	                    objectName: "noEventContainer"
	                    topPadding: 50
	                    visible: false
	                    ImageView {
	                        objectName: "add"
	                        imageSource: "asset:///images/GroupLobbyPage/add_action_gray.png"
	                        scalingMethod: ScalingMethod.AspectFill
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center
	                    }
	                    Label {
	                        objectName: "eventText"
	                        text: qsTr("Add") + Retranslate.onLanguageChanged
	                        visible: true
	                        horizontalAlignment: HorizontalAlignment.Center
	                        verticalAlignment: VerticalAlignment.Center	                        
	                        textStyle.color: Color.Black
	                        //textStyle.fontSize: FontSize.XLarge
	                        textStyle.fontSize: FontSize.PointValue
	                        textStyle.fontSizeValue: 11
	                    }
	                }
	                Container {
	                    horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
	                    id: nextEventContainer
	                    objectName: "nextEventContainer"
	                    maxHeight: 400
	                    Container {
	                        topPadding: 10
	                        preferredHeight: 102
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Center
	                        Label {
	                            
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Center
	                            objectName: "eventDateLabel"
	                            //textStyle.fontSize: FontSize.Large
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 9
	                            textStyle.color: Color.White
	                            textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                            textStyle.textAlign: TextAlign.Center
	                            layoutProperties: StackLayoutProperties {
                                               spaceQuota: 1
                                               }
	                              
	                                    
	                        }
	                    }
	                    Container {
	                        topPadding: 20
	                        bottomPadding: 10
	                        leftPadding: 20
	                        rightPadding: 20
	                        preferredWidth: 342
	                        layout: StackLayout {
	                            orientation: LayoutOrientation.TopToBottom
	                        }
	                        Label {
	                            bottomMargin: 0
	                            horizontalAlignment: HorizontalAlignment.Fill	                            
	                            objectName: "eventNameTextArea"
	                            //textStyle.base: FontSize.Medium
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 8
	                            textStyle.color: Color.create("#121212")
	                            textStyle.fontWeight: SystemDefaults.FontWeight.Bold
	                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            textFormat: TextFormat.Plain
	                        }
	                        Label {
	                            topMargin: 0                            
	                            horizontalAlignment: HorizontalAlignment.Fill	                            
	                            objectName: "eventTimePeriodTextArea"
	                            //textStyle.base: FontSize.Medium
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 8
	                            textStyle.color: Color.create("#121212")
	                        }
	                        ImageView {
	                            imageSource: "asset:///images/GroupLobbyPage/divider.png"
	                            horizontalAlignment: HorizontalAlignment.Center
	                            verticalAlignment: VerticalAlignment.Fill
	                            translationY: -15
	                        }
	                        Label {
	                            translationY: -30
	                            horizontalAlignment: HorizontalAlignment.Fill	                            
	                            objectName: "eventLocationTextArea"
	                            //textStyle.fontSize: FontSize.Small
	                            textStyle.fontSize: FontSize.PointValue
	                            textStyle.fontSizeValue: 7
	                            textStyle.color: Color.Black
	                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                            textFormat: TextFormat.Plain
	                            multiline:true
	                            layoutProperties: StackLayoutProperties{
	                                spaceQuota: 1
	                            }                            
	                            
	                        }
	                    }
	                }
	            }
	            Container {
	                layout: DockLayout {
	                }
	                topPadding: 10
	                bottomPadding: 10
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Bottom
	                background: Color.Black
	                Label {
	                    objectName: "title"
	                    visible: true
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    //textStyle.fontSize: FontSize.XSmall
	                    textStyle.fontSize: FontSize.PointValue
	                    textStyle.fontSizeValue: 6
	                    textStyle.color: Color.White
	                }
	
	            }
             }
             ImageView {
                objectName: "eventSplat"
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                imageSource: "asset:///images/Splat_64x64.png"
                visible: false
            }    
        }
    }
}
