import bb.cascades 1.0
Container{
    id: groupMemberListItem
    objectName: "rootContainer"
    property bool isHighlight: false

    layout: DockLayout {
    }
    background: _UIStyleManager.backgroundColor
	Container { //this is a placeholder for highlight imageview
                    objectName: "highlightContainer"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    layout: DockLayout {
                    }
                }
		Container
		{		
		Container {
                objectName: "touchSection"
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

                Container // avatar container
				{
                    // as wide as the avatar
                    preferredWidth: _UILayoutManager.defaultAvatarSize
                    preferredHeight: _UILayoutManager.defaultAvatarSize
                    layout: DockLayout {
                    }
                    ImageView { // avatar
                        objectName: "avatar"                       
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
						minWidth: _UILayoutManager.defaultAvatarSize
                        minHeight: _UILayoutManager.defaultAvatarSize
                        preferredWidth: _UILayoutManager.defaultAvatarSize
                        preferredHeight: _UILayoutManager.defaultAvatarSize
                        scalingMethod: ScalingMethod.AspectFit
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    } // end avatar
                    Container {
						
                        objectName: "adminContainer"
                        visible: false
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Bottom
                        ImageView { // admin key
                            imageSource: "asset:///images/GroupsGeneral/GroupAdmin.png"
                            topMargin: 0
                            leftMargin: 0
                            rightMargin: 0
                            bottomMargin: 0
                        } // admin key
                    }
                } // end avatar container
				
                    Container // name and description
                        {
							layoutProperties: StackLayoutProperties 
							{
								spaceQuota: 1
							}
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center
                            leftPadding: 40 // Separation between avatar and name
							
                            Label // name label
							{
                                objectName: "name"                                
                                textStyle.base: SystemDefaults.TextStyles.TitleText
                                textStyle.color: _UIStyleManager.primaryTextColor
                                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveTextOff								
                                horizontalAlignment: HorizontalAlignment.Left
                                verticalAlignment: VerticalAlignment.Center
                                topMargin: 0
                                leftMargin: 0
                                rightMargin: 0
                                bottomMargin: 0
                            } // end name label
                            
                            Label {
                                objectName: "description"
                                visible: false
                                text: qsTr("BBM invite pending") + Retranslate.onLanguageChanged
                                textStyle.color: _UIStyleManager.secondaryTextColor
                                textStyle.base: SystemDefaults.TextStyles.SubtitleText
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Bottom
                                topMargin: 0
                                leftMargin: 0
                                rightMargin: 0
                                bottomMargin: 0
                            }
							
                        } // end name | description
				
                Container // out of coverage icon container
                {
                    objectName: "outOfCoverageIconContainer"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    visible: false
					rightPadding: addContactContainer.visible ?  0 : 30
                    ImageView {
                        imageSource: "asset:///images/message_states/clock.png"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        scalingMethod: ScalingMethod.AspectFill
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    }
                } // out of coverage icon container
                Container // add contact icon container
                {
					id: addContactContainer
					rightPadding: 30
                    objectName: "addContactContainer"
                    visible: false
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    ImageView {
                        imageSource: "asset:///images/GroupsGeneral/ic_add_friend.png"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        scalingMethod: ScalingMethod.AspectFill
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    }
                } // end add contact icon container
				
            }
            ImageView //horizontal line separator
            {
                objectName: "separator"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom
                imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
            }
		}

Container { //this is a placeholder for pressed highlight imageview
    objectName: "pressedHighlightContainer"
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    layout: DockLayout {
    }
}
}
