import bb.cascades 1.0
Sheet
{
	id: historySheet
	content: Page 
	{
        objectName: "page"
		titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Chat History") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                historySheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "doneAction"
	            title: qsTr("Done") + Retranslate.onLanguageChanged
	        }
	    }
		content: Container 
		{        
			Container // drop shadow dock layout
			{
				layout: DockLayout {}
				
				layoutProperties: StackLayoutProperties 
				{
					spaceQuota: 1
				}
				Container
				{
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Fill;
					Header
					{
						title: qsTr("Keep messages for") + Retranslate.onLanguageChanged
					}
                    ScrollView 
                    {
                        scrollViewProperties {
                            scrollMode: ScrollMode.Vertical
                            overScrollEffectMode: OverScrollEffectMode.None
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        RadioGroup
						{
							// the value set here matches the BBG Protocol doc for groupConversationOptionsEdit
							objectName: "keepMessageFor"
							dividersVisible: true
							Option
							{ 
								value: "1 day"
								text: qsTr("1 Day") + Retranslate.onLocaleOrLanguageChanged 
							}
							Option
							{ 
								value: "2 days"
								text: qsTr("2 Days") + Retranslate.onLocaleOrLanguageChanged
	                        }
							Option
							{ 
								value: "3 days"
								text: qsTr("3 Days") + Retranslate.onLocaleOrLanguageChanged
	                            selected: true
							}
							Option
							{ 
								value: "1 week"
								text: qsTr("1 Week") + Retranslate.onLocaleOrLanguageChanged
	                        }
							Option
							{ 
								value: "2 weeks"
								text: qsTr("2 Weeks") + Retranslate.onLocaleOrLanguageChanged
	                        }
							Option
							{
								value: "3 weeks"
								text: qsTr("3 Weeks") + Retranslate.onLocaleOrLanguageChanged
	                        }
							Option
							{ 
								value: "1 month"
								text: qsTr("1 Month") + Retranslate.onLocaleOrLanguageChanged
	                        }
							Option
							{ 
								value: "Forever"
								text: qsTr("Forever") + Retranslate.onLanguageChanged 
							}
						}
					}
				}
				ImageView // title bar dropshadow
				{
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Top;
		
					imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
					topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
				}
			}
		}
	}
}
