import bb.cascades 1.0

Sheet {
    id: pickerSheet
    property int numSelected
    content: Page {
        titleBar: TitleBar {
            id: titleBarObject
            objectName: "titleBar"
            title: qsTr("Select Group") + Retranslate.onLanguageChanged
            dismissAction: ActionItem {
                objectName: "cancelAction"
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    pickerSheet.close()
                }
            }
            acceptAction: ActionItem {
                objectName: "inviteAction"
                title: qsTr("Send") + Retranslate.onLanguageChanged
                enabled: false
            }
        }
        content: Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            Container // drop shadow dock layout
 {
                layout: DockLayout {
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                ListView {
                    id: listView
                    objectName: "all"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    scrollIndicatorMode: ScrollIndicatorMode.Default
                    onTriggered: {
                        toggleSelection(indexPath);
                    }
                }
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
            } // end drop shadow dock layout
        } // main container
    }
}
