import bb.cascades 1.0

Page {
    property bool listVisible: false

    actions: [
        ActionItem {
            title: qsTr("Add Picture") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupLobbyPage/ic_add_picture.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "addAction"
            id: addAction
            shortcuts: [
                SystemShortcut {
                    type: SystemShortcuts.CreateNew
                }
            ]
        }
    ]
    content: Container {
        layout: DockLayout {
        }
        
        objectName: "rootContainer"

        Container {
	        objectName: "mainContainer"
	        horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	            
	        Container {
	        	topPadding: 6
        		leftPadding: 6
        		rightPadding: 6
        		bottomPadding: 6
		        layout: DockLayout {
		        }
		        layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
		        horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
		        
	            ListView {
	                visible: listVisible
	                objectName: "picturesList"
	                id: listView
	                layout: GridListLayout {
	                    horizontalCellSpacing: 5
	                    verticalCellSpacing: 5
	                    headerMode: ListHeaderMode.Sticky
	                    columnCount: _UILayoutManager.gridListNumColumns
                    }
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	            }
	            Container {
	                objectName: "tapToStartContainer"
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                layout: StackLayout {
	                }
	                ImageView {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    imageSource: "asset:///images/NoContent/pictures_icon.png"
	                }
	                Label {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    multiline: true
	                    textStyle.color: _UIStyleManager.primaryTextColor
                        textStyle.fontSize: FontSize.Large
	                    textStyle.textAlign: TextAlign.Center
	                    text: qsTr("No Pictures") + Retranslate.onLanguageChanged
	                }                
	                Button {
	                    text: qsTr("Add Picture") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    onClicked: {
	                        addAction.triggered()
	                    }
	                }
	            }
	        }
        }
    }
}
