import bb.cascades 1.0

Sheet {
    id: pictureShareInfoSheet
    content: Page {
        titleBar: TitleBar {
            objectName: "titleBar"
            title: qsTr("Add Picture") + Retranslate.onLanguageChanged
            dismissAction: ActionItem {
                objectName: "cancelAction"
                title: qsTr("Cancel") + Retranslate.onLanguageChanged               
            }
            acceptAction: ActionItem {
                objectName: "buttonUpload"
                title: qsTr("Upload") + Retranslate.onLanguageChanged
                enabled: false
            }
        }
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
            content: Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                topPadding: 20
                leftPadding: 20
                rightPadding: 20
                Container {
                    background: Color.Black
                    preferredHeight: 500
                    preferredWidth: 768
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    ImageView {
                        objectName: "imageViewPictureToShare"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        scalingMethod: ScalingMethod.AspectFit
                        preferredHeight: 500
                        preferredWidth: 768
                        
                    }
                    Label {
                        objectName: "errorInfoLabel"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        textStyle.fontSize: FontSize.Medium
                        textStyle.color: Color.White
                        textStyle.textAlign: TextAlign.Center
                        visible: false
                        multiline: true;
                    }
                    ActivityIndicator 
                    {
                    	objectName: "activityIndicator"
                    	id: myActivityIndicator
 					   	horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
 					   	running: true
 					   	minHeight: 160
					}
                    
                }
                Label {
                    objectName: "labelCaptionWarning"
                    text: qsTr("The picture caption cannot be empty.") + Retranslate.onLanguageChanged
                    textStyle.color: Color.Red
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    visible: false
                }
                Container {
                    objectName: "captionContainer"
                    topPadding: 20
                    bottomPadding: 0
                    rightPadding: 0
                    leftPadding: 0
                }
                Button {
                    objectName: "buttonAddVoiceNote"
                    horizontalAlignment: HorizontalAlignment.Fill
                    text: qsTr("Add Voice Note") + Retranslate.onLanguageChanged
                    visible: false // TODO remove this when we can use voice notes
                }
                Container // group name container
 {
                    objectName: "containerGroupName"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    DropDown {
                        objectName: "dropDownGroups"
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    }
                } // end groups container
            }
        }
    }
}
