import bb.cascades 1.0
import bb.cascades.multimedia 1.0

Page {
    property string numberOfMembersStr: "1"
    id: groupProfilePane

    actions: [
        ActionItem {
            imageSource: "asset:///images/QRCode.png"
            objectName: "showBarcodeSheet"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Show Barcode") + Retranslate.onLanguageChanged
        }
    ]
    
    content: Container {
        objectName: "container"
        layout: StackLayout {
        }
        Container {
            objectName: "profileBannerContainer"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        Container{
            horizontalAlignment: HorizontalAlignment.Fill
	        
	        ImageView //horizontal line separator
            {
                objectName: "separator"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom
        
                imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
            }
        }
        SegmentedControl { // core ux title bar specs says that if there are < 5 choices, then they should be displayed as segments. since SegmentedControl is not available from Cascades yet, this is temporary
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
            rightMargin: 0
            objectName: "segments"
            Option {
                value: "DETAILS"
            }
            Option {
                value: "UPDATES"
                selected: true
            }
            Option {
               value: "MEMBERS"
            }


        } // SegmentedControl
        
        Container {
            objectName: "infoContainer"
            horizontalAlignment: HorizontalAlignment.Fill
            layout: DockLayout {
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            ListView {
                objectName: "updatesListView"
                visible: true
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center               
            }
            Container {
                objectName: "membersView"
                visible: false
                GroupMemberListHeader {
                    numberOfMembersText: numberOfMembersStr
                }
                ListView {
                    id: listView
                    objectName: "membersListView"
                    //visible: false
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                }
            }
//            Container {
//                objectName: "barcodeContainer"
//                visible: false
//                horizontalAlignment: HorizontalAlignment.Center
//                verticalAlignment: VerticalAlignment.Center
//                layout: StackLayout {
//                    orientation: LayoutOrientation.TopToBottom
//                }
//                leftPadding: 5
//                rightPadding: 5
//                topPadding: 20
//                bottomPadding: 5
//                QrCodeView {
//                      preferredWidth: 500
//                      preferredHeight: 500
//                      objectName: "barcodeImage"
//                      horizontalAlignment: HorizontalAlignment.Center
//                      verticalAlignment: VerticalAlignment.Center
//                  }
//                 
//            }
            Container {
                objectName: "descContainer"
                topPadding: 20
                bottomPadding: 20
                leftPadding: 20
                rightPadding: 20

                Container {
                    objectName: "descLabelContainer"
                    topPadding: 10
                    bottomPadding: 10
                    visible: false
                    Label {
                        objectName: "descLabel"
                        textStyle.fontSize: FontSize.Medium
                        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                        textFormat: TextFormat.Plain
                    }
                }
            }
            ImageView {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                imageSource: "asset:///images/bottomDropShadow.png"
            }
        }
    } // content: Container
}
