import bb.cascades 1.0

Container {
    id: groupUpdateListItem
    property string updateText
    property bool isAdmin
    property string timeText

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    ImageView //horizontal line separator
 {
        objectName: "separator"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
        topMargin: 0
        leftMargin: 0
        rightMargin: 0
        bottomMargin: 0
    }
    Container {
        layout: DockLayout {
        }
        objectName: "staticBackground"
        background: _UIStyleManager.backgroundColor
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Container {
            objectName: "contentHolder"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Container {
                objectName: "touchSection"
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                Container // avatar container
                {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    preferredWidth: _UILayoutManager.defaultAvatarSize
                    preferredHeight: _UILayoutManager.defaultAvatarSize
                    
                    layout: DockLayout {
                    }
                    ImageView { // avatar
                        objectName: "avatar"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        scalingMethod: ScalingMethod.AspectFit
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    } // end avatar
                   
                    ImageView { // admin key
                        visible: isAdmin
                        imageSource: "asset:///images/GroupsGeneral/GroupAdmin.png"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Bottom
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                    } // admin key
                } // end avatar container
                Container {
                    leftPadding: 5                   
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    layout: DockLayout {
                    }
                    layoutProperties: StackLayoutProperties {
                                          spaceQuota: 1
                                      }
                    Container // holds everything except avatar
                    {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        Label // main label
                        {
                            objectName: "mainLabel"
                            multiline: true
                            text: updateText
                            textStyle.color: _UIStyleManager.primaryTextColor
                            textStyle.base: SystemDefaults.TextStyles.BodyText                            
                            horizontalAlignment: HorizontalAlignment.Left
                            verticalAlignment: VerticalAlignment.Fill
							content.flags: TextContentFlag.Emoticons
                            
                        } // end main label
                        Label {
                            objectName: "secondaryLabel"
                            text: timeText
                            textStyle.color: _UIStyleManager.secondaryTextColor
                            textStyle.base: SystemDefaults.TextStyles.SubtitleText
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill
                        }
                    } // end hold everything except avatar
                }
            }
        }
    }
}
