import bb.cascades 1.0

Page
{
    shortcuts: [
        SystemShortcut {
            type: SystemShortcuts.Edit
            objectName: "editShortcut"
        }
    ]

    actions: [
        ActionItem {
            imageSource: "file:///usr/share/icons/ic_invite_to_bbm.png"
            objectName: "inviteAction"
            //: The text to display on the action to go to the Invite to BBM screen            
            title: qsTr("Invite to BBM") + Retranslate.onLanguageChanged
            shortcuts: Shortcut {
            	//: Shortcut used to invite a user to be part of the BBM list
            	key: qsTr("I") + Retranslate.onLanguageChanged
        	}
        },
        
        ActionItem {
            imageSource: "asset:///images/GroupsGeneral/ic_add_bbm_group.png"
            objectName: "createGroup"
            id: addAction
            //: The text to display on the action to create a new group            
            title: qsTr("Create New Group") + Retranslate.onLanguageChanged
            shortcuts: [
            	SystemShortcut {
              		type: SystemShortcuts.CreateNew
          		}
        	]
        },
        
        ActionItem {
            imageSource: "asset:///images/QRCode.png"
            objectName: "scanBarcode"
            //: The text to display on the action to create a new group            
            title: qsTr("Join Group") + Retranslate.onLanguageChanged
        }      
    ]
    
    content: Container
    {
		    objectName: "stackContainer"
		    
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
    
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            DefaultSeparator {
            	horizontalAlignment: HorizontalAlignment.Fill
            	verticalAlignment: VerticalAlignment.Top
            }
	       Container
           {
               layout: DockLayout {}
               layoutProperties: StackLayoutProperties {
                   spaceQuota: 1
               }
               horizontalAlignment: HorizontalAlignment.Fill
               verticalAlignment: VerticalAlignment.Fill
		        Container {
	                objectName: "noGroupsContainer"
	                visible: false
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                layout: StackLayout {
	                }
	                ImageView {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    imageSource: "asset:///images/emptyTabs/no_groups.png"
	                }
	                Label {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    multiline: true
	                    textStyle.color: _UIStyleManager.primaryTextColor
                        textStyle.fontSize: FontSize.Large
	                    textStyle.textAlign: TextAlign.Center
	                    text: qsTr("No Groups") + Retranslate.onLanguageChanged
	                }                
	                Button {
	                    text: qsTr("Create New Group") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Center
	                    verticalAlignment: VerticalAlignment.Center
	                    onClicked: {
	                        addAction.triggered()
	                    }
	                }
	            }
		        
	            
		        Container
        		{
        		    objectName: "listContainer"
        		    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
            
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }

			        ListView
			        {
			            id: listView
			            
			            layout: GridListLayout {
			                columnCount: _UILayoutManager.gridListNumColumns
                            //headerMode: ListHeaderMode.Sticky
			            }
			            objectName: "all"
			        }
			    }

		    }
		}
}
