import bb.cascades 1.0

BaseCustomDialog
{
    property string contactName: "Contact"
    property bool sendDecline: false
    property bool block: false
    
    dialogTitle: qsTr("Ignore invitation?") + Retranslate.onLanguageChanged
    actionLabel: qsTr("Confirm") + Retranslate.onLanguageChanged
    
    contentContainer: Container
    {
        Container
        {            
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            Label {
	            objectName: "lblBlockInvites"
	            textStyle.color: Color.create("#121212")
                textStyle.fontSize: FontSize.Medium
	            text: qsTr("Block Future Invitations") + Retranslate.onLanguageChanged
	            multiline: true
	            
	            layoutProperties: StackLayoutProperties {
                    spaceQuota:1
                }
	            
				horizontalAlignment: HorizontalAlignment.Left
				verticalAlignment: VerticalAlignment.Center;
	        }
            DialogCheckBox {
                imageToggleButtonInstance.objectName: "cbBlockInvites"
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                
                horizontalAlignment: HorizontalAlignment.Right;
                verticalAlignment: VerticalAlignment.Top;
                
                imageToggleButtonInstance.onCheckedChanged: {
                    block = checked                    
                }
            }
        }
        
        Label {
            objectName: "lblBlockInvitesDetails"
            textStyle.color: Color.create("#121212")
            textStyle.base: SystemDefaults.TextStyles.BodyText
            text: qsTr("%1 will be added to your Blocked Contacts List in the BBM Settings.").arg(contactName) + Retranslate.onLanguageChanged
            multiline: true
            content.flags: TextContentFlag.Emoticons
            
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			topMargin: 10; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        }
        
        Container
        {            
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            topPadding: 40
            
            Label {
                objectName: "lblSendResponse"
	            textStyle.color: Color.create("#121212")
                textStyle.fontSize: FontSize.Medium	            
	            text: qsTr("Send Decline Response") + Retranslate.onLanguageChanged
	            multiline: true
	            
	            layoutProperties: StackLayoutProperties {
                    spaceQuota:1
                }
	            
				horizontalAlignment: HorizontalAlignment.Left
				verticalAlignment: VerticalAlignment.Center;
	        }
            DialogCheckBox {
                imageToggleButtonInstance.objectName: "cbSendResponse"
                topMargin: 50; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                
                horizontalAlignment: HorizontalAlignment.Right;
                verticalAlignment: VerticalAlignment.Top;
                
                imageToggleButtonInstance.onCheckedChanged: {
                    sendDecline = checked
                }
            }
        }
        
        Label {
            objectName: "lblSendResponseDetails"
            textStyle.color: Color.create("#121212")
            textStyle.base: SystemDefaults.TextStyles.BodyText
            text: qsTr("%1 will see that you declined the invitation.").arg(contactName) + Retranslate.onLanguageChanged
            multiline: true
            content.flags: TextContentFlag.Emoticons
            
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			topMargin: 10; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        }
    }
}
