import bb.cascades 1.0

Container {
    topPadding: 10
    leftPadding: 10
    rightPadding: 10
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    Container {
        layout: DockLayout {
        }
        horizontalAlignment: HorizontalAlignment.Fill
        Container {
            horizontalAlignment: HorizontalAlignment.Left
            Label {
                objectName: "name"
                text: "<Name>"
                textStyle.base: SystemDefaults.TextStyles.BodyText
            }
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Right
            Label {
                objectName: "expiry"
                text: "<ExpiryTime>"
                textStyle.base: SystemDefaults.TextStyles.SubtitleText
            }
        }
    }
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        ImageView {
            objectName: "avatar"
            imageSource: "asset:///images/defaultAvatar.png"
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
            }
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Fill
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            leftPadding: 10
            rightPadding: 10
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            TextArea {
                objectName: "message"
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
                editable: false
                text: "<Name> would like to invite you to launch <Application Name>"
                content.flags: TextContentFlag.Emoticons
            }
        }
    }
    TextArea{
        editable: false
        text: "<some custom string here>"
        textStyle.base: SystemDefaults.TextStyles.SmallText
        
    }
    Container {
        objectName: "acceptDeclineContainer"
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Fill
        topMargin: 20
        Button {
            objectName: "acceptButton"
            text: qsTr ("Accept")
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
        Button {
            objectName: "declineButton"
            text: qsTr ("Decline")
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
        Button {
            objectName: "ignoreButton"
            text: qsTr ("Block")
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
    }
    Button {
        visible: false
        objectName: "cancelButton"
        text: qsTr ("Cancel")
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Fill
    }
}
