import bb.cascades 1.0

Container {
    id: root
    
    property bool isIncoming: false
    property string addressLabel
    property string accurateWithinLabel
    property bool isAddressVisible: false
    
    layout: DockLayout {
    }
    
    rightPadding: isIncoming ? _UILayoutManager.bubbleListPadding - 7 : 43
    leftPadding: isIncoming ? 45 : _UILayoutManager.bubbleListPadding - 5
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    ImageView {
        objectName: "background"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {

        topPadding: _UILayoutManager.bubbleInnerPadding
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        bottomPadding: _UILayoutManager.bubbleInnerPadding + 26
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        BubbleHeader {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            bottomPadding: 10
        }
        
        Label{
            objectName: "addressLabel"
            text: addressLabel
	        horizontalAlignment: HorizontalAlignment.Left
	        verticalAlignment: VerticalAlignment.Fill
	        bottomMargin: 0
	        topMargin: 0
	        leftMargin: 0
	        rightMargin: 0
	        textStyle.color: _UIStyleManager.secondaryTextColor
	        textStyle.fontSize: FontSize.Small
	        multiline:true
	        visible: isAddressVisible
        }
        
        Label{
            objectName: "accurateWithinLabel"
            text: accurateWithinLabel
	        horizontalAlignment: HorizontalAlignment.Left
	        verticalAlignment: VerticalAlignment.Fill
	        bottomMargin: 0
	        topMargin: 0
	        leftMargin: 0
	        rightMargin: 0
	        textStyle.color: _UIStyleManager.secondaryTextColor
	        textStyle.fontSize: FontSize.Small
	        textStyle.fontStyle: FontStyle.Italic
        }
        
        ImageView {
            objectName: "mapImage"
            imageSource: "asset:///images/Bubble/NoMapData.png"
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Left
            preferredWidth: 600
            preferredHeight: 240
        }
    }
}
