import bb.cascades 1.0

Container {
    property bool isIncoming: false
    property alias contactName: bubbleHeader.contactName
    property alias timestamp: bubbleHeader.time
    property int bubbleTopPadding: 0
    property int bubbleBottomPadding: 0
    property int messageContainerLeftPadding: 0
    property bool showHeader: false
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    rightPadding: isIncoming ? _UILayoutManager.bubbleListPadding - 7 /* Embedded padding */ : 43
    leftPadding: isIncoming ? 45 : _UILayoutManager.bubbleListPadding - 5 /* Embedded padding */

	Container {
	    layout: DockLayout {}

	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill

	    ImageView {
	        objectName: "background"
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	    }

	    Container { // bubble
	        objectName: "bubble"
	        layout: StackLayout {
	            orientation: isIncoming ? LayoutOrientation.RightToLeft : LayoutOrientation.LeftToRight
	        }

	        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
	        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
	        topPadding: bubbleTopPadding
	        bottomPadding: bubbleBottomPadding
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill

	        Container
	        {
	            objectName: "avatarContainer"
	            visible: bubbleHeader.visible
	            
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: -1
	            }
	            
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Top
	        }
	        
	        Container
	        {
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 1
	            }
	            
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Center

	            BubbleHeader {
	                id: bubbleHeader
	                visible: showHeader
	                horizontalAlignment: HorizontalAlignment.Fill
	            }

	            Container {
	                objectName: "messageContainer"

	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                leftPadding: messageContainerLeftPadding

					Container
					{
					    layout: StackLayout {
					        orientation: LayoutOrientation.LeftToRight
					    }
					    
					    Container
					    {
					        topPadding: 6
					        rightPadding: 6
					        
						    ImageView {
						        objectName: "statusIcon"
						        layoutProperties: StackLayoutProperties {
						            spaceQuota: -1
						        }

					            verticalAlignment: VerticalAlignment.Top
					            horizontalAlignment: HorizontalAlignment.Fill
						    }
						}
						
					    Container {
					        objectName: "content"
					        
					        layout: DockLayout {}
					        
					        layoutProperties: StackLayoutProperties {
					            spaceQuota: 1
					        }
                            verticalAlignment: VerticalAlignment.Center
                        }
					}
	            }
	        }
	    }
	}
}