import bb.cascades 1.0

Container {
    layout: DockLayout {
    }
    
    rightPadding: 43
    leftPadding: _UILayoutManager.bubbleListPadding - 5 /* Embedded padding */
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    ImageView {
        objectName: "background"
        //imageSource: "asset:///images/Bubble/outgoing/full.png"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        objectName: "bubble"
        topPadding: _UILayoutManager.bubbleInnerPadding
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        bottomPadding: _UILayoutManager.bubbleInnerPadding + 26
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        BubbleHeader {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            bottomPadding: descriptionContainer.visible ? 0 : 10
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                id: descriptionContainer
                objectName: "descriptionContainer"
                layout: StackLayout {
                    orientation: LayoutOrientation.TopToBottom
                }
                bottomPadding: _UILayoutManager.defaultPadding
                Label {
                    objectName: "descriptionLabel"
                    content.flags: TextContentFlag.Emoticons
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    textStyle.color: _UIStyleManager.secondaryTextColor
                    multiline: true
                    bottomMargin: _UILayoutManager.defaultPadding
                    textFormat: TextFormat.Plain
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                }
                ImageView {
                    objectName: "dashedLineImage"
                    imageSource: "asset:///images/Bubble/Dotted_grey.png"
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: -1
                    }
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                }
            }
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                bottomMargin: 0
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                topPadding: 0
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                preferredHeight: _UILayoutManager.bubbleThumbnailSize
                ImageView {
                    objectName: "fileTransferIcon"
                    imageSource: "asset:///images/file/generic_160x160.png"
                    preferredWidth: _UILayoutManager.bubbleThumbnailSize
                    preferredHeight: _UILayoutManager.bubbleThumbnailSize
                }
                Container {
                    leftPadding: 10
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    Label {
                        objectName: "fileNameLabel"
                        horizontalAlignment: HorizontalAlignment.Left
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
                    }
                    Label {
                        objectName: "percentCompleteLabel"
                        horizontalAlignment: HorizontalAlignment.Left
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
                    }
                    Container {
                        layout: DockLayout {
                        }
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        topPadding: _UILayoutManager.defaultPadding
                        Label {
                            objectName: "statusLabel"
                            textStyle.fontSize: FontSize.Small
                            textStyle.color: _UIStyleManager.secondaryTextColor
                            textStyle.fontStyle: FontStyle.Italic
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Bottom
                            bottomMargin: 0
                            topMargin: 0
                            leftMargin: 0
                            rightMargin: 0
                        }
                    }
                    ProgressIndicator {
                        objectName: "progressIndicator"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                    }
                }
            }
            Button {
                objectName: "cancelButton"
                text: qsTr("Cancel") + Retranslate.onLanguageChanged
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Fill
            }
        }
    }
}
