import bb.cascades 1.0
import BBM 1.0

Page {
    // both totalHeight and ciaHeight are used to calculate the height of the HorizontalScrollControl
    property int totalHeight
    property int ciaHeight
    property bool canScrollItems: true

    content: Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: DockLayout {
        }

        attachedObjects: [
            LayoutUpdateHandler {
                id: mainLayoutHandler
                objectName: "mainLayoutHandler"

                onLayoutFrameChanged: {
                    totalHeight = layoutFrame.height
                }
            }
        ]

        HorizontalScrollControl {
            id: hScrollControl
            objectName: "hScrollControl"
            height: totalHeight - ciaHeight
            moveable: canScrollItems
        }

        ConversationInputArea {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom

            attachedObjects: [
                LayoutUpdateHandler {
                    id: ciaLayoutHandler
                    objectName: "ciaLayoutHandler"

                    onLayoutFrameChanged: {
                        ciaHeight = layoutFrame.height
                    }
                }
            ]
        }
    }
    actions: [
        ActionItem {
            imageSource: "asset:///images/MainScreen/ConversationPane/ConversationPaneSend.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "sendComment"
            title: qsTr("Send Comment") + Retranslate.onLanguageChanged
        },
        ActionItem {
            objectName: "TagAsFavorite"
            imageSource: "asset:///images/GroupsGeneral/ic_like.png"
            title: qsTr("Like Picture") + Retranslate.onLanguageChanged
        },
        ActionItem {
            objectName: "SavePicture"
            imageSource: "asset:///images/GroupsGeneral/ic_save.png"
            title: qsTr("Save Picture") + Retranslate.onLanguageChanged
        }/*, Add this once Voice Note support is added
        ActionItem {
            objectName: "AddVoiceNote"
        }*/
    ]
}
