import bb.cascades 1.0

Container {
    property bool isFavourite: false
    property bool imageCaptionVisible: true
    property int nbComments: 55

    layout: StackLayout {
    }

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

    Container {
        background: Color.Black

        layout: DockLayout{
        }
        
        layoutProperties: StackLayoutProperties {
            spaceQuota: 600
        }
        horizontalAlignment: HorizontalAlignment.Fill
        minHeight: 600
        maxHeight: 600
        
        Container {
            layout: DockLayout{
            }

            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            ImageView {
                id: picture
                objectName: "picture"
                //property double realWidth: 0
                //property double realHeight: 0
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

                attachedObjects: [
                    /*
                    // LayoutUpdateHandler used to calculate actual picture layouted values
                    LayoutUpdateHandler {
                        id: layoutUpdateHandler

                        onLayoutFrameChanged: {
                            setFavouriteImageDimensionValues()
                        }
                    },*/
                    // ImageTracker used to be able to determine the size of the original image
                    ImageTracker {
                        id: tracker
                        objectName: "tracker"
                        onStateChanged: {
                            if (width > 0 && height > 0) {
                               picture.image = tracker.image
                               //setFavouriteImageDimensionValues()
                            }
                        }
                    }
                ]
                scalingMethod: ScalingMethod.AspectFill
            }

            Container {
                id: favouriteImageContainer
                objectName: "favouriteImageContainer"

                // the image will be visible only if it's supposed to and once we have calculated the padding required
                visible: isFavourite

                layout: DockLayout {
                    id: favouriteImageContainerLayout
                }
                rightPadding: 10
                topPadding:   10

                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right

                ImageView {
                    imageSource: "asset:///images/GroupsGeneral/BBG_picture_star.png"
                }
            }
        }
        
        Container {
            objectName: "imageNumberContainer"
            opacity: 1.0
            layout: DockLayout{
                
            }
            //preferredHeight: 80
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
            
            animations: [
                FadeTransition {
                    objectName: "numberFadeOut"
                    id: numberFadeOut
                    duration: 1000
                    fromOpacity: 1.0
                    toOpacity: 0.0
                },
                FadeTransition {
                    objectName: "numberFadeIn"
                    id: numberFadeIn
                    duration: 1000
                    fromOpacity: 0.0
                    toOpacity: 1.0
                }
            ]
            
            ImageView {
                imageSource: "asset:///images/GroupsGeneral/Picture_Number_BG.png"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
        
            Container {
                topPadding: 0
                leftPadding: 10
                rightPadding:10
                bottomPadding: 10
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                Label {
                    objectName: "imageNumber"                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center                    
                    textStyle.fontSize: FontSize.Small
                    textStyle.color: Color.White
                    topMargin: 0
                    bottomMargin: 0 
                }
            }
        }
          
        Container {
            objectName: "imageCaptionContainer"
            visible: imageCaptionVisible
            opacity: 1.0
            layout: DockLayout{
                
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
            animations: [
                FadeTransition {
                    objectName: "fadeOut"
                    id: fadeOut
                    duration: 1000
                    fromOpacity: 1.0
                    toOpacity: 0.0
                },
                FadeTransition {
                    objectName: "fadeIn"
                    id: fadeIn
                    duration: 1000
                    fromOpacity: 0.0
                    toOpacity: 1.0
                }
            ]
            
            Container {
                background: Color.Black
                opacity: 0.5
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
        
           Container {
                topPadding:     10
                leftPadding:    20
                rightPadding:   20
                bottomPadding:  10
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

                layout: StackLayout {
                    
                }

                Label {
                    objectName: "imageCaption"
                    horizontalAlignment: HorizontalAlignment.Fill
                    //verticalAlignment: VerticalAlignment.Center
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.White
                    topMargin: 0 
                    bottomMargin: 0
                    multiline: true
                    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                    textFormat: TextFormat.Plain
                }
                Label {
                    objectName: "postedBy"
                    text: "posted by"
                    topMargin: 0
                    bottomMargin: 0
                    horizontalAlignment: HorizontalAlignment.Fill
                    //verticalAlignment: VerticalAlignment.Center
                    textStyle.fontSize: FontSize.Small
                    textStyle.color: Color.create("#B1B1B1")
                    content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                    textFormat: TextFormat.Plain
                }
            }
            
            ImageView {
                objectName: "voiceNote"
                imageSource: "asset:///images/MainScreen/ConversationPane/conversationPaneEmoticonButton.png"
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
                visible: false
            }
        }
    }
    
    
    Container {
        objectName: "commentListViewContainer"

        layoutProperties: StackLayoutProperties {
            spaceQuota: 417
        }

        background: Color.White
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: DockLayout {}
        
        Container {
            objectName: "NoCommentsContainer"
            visible: nbComments == 0
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            
//            ImageView {
//                imageSource: "asset:///images/GroupsGeneral/NoComments.png"
//                horizontalAlignment: HorizontalAlignment.Center
//                verticalAlignment: VerticalAlignment.Center
//            }
            Label {
               objectName: "NoComments"
               text: qsTr("No Comments.") + Retranslate.onLanguageChanged
               textStyle.color: Color.LightGray
               textStyle.base: SystemDefaults.TextStyles.TitleText
               topMargin: 8; leftMargin: 8; rightMargin: 12; bottomMargin: 12;
               horizontalAlignment: HorizontalAlignment.Center
               verticalAlignment: VerticalAlignment.Center
            }
        }
        ListView {
            objectName: "commentListView"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackListLayout {
                orientation: LayoutOrientation.TopToBottom
            }
        }
    }
    /*
        setFavouriteImageDimensionValues has for purpose to calculate the size of the picture as it's actually shown
        and the required padding to show the Favourite image at the top right
    */
    /*
    function setFavouriteImageDimensionValues() {
        if (tracker.width > 0 && tracker.height > 0 && layoutUpdateHandler.layoutFrame.width > 0 && layoutUpdateHandler.layoutFrame.height > 0) {
            if (tracker.width > tracker.height) {
                // landscape
                picture.realHeight = tracker.height * layoutUpdateHandler.layoutFrame.width / tracker.width
                picture.realWidth = layoutUpdateHandler.layoutFrame.width
            }
            else {
                // portrait
                picture.realWidth = tracker.width * layoutUpdateHandler.layoutFrame.height / tracker.height
                picture.realHeight = layoutUpdateHandler.layoutFrame.height
            }

            favouriteImageContainerLayout.topPadding = (layoutUpdateHandler.layoutFrame.height - picture.realHeight + 10) / 2
            favouriteImageContainerLayout.rightPadding = (layoutUpdateHandler.layoutFrame.width - picture.realWidth + 10) / 2
        }
    }
    */
}
