import bb.cascades 1.0

Container {

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    Label {
        id: pictureDescription
        objectName: "pictureDescription"
        text: "Sending a picture"
        textStyle.base: SystemDefaults.TextStyles.BodyText
        textStyle.color: _UIStyleManager.secondaryTextColor
        content.flags: TextContentFlag.Emoticons
        multiline: true
        textFormat: TextFormat.Plain

        horizontalAlignment: HorizontalAlignment.Fill
        leftMargin: 0
        rightMargin: 0
        topMargin: 0
        bottomMargin: 10
    }
    ImageView {
        objectName: "dashedLineImage"
        imageSource: "asset:///images/Bubble/Dotted_grey.png"
        layoutProperties: StackLayoutProperties {
            spaceQuota: -1
        }
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Fill
        leftMargin: 0
        rightMargin: 0
        topMargin: 0
        bottomMargin: 0
    } 
    Container {
        id: pictureTransferBody
        objectName: "pictureTransferBody"        
        topPadding: pictureDescription.visible ? _UILayoutManager.defaultPadding : 0
        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill

        ImageView {
            objectName: "pictureThumbnail"
            imageSource: "asset:///images/file/pic_160x160.png"
            preferredHeight: _UILayoutManager.bubbleThumbnailSize
            preferredWidth: _UILayoutManager.bubbleThumbnailSize
            scalingMethod: ScalingMethod.AspectFill
            leftMargin: 0
            rightMargin: 0
            topMargin: 0
            bottomMargin: 0
            
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
            }
            verticalAlignment: VerticalAlignment.Top
        }
	    Container {
	        
	        leftPadding: 10
	        
	        layout: StackLayout {
	            orientation: LayoutOrientation.TopToBottom
	        }
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            
            Label {
                objectName: "pictureName"
                textStyle.color: _UIStyleManager.secondaryTextColor
                textStyle.fontSize: FontSize.Small
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Top
                bottomMargin: 0
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
            }
            
            Label {
                objectName: "pictureTransferRatio"
                textStyle.color: _UIStyleManager.secondaryTextColor
                textStyle.fontSize: FontSize.Small
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Top
                bottomMargin: 0
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
            }
            
             Container {
                        
//	            layoutProperties: StackLayoutProperties {
//	            spaceQuota: 1
//	            }
	            
	            verticalAlignment: VerticalAlignment.Fill
	            horizontalAlignment: HorizontalAlignment.Fill

                topPadding: _UILayoutManager.defaultPadding

                layout: DockLayout  {}
	            
	            Label {
	                objectName: "pictureTransferStatusMessage"
	                text: "Sending File"
	                textStyle.color: _UIStyleManager.secondaryTextColor
	                textStyle.fontStyle: FontStyle.Italic
	                textStyle.fontSize: FontSize.Small
	                horizontalAlignment: HorizontalAlignment.Left
	                verticalAlignment: VerticalAlignment.Bottom
	                multiline: true
	                bottomMargin: 0
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
	            }              
            }
            
            ProgressIndicator {
	            objectName: "pictureTransferProgressIndicator"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                bottomMargin: 0
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
             }
    }
}

    Container {
        
        topPadding: _UILayoutManager.defaultPadding
        
        objectName: "acceptDeclineContainer"
        visible: false
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Fill

        Button {
            objectName: "acceptButton"
            text: "Allow"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
        Button {
            objectName: "declineButton"
            text: "Deny"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
    }
    Container {
        
        topPadding: cancelButton.visible ? _UILayoutManager.defaultPadding : 0
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Fill
	    
	    Button {
	        id: cancelButton    
            leftPadding: _UILayoutManager.defaultPadding
            
            objectName: "cancelButton"
            visible: false
            text: "Cancel"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Fill
        }
    }
}
