import bb.cascades 1.0

Container {
    layout: DockLayout {
    }
    ImageView {
        objectName: "background"
        imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    ImageView {
        objectName: "background2"
        imageSource: "asset:///images/title_bar/core_titlebar_gradient_overlay.png"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        Container {
            preferredHeight: _UILayoutManager.defaultAvatarSize
            layout: DockLayout {}
			horizontalAlignment: HorizontalAlignment.Fill
			verticalAlignment: VerticalAlignment.Fill
			ImageView 
			{
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Fill
				objectName: "avatar"
				id: imageView
				imageSource: "asset:///images/GroupsIcons/00.png"
				scalingMethod: ScalingMethod.AspectFill
				minWidth: _UILayoutManager.defaultAvatarSize
				maxWidth: _UILayoutManager.defaultAvatarSize
				minHeight: _UILayoutManager.defaultAvatarSize
				maxHeight: _UILayoutManager.defaultAvatarSize
				preferredWidth: _UILayoutManager.defaultAvatarSize
				preferredHeight: _UILayoutManager.defaultAvatarSize
				attachedObjects: [
					ImageAnimator {
						animatedImage: imageView.image
						playing: false
					}
				]
			}
			ImageView {
				imageSource: "asset:///images/listitem/contact_grid_name_shadow.png"
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Bottom
				topMargin: 0
				leftMargin: 0
				rightMargin: 0
				bottomMargin: 0
				maxHeight: 28
				minHeight: 28
				preferredHeight: 28
			}
			Container 
			{
				objectName: "numberOfMembersContainer"
				layout: DockLayout {}
				horizontalAlignment: HorizontalAlignment.Fill
				verticalAlignment: VerticalAlignment.Bottom
				Container
				{
					layout: StackLayout 
					{
						orientation: LayoutOrientation.LeftToRight
					}
					horizontalAlignment: HorizontalAlignment.Center
					verticalAlignment: VerticalAlignment.Fill
					ImageView {
						//horizontalAlignment: HorizontalAlignment.Fill
						verticalAlignment: VerticalAlignment.Center
						imageSource: "asset:///images/GroupsGeneral/members_icon.png"
						topMargin: 0
						leftMargin: 0
						rightMargin: 0
						bottomMargin: 0                                       
					}
					Container
					{
						horizontalAlignment: HorizontalAlignment.Fill
						preferredWidth: 6
						maxWidth: 6
					}
					Label {
						objectName: "numberOfMembers"
						//horizontalAlignment: HorizontalAlignment.Center
						verticalAlignment: VerticalAlignment.Center                                                                      
						textStyle.color: Color.White
						//textStyle.fontSize: FontSize.XXSmall
						textStyle.fontSize: FontSize.PointValue
						textStyle.fontSizeValue: 5
						topMargin: 0
						leftMargin: 0
						rightMargin: 0
						bottomMargin: 0                                       

					}
				}
			}
		}
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            leftPadding: 20
            rightPadding: 20
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            
            Label {
                id: groupName
                objectName: "groupName"
                textStyle.fontSize: FontSize.Large
                textStyle.color: _UIStyleManager.titleBarPrimaryColor
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                textFormat: TextFormat.Plain
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0  
            }
            Label {
                id: description
                objectName: "description"
                textStyle.fontSize: FontSize.Small
                textStyle.color: _UIStyleManager.titleBarSecondaryColor
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                visible: groupName.text.length != 0
                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                textFormat: TextFormat.Plain
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0  
            }
        }
    }
}
