import bb.cascades 1.0

Container {
    property string profileBoxText: "profile box item text"
    property string timestamp: "time stamp"
    property string appName: "App Name"
    property string companyName: "Company Name"
        
    horizontalAlignment: HorizontalAlignment.Fill
    Container {

        background: _UIStyleManager.pBoxItemBackgroundColor

        contextActions: [
           ActionSet {
               id: profileBoxActionSet
               objectName: "profileBoxActionSet"
               title: appName
               subtitle: companyName
           }
        ] 
                
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        Container {
          	leftPadding: 0
        	rightPadding: 0
        	topPadding: 0
        	bottomPadding: 0
        	
        	horizontalAlignment: HorizontalAlignment.Fill
        	verticalAlignment: VerticalAlignment.Center
        	
        	ImageView {
	            objectName: "profileBoxItemIcon"
	            imageSource: "asset:///images/defaultTpaIcon.png"
	            preferredWidth: 119
	            preferredHeight: 119
	            minWidth: 119
	            minHeight: 119
	            topMargin: 0
	            leftMargin: 0
	            rightMargin: 0
	            bottomMargin: 0
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
        	}
        }

        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
			layoutProperties: StackLayoutProperties
			{
				spaceQuota: 1
			}
            leftPadding: 20
            rightPadding: 20
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            Label {
                textStyle.fontSize: FontSize.Medium
                text: profileBoxText
                textStyle.color: _UIStyleManager.pBoxItemTextColor
                multiline: true
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                topMargin: 0
                bottomMargin: 0
                leftMargin: 0
                rightMargin: 0
            }
            Label {
                textStyle.fontSize: FontSize.XSmall
                text: timestamp
                textStyle.color: _UIStyleManager.timestampTextColor
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
                topMargin: 0
            }
        }
    }
    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
    }
}
