import bb.cascades 1.0

Container {
    property string appName: "App Name"
    property string companyName: "Company Name"
    property bool profileBoxExpanded: false
    property bool profileBoxRead: false
    
    horizontalAlignment: HorizontalAlignment.Fill
    Container {
        id: profileBox
        objectName: "profileBox"
               
       contextActions: [
           ActionSet {
               id: profileBoxActionSet
               objectName: "profileBoxActionSet"
               title: appName
               subtitle: companyName
           }
        ] 
       
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        leftPadding: 0
        rightPadding: 40
        topPadding: 0
        bottomPadding: 0
        
        Container {
            
          layout: DockLayout {}
            
          ImageView {
              objectName: "tpaIcon"
              imageSource: "asset:///images/defaultTpaIcon.png"
              preferredWidth: 119
              preferredHeight: 119
              minWidth: 119
              minHeight: 119
              topMargin: 0
              leftMargin: 0
              rightMargin: 0
              bottomMargin: 0
              horizontalAlignment: HorizontalAlignment.Fill
              verticalAlignment: VerticalAlignment.Top
          }  
          
          ImageView {
            imageSource: "asset:///images/Splat_32x32.png"
            preferredWidth: 32
            preferredHeight: 32
            minWidth: 32
            minHeight: 32
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Top
            visible: profileBoxRead
          }
          
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
			layoutProperties: StackLayoutProperties
			{
				spaceQuota: 1
			}
            leftPadding: 20
            rightPadding: 20
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            Label {
                textStyle.fontSize: FontSize.Medium
                text: appName
                multiline: true
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                topMargin: 0
                bottomMargin: 0
                leftMargin: 0
                rightMargin: 0
            }
            Label {
                textStyle.fontSize: FontSize.XSmall
                text: companyName
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0
                topMargin: 0
                textStyle.color: _UIStyleManager.timestampTextColor
            }
        }
        ImageToggleButton {
            objectName: "expandCollapseButton"
            imageSourceDefault: "asset:///images/chevron_down.png"
            imageSourcePressedUnchecked: "asset:///images/chevron_down_pressed.png"
            imageSourceChecked: "asset:///images/chevron_up.png"
            imageSourcePressedChecked: "asset:///images/chevron_up_pressed.png" 
            preferredWidth: 56
            preferredHeight: 56
            minWidth: 56
            minHeight: 56
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
        }
    }
    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
    }

    Container
    {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        id: profileBoxItemsList
        visible: profileBoxExpanded

        objectName: "profileBoxItemsList"
    }
    
//    ListView
//    {
//        horizontalAlignment: HorizontalAlignment.Fill
//        verticalAlignment: VerticalAlignment.Fill
//        id: listView
//
//        objectName: "listView"
//    }
}
