import bb.cascades 1.0
import bbm 1.0


ScrollView {

    property bool showLocationField: false
    property string locationString
    property string flagString

    scrollViewProperties {
        scrollMode: ScrollMode.Vertical
    }

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

    Container {

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	
	    leftPadding: _UILayoutManager.defaultPadding
	    rightPadding: _UILayoutManager.defaultPadding
	    topPadding: _UILayoutManager.defaultPadding
	    bottomPadding: _UILayoutManager.defaultPadding

	        Container {
		        objectName: "personalInfoContainer"
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill

            Container {
		            id: statusContainer
		            objectName: "statusContainer"
		            
			        SmartTextArea {
			            id: personalMessageTextArea
			            objectName: "personalMessageTextArea"
			            horizontalAlignment: HorizontalAlignment.Fill
			        }
			    }
		
		        Container {
		            id: dropdownContainer
		            objectName: "dropdownContainer"
		            topPadding: _UILayoutManager.defaultPadding
		            
		            DropDown { //status dropdown
		                topPadding: _UILayoutManager.defaultPadding
		                horizontalAlignment: HorizontalAlignment.Fill
		                objectName: "statusDropDown"
		                title: qsTr("Status") + Retranslate.onLanguageChanged
		                topMargin: 0
		                leftMargin: 0
		                rightMargin: 0
		                bottomMargin: 0
		            }
		        }
		
		        Container //the container for location
		        {
		            visible: showLocationField
		            horizontalAlignment: HorizontalAlignment.Fill
		            topPadding: _UILayoutManager.defaultPadding
		            
		            layout: StackLayout {
		                orientation: LayoutOrientation.LeftToRight
		            }
		
		            Label {
		                layoutProperties: StackLayoutProperties {
		                    spaceQuota: 1
		                }
		
		                horizontalAlignment: HorizontalAlignment.Left
		                verticalAlignment: VerticalAlignment.Center
		                text: qsTr("Location/Time Zone:") + Retranslate.onLanguageChanged
		                textStyle.color: _UIStyleManager.primaryTextColor
		                textStyle.base: SystemDefaults.TextStyles.BodyText
		                topMargin: 0
		                leftMargin: 0
		                rightMargin: 0
		                bottomMargin: 0
		            }
		
		            Label {
		                horizontalAlignment: HorizontalAlignment.Right
		                verticalAlignment: VerticalAlignment.Center
		                objectName: "flagLabel"
		                textStyle.color: _UIStyleManager.primaryTextColor
		                textStyle.base: SystemDefaults.TextStyles.BodyText
		                content.flags: TextContentFlag.Emoticons
		                topMargin: 0
		                leftMargin: 0
		                rightMargin: 0
		                bottomMargin: 0
		                text: flagString
		            }
		
		            Label {
		                horizontalAlignment: HorizontalAlignment.Right
		                verticalAlignment: VerticalAlignment.Center
		                objectName: "locationValueLabel"
		                textStyle.color: _UIStyleManager.primaryTextColor
		                textStyle.base: SystemDefaults.TextStyles.BodyText
		                topMargin: 0
		                leftMargin: 0
		                rightMargin: 0
		                bottomMargin: 0
		                text: locationString
		            }
		        }
		    }
		}
	}