import bb.cascades 1.0

Page {    
    titleBar: TitleBar
    {
        objectName: "titleBar"
    }   
    actions: [
        ActionItem {
            imageSource: "file:///usr/share/icons/ic_accept.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "acceptAction"
			title: qsTr("Accept") + Retranslate.onLanguageChanged
        },
        ActionItem {
            imageSource: "asset:///images/GroupsGeneral/ic_ignore.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "ignoreAction"
			title: qsTr("Ignore") + Retranslate.onLanguageChanged
        }
    ]
    
    content: Container {   
        layout: StackLayout {
    			orientation: LayoutOrientation.TopToBottom
		}
        Container { // invitor info
        // use a dock layout so that the drop-shadow can be attached to the avatar
            layout: DockLayout {
            }
           Container {
               layout: StackLayout {
                   orientation: LayoutOrientation.LeftToRight
                }
                 horizontalAlignment: HorizontalAlignment.Fill
                 verticalAlignment: VerticalAlignment.Fill
                ImageView {
                    objectName: "avatar"
                    imageSource: "asset:///images/defaultAvatar.png"
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    preferredWidth: _UILayoutManager.defaultAvatarSize
                    preferredHeight: _UILayoutManager.defaultAvatarSize
                    scalingMethod: ScalingMethod.AspectFill
                    topMargin: 0
                    leftMargin: 0
                    rightMargin: 0
                    bottomMargin: 0
                }
                Container {
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    leftPadding: _UILayoutManager.defaultPadding
                    rightPadding: _UILayoutManager.defaultPadding
                    Container {
		                 layout: StackLayout {
		                     orientation: LayoutOrientation.LeftToRight
		                 }               
                        Label {
                            layoutProperties: StackLayoutProperties {
                                spaceQuota: 1
                            }
                            textStyle.color: _UIStyleManager.primaryTextColor
                            textStyle.fontSize: FontSize.Large
                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveTextOff
                            textFormat: TextFormat.Plain
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Center
                            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                            objectName: "invitorName"
                        }
                        Label {
                            textStyle.color: _UIStyleManager.secondaryTextColor
                            textStyle.fontSize: FontSize.Small
                            content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveTextOff
                            textFormat: TextFormat.Plain
                            horizontalAlignment: HorizontalAlignment.Right
                            verticalAlignment: VerticalAlignment.Center
                            topMargin: 0
                            leftMargin: 0
                            rightMargin: 0
                            bottomMargin: 0
                            objectName: "invitorPin"
                        }
                    }
                    Label {
                        objectName: "dateReceived"                        
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
			            horizontalAlignment: HorizontalAlignment.Fill
			            verticalAlignment: VerticalAlignment.Center
			            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;			            
                    }
                }
            }// invitorInfo container
            ImageView {
                topMargin: 0
                bottomMargin: 0
                imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Bottom
            }
        }// invitor info with horizontal line
        Container // invitation message container
        {
            horizontalAlignment: HorizontalAlignment.Fill;
            verticalAlignment: VerticalAlignment.Fill;
            rightPadding: _UILayoutManager.defaultPadding
            leftPadding: _UILayoutManager.defaultPadding
            topPadding: 15
            bottomPadding: 70
            Label {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                multiline: true
                objectName: "invitationMessage"               
                textStyle.base: SystemDefaults.TextStyles.BodyText
                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveTextOff
                textFormat: TextFormat.Plain                
            }
            Label{
                objectName: "invitationStatus"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                visible: false
                textStyle.color: _UIStyleManager.secondaryTextColor
                textStyle.base: SystemDefaults.TextStyles.BodyText
                multiline: true
            }    
        }
    }//Container
}
