import bb.cascades 1.0

Page {
    property bool showHighlightBorder: false
    id: replacePicturePage
    actions: [
        ActionItem {
            objectName: "camera"
            imageSource: "asset:///images/ic_camera.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Camera") + Retranslate.onLanguageChanged
        }
    ]
    titleBar: TitleBar {
        title: qsTr("Select") + Retranslate.onLanguageChanged
    }
    
    ListView {
        objectName: "list"
        dataModel: ArrayDataModel {
            id: theDataModel
        }
        horizontalAlignment: HorizontalAlignment.Fill
        
        function loadDataModel() {
            theDataModel.clear();
            theDataModel.append([
                    {
                        "name": qsTr("Picture"),
                        "path": "asset:///images/file/pic_81x81.png"
                    },
                    {
                        "name": qsTr("Sample Picture"),
                        "path": "asset:///images/file/vcf_81x81.png"
                    }
                ]);
        }

        listItemComponents: [
            ListItemComponent {
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    
                    Container {
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        
                        layout: DockLayout {}
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        
    	                ImageView {
    	                    id: listitemPressedImage
    	                    imageSource: "asset:///images/listitem/core_listitem_pressed_9slice.amd"
    	                    visible: false
    	                    horizontalAlignment: HorizontalAlignment.Fill
    	                    verticalAlignment: VerticalAlignment.Fill
    	                }
    	                	
    	                Container {
    	                    layout: StackLayout {                  
    		                    orientation: LayoutOrientation.LeftToRight
    		                }
    		                
    		                leftPadding: 0; rightPadding: 20; topPadding: 0; bottomPadding: 0		                
    		                
    		                Container {	
    		                    layout: DockLayout {}
    		                    		                    
    		                    preferredHeight: 121
    		                    preferredWidth: 121
    		                    
    			                ImageView {
    			                    imageSource: ListItemData.path
    			                    scalingMethod: ScalingMethod.AspectFit
    			                    
    			                    horizontalAlignment: HorizontalAlignment.Center
    	                            verticalAlignment: VerticalAlignment.Center
    			                }	 	                    
    		                }
    		                
    		                Container {	
    		                    layout: DockLayout {}
    		                    
    		                    horizontalAlignment: HorizontalAlignment.Fill;
    	            			verticalAlignment: VerticalAlignment.Fill;
    		                    	                    
    			                Label { 
    			                    text: ListItemData.name 
    	                            textStyle.fontSize: FontSize.Large
    			                    horizontalAlignment: HorizontalAlignment.Left
    	                            verticalAlignment: VerticalAlignment.Center
    		                    } 	                    
    		                }
    		                
    		            }         
    		            		                
    		            
    	                Container {
    	                    id: itemSeparator
                            background: _UIStyleManager.separatorColor
                            visible: true
                            
                            preferredHeight: 4                        
                            preferredWidth: 768
                            minWidth: 720
                            
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Bottom
                        }
                        
    	                onTouch: {
                            if (event.isDown()) {
                                itemSeparator.visible = false
                                listitemPressedImage.visible = true
                            }
                            if (event.isUp()) {
                                itemSeparator.visible = true
                                listitemPressedImage.visible = false
                            }
                            if (event.isCancel()) {
                                itemSeparator.visible = true
                                listitemPressedImage.visible = false
                            }
                        }
                        onTouchExit: {
                            itemSeparator.visible = true
                            listitemPressedImage.visible = false
                        }
                    }
                }
            }
        ]
    }
}
