import bb.cascades 1.0
import bb.cascades.multimedia 1.0

Container {
    property bool scanningActive: true
    
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
	Container {
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Top
		background: _UIStyleManager.containerColor

	    Label {
	        multiline: true
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center
	        objectName: "barCodeScannerHintLabel"
	        textStyle.base: SystemDefaults.TextStyles.BodyText
	        textStyle.textAlign: TextAlign.Center
	        text: qsTr("Move your device so that the barcode is in the viewer and hold still") + Retranslate.onLanguageChanged
	    }
	}
    
	Container {
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {}
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        
	    Camera {
	        id: cameraControl
	        objectName: "cameraControl"
	        
	        visible: scanningActive
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	        
	        attachedObjects: [
                BarcodeDetector {
                    objectName: "scanner"
                    camera: cameraControl
                }
            ]
	    }
	    
	    QrCodeView {
            objectName: "qrcode"
            visible: !scanningActive
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            preferredWidth: 400
            preferredHeight: 400
            minWidth: 400
            minHeight: 400
        }
	}
	
	Container {
		background: _UIStyleManager.containerColor
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Bottom

		Button {
			id: btnToggleMode
			objectName: "btnToggleMode"
			text: scanningActive ? qsTr("Show My Barcode") + Retranslate.onLanguageChanged : qsTr("Scan to Invite") + Retranslate.onLanguageChanged
			horizontalAlignment: HorizontalAlignment.Center
			verticalAlignment: VerticalAlignment.Center
			
			onClicked: {
				if (scanningActive) {
					cameraControl.stopViewfinder();
					cameraControl.close();
					scanningActive = false;
				} else {
					scanningActive = true;
				}
			}
		}
	}
}
