import bb.cascades 1.0

Container {
    property alias textField: searchField
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
        	        
    TextField {
    	objectName: "searchField"
    	textStyle.color: Color.create("#262626")
    	textStyle.fontSize: FontSize.Medium
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        layoutProperties: StackLayoutProperties {
           spaceQuota: 1
        }
        onTextChanging: {
            cancelBtn.visible = text.length != 0
        }
        input {
          flags: TextInputFlag.PredictionOff  | TextInputFlag.SpellCheckOff
        } 
        hintText: qsTr("Search contacts") + Retranslate.onLanguageChanged
        id: searchField
    }

    Button {
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        objectName: "cancel"
        text: qsTr("Cancel") + Retranslate.onLanguageChanged
        id: cancelBtn
        visible: searchField.text.length != 0
        preferredWidth: 100
        bottomMargin: 0; topMargin: 0; leftMargin: 0; rightMargin: 0;
        onClicked: {
            searchField.resetText();
        }
    } 
}
