import bb.cascades 1.0

Page
{
    property string groupName: "Sample Group"
    property bool declined: false
    property string contactName: "Contact Name"
    property string dateSent: "Feb 9, 2012"
    
     actions: [
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                objectName: "deleteAction"
                title: qsTr("Delete Invitation") + Retranslate.onLanguageChanged
            }
        ]
    
    content: Container
    {  
	     // default Top to Bottom Stack Layout

	    background: _UIStyleManager.containerColor
	    Container { // invitee info
	        horizontalAlignment: HorizontalAlignment.Fill
	        
	        // use a dock layout so that the drop-shadow can be attached to the avatar
	        layout: DockLayout {}
	        
	        ImageView {
	            topMargin: 0
	            bottomMargin: 0
	            imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	        }
	        
	        Container
	        {
	            layout: StackLayout {
	                orientation: LayoutOrientation.LeftToRight
	            }
	            
	            ImageView {
	                objectName: "avatar"
	                imageSource: "asset:///images/defaultAvatar.png"
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
	                scalingMethod: ScalingMethod.AspectFill
	                preferredWidth: _UILayoutManager.defaultAvatarSize
                    preferredHeight: _UILayoutManager.defaultAvatarSize
                    topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	            }
	            
	            Container
	            {
	                layoutProperties: StackLayoutProperties {
	                    spaceQuota: 1
	                }
	                
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                leftMargin: 30
	                
	                Label {
	                    objectName: "inviteeName"
	                    text: contactName
	                    textStyle.base: SystemDefaults.TextStyles.BodyText
	                    bottomMargin: 0
	                    textStyle.color: _UIStyleManager.titleBarPrimaryColor
	                }

	                Label {
	                    objectName: "pendingLabel"
	                    text: 
	                        {
	                            if(declined)
	                            {
	                                qsTr("Declined: %1").arg(groupName) + Retranslate.onLanguageChanged       
	                            }
	                            else
	                            {
	                                qsTr("Pending: %1").arg(groupName) + Retranslate.onLanguageChanged
	                            }
	                        }
	                    topMargin: 0
	                    content.flags: TextContentFlag.Emoticons
	                    textStyle.color: _UIStyleManager.titleBarSecondaryColor
	                }
	            }
	        } // invitee container
	        
	        ImageView {
	            topMargin: 0
	            bottomMargin: 0
	            imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Bottom
	        }
	    }// invite conatiner with line
	    
	    Container // invitation info
	    {
	        topMargin: 20
	        leftPadding: 20

            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            leftMargin: 30

            Label {
                objectName: "timeLabel"
                textStyle.color: Color.LightGray
                textStyle.base: SystemDefaults.TextStyles.BodyText
                text: qsTr ("Time") + Retranslate.onLanguageChanged
                bottomMargin: 0
            }
            
            Label {
                objectName: "dateSent"
                text: dateSent
                textStyle.base: SystemDefaults.TextStyles.BodyText
                topMargin: 0
            }
            
            Label {
                objectName: "messageLabel"
                textStyle.color: Color.LightGray
                textStyle.base: SystemDefaults.TextStyles.BodyText
                text: qsTr("Message") + Retranslate.onLanguageChanged
                bottomMargin: 0
            }
            
            Label {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                topMargin: 0
                multiline: true
                objectName: "invitationMessage"
                content.flags: TextContentFlag.Emoticons
                text: qsTr("I'd like to invite you to join my group called \"%1\".").arg(groupName) + Retranslate.onLanguageChanged
            }
	    } // invitation info
	}
}