import bb.cascades 1.0

Page
{
    property string name
    property string sentTime
    property string message
    property string statusMessage
    property bool rejected: false
    
    actions: [
        ActionItem {
            imageSource: "asset:///images/SentRequestActivity/actionCancel.png"
            objectName: "cancel"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: {
                if (!rejected) {
                    qsTr("Cancel Invite") + Retranslate.onLanguageChanged
                } else {
                    qsTr("Delete") + Retranslate.onLanguageChanged
                }
            }
        }
    ]
    
    content: Container {

        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill    
        
        Container // invite cell container
	    {
	        attachedObjects: [
	            ImagePaintDefinition {
	                id: back
	                imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
                }
	        ]
	        
	        layout: StackLayout {
	            orientation: LayoutOrientation.LeftToRight
	        }

            background: back.imagePaint
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	        
	        ImageView {
	            imageSource: "asset:///images/defaultAvatar.png"
	            preferredWidth: _UILayoutManager.defaultAvatarSize
                preferredHeight: _UILayoutManager.defaultAvatarSize
                topMargin: 0
                leftMargin: 0
                rightMargin: 0
                bottomMargin: 0;
	            
            	horizontalAlignment:HorizontalAlignment.Left; 
            	verticalAlignment:VerticalAlignment.Top;
	        }
	        
		    Container
		    {
	            leftPadding: _UILayoutManager.defaultPadding

                layoutProperties: StackLayoutProperties {
		            spaceQuota: 1;
		        }
		        horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
	
		        Label {
		            textStyle.color: _UIStyleManager.titleBarPrimaryColor
		            textStyle.fontSize: FontSize.Large
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                text: name
		            
		            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		        }
		        
		        Label {
		            text: statusMessage
		            textStyle.fontSize: FontSize.Small
		            textStyle.color: _UIStyleManager.titleBarSecondaryColor
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
		            
		            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		        }
		    }
	    } // end invite cell container
    
        DefaultSeparator {}
        
        ScrollView {
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }

	        Container // info container
		    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
		    
		        rightPadding: _UILayoutManager.defaultPadding
	            leftPadding: _UILayoutManager.defaultPadding
	            topPadding: _UILayoutManager.defaultPadding
	
	            Label {
			    	text: qsTr("Sent:") + Retranslate.onLanguageChanged
			    	textStyle.color: _UIStyleManager.secondaryTextColor
	                textStyle.fontSize: FontSize.Medium
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
			        topMargin: 0
			        leftMargin: 0
			        rightMargin: 0
			        bottomMargin: 0
			    }
			    
			    Label {
			    	textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.fontSize: FontSize.Medium
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
		            text: sentTime
	                topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	            }
			    
			    Label {
			    	text: qsTr("Message:") + Retranslate.onLanguageChanged
			    	textStyle.color: _UIStyleManager.secondaryTextColor
	                textStyle.fontSize: FontSize.Medium
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
	                topMargin: 60
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	            }
			    
			    Label {
			    	textStyle.color: _UIStyleManager.primaryTextColor
	                textStyle.fontSize: FontSize.Medium
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
		            multiline: true
		            text: message
			        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                topMargin: 0
	                leftMargin: 0
	                rightMargin: 0
	                bottomMargin: 0
	            }
		        
		    } // end info container
	        
	    } // end ScrollView
    
    } // end top level container
}