import bb.cascades 1.0

Container {
    
    id: setupBase   
        
    property alias topContent: topContent.controls
    property alias bottomContent: bottomContent.controls
    
    Container {
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        background: _UIStyleManager.backgroundColor
        
	    // Title
		Container {
		    layout: DockLayout {
		    }
		    ImageView {
		        imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Fill
		    }
		    ImageView {
		        imageSource: "asset:///images/title_bar/core_titlebar_gradient_overlay.png"
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Fill
		    }
		    Container {
		        
		        leftPadding: 20; rightPadding: 20; topPadding: 0; bottomPadding: 0;
		        
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Center
		        layout: StackLayout {
		            orientation: LayoutOrientation.LeftToRight
		        }
		        Label { 
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Fill
				
				    multiline: true
		            objectName: "title"
		            textStyle.color: Color.White
		            textStyle.fontSize: FontSize.Large
		            textStyle.textAlign: TextAlign.Left
		            text: qsTr("BBM Setup") + Retranslate.onLanguageChanged
					
					topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		        }
		    }
		}
		
		//Body
		Container {
            
            leftPadding: _UILayoutManager.defaultPadding; 
            rightPadding: _UILayoutManager.defaultPadding; 
            topPadding: _UILayoutManager.defaultPadding; 
            bottomPadding: _UILayoutManager.defaultPadding;
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
    	    layoutProperties: StackLayoutProperties {
    	        spaceQuota: 1
    	    } 
            	    
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            
	        ScrollView 
	        {
	            horizontalAlignment: HorizontalAlignment.Fill;
	            verticalAlignment: VerticalAlignment.Fill;
	            
	            scrollViewProperties {scrollMode: ScrollMode.Vertical}
            
    	       Container 
    	       {
	    			horizontalAlignment: HorizontalAlignment.Fill;
	    			verticalAlignment: VerticalAlignment.Fill;
	    				
	    			// This is needed cause cascades will not center align
	    			// 	the next container without it
	    	        layout: DockLayout {}
	    	        
	    	        layoutProperties: StackLayoutProperties {
	                     spaceQuota: 1
	                }
    	        
	         	    Container 
	         	    {
	         	        id: topContent		                
	         	        objectName: "topContent"
	         	        
	         			horizontalAlignment: HorizontalAlignment.Center;
	         			verticalAlignment: VerticalAlignment.Center;
	         				
	         	        layout: StackLayout {
	         	            orientation: LayoutOrientation.TopToBottom
	         	        }
	         	        
//	         	        Label {
//	         	            text: " Test Setup Base"
//	         	        }
	                 }
                }
            }
            
            Container {
        	        id: bottomContent		                
        	        objectName: "bottomContent"
        	        
                    leftPadding: _UILayoutManager.defaultPadding; 
                    rightPadding: _UILayoutManager.defaultPadding; 
                    bottomPadding: _UILayoutManager.defaultPadding;
        	        
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }
            }
		}
     }
}
