import bb.cascades 1.0

Page {
    resizeBehavior: PageResizeBehavior.None
Container {
    background: Color.create( "#fafafa" )
    layout: StackLayout {}
    
    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        minHeight: 121 
        background: header_bg.imagePaint
        attachedObjects: [
            ImagePaintDefinition {
                id: header_bg
                imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
            },
            ImagePaintDefinition {
                id: header_bg_overlay
                imageSource: "asset:///images/title_bar/core_titlebar_gradient_overlay.png"
            }
        ]

        Container {
            background: header_bg_overlay.imagePaint
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: DockLayout {}
            leftPadding: 20
            Label {
                // This should allow the ImageView to hear touch events.
                id: accountLabelShadow
                overlapTouchPolicy: accountLabel.overlapTouchPolicy
                text: accountLabel.text
                textStyle.fontFamily: accountLabel.textStyle.fontFamily
                textStyle.fontSize: accountLabel.textStyle.fontSize
                textStyle.color: Color.Black
                opacity: 0.5
                translationY: accountLabel.translationY + 2
                horizontalAlignment: accountLabel.horizontalAlignment
                verticalAlignment: accountLabel.verticalAlignment
            } // accountLabelShadow
            Label {
                // This should allow the ImageView to hear touch events.
                overlapTouchPolicy: OverlapTouchPolicy.Allow
                id: accountLabel
                text: qsTr("Get Started") + Retranslate.onLanguageChanged
                textStyle {
                    fontFamily: "Slate Pro"
                    fontSize: FontSize.Large
                    color: Color.create( "#ffffff" )
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center    
            } // accountLabel
        }
    }
    
    ImageView {
        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
        topMargin: 0
        horizontalAlignment: HorizontalAlignment.Fill
    }
    
    Container {
        layout: DockLayout {}
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
		
	    Container {
	        layout: StackLayout { orientation: LayoutOrientation.TopToBottom }
	        horizontalAlignment: HorizontalAlignment.Center;
    		verticalAlignment: VerticalAlignment.Center;
    		
	        ImageView {
	            imageSource: "asset:///images/SetupPage/Icon.png"
	            horizontalAlignment: HorizontalAlignment.Center
	            bottomPadding: 30
	        }
	                            
	        Label {
	            text: qsTr( "BBM" ) + Retranslate.onLanguageChanged
	            horizontalAlignment: HorizontalAlignment.Center
	            textStyle {
	                fontFamily: "Slate Pro"
	                fontSize: FontSize.Large
	                color: Color.create( "#262626" )
	                textAlign: TextAlign.Center
	            }
	            bottomPadding: 30
	        }
	        
	        Label {
	            leftPadding: 70
	            rightPadding: 70
	            multiline: true
	            text: qsTr( "Set up BBM now to chat and share with your BlackBerry contacts in real-time." ) + Retranslate.onLanguageChanged
	            horizontalAlignment: HorizontalAlignment.Center
	            textStyle {
	                fontFamily: "Slate Pro"
	                fontSize: FontSize.Small
	                color: Color.create( "#555555" )
	                textAlign: TextAlign.Center
	            }
	            bottomPadding: 30
	        }
	        
	        Button {
	            objectName: "Continue"
	            text: qsTr("Set Up") + Retranslate.onLanguageChanged
	            horizontalAlignment: HorizontalAlignment.Center
	        }
	        Button {
	            objectName: "Exit"
	            text: qsTr("Cancel") + Retranslate.onLanguageChanged
	            horizontalAlignment: HorizontalAlignment.Center
	        }
	    }
    }
}
}
