import bb.cascades 1.0

Dialog {
    id: setupLearnMoreDialog
    Container {
        layout: DockLayout {
        }
        ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            imageSource: "asset:///images/Dialogs/dialog_bg.png"
        }
        Container {
            leftPadding: 20
            rightPadding: 20
            
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            Container {
                layout: DockLayout {
                }
                
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                ImageView {
                    
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    imageSource: "asset:///images/Dialogs/dialog_header_bg.png"
                }
                Container
    		    {
    	            leftPadding: 20
    	            rightPadding: 20
    	            
    	            horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Center
	                Label {
	                    objectName: "dialogTitle"
	                    textStyle.color: Color.White
                        textStyle.base: SystemDefaults.TextStyles.PrimaryText
                        text: qsTr("Learn More") + Retranslate.onLanguageChanged
	                    horizontalAlignment: HorizontalAlignment.Left
	                    verticalAlignment: VerticalAlignment.Center
	                }
	            }
            } // end title bar
            Container { // block bg container
                layout: DockLayout {
                }
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    imageSource: "asset:///images/Dialogs/dialog_body.png"
                }
                ScrollView {
                   scrollViewProperties {
                       scrollMode: ScrollMode.Vertical
                   }
                   
	                Container {
	                    leftPadding: 20
	                    rightPadding: 20
	                    topPadding: 20
	                    bottomPadding: 10
	                    
	                    layout: StackLayout {
	                        orientation: LayoutOrientation.TopToBottom
	                    }
	                    Label {
		                    objectName: "dialogBlockDescription"
		                    textStyle.color: Color.create("#121212")
		                    textStyle.fontSize: FontSize.Medium
		                    multiline: true
		                    text: qsTr("You can restore existing BBM data, including your contacts and group membership, from another BlackBerry device.\n\n" +
		                                "Before you can restore BBM on your current BlackBerry device, do one of the following:\n\n" +
		                                "-On a computer, use the Device Switch feature in the BlackBerry Link, which will create a backup file of BBM on your new device.\n\n" +
		                                "-On a device running BBM 6.2 (or earlier), you can back up remotely by registering an email address with BBM. On your new device, set up that same email address.\n\n" +
		                                "-On a BlackBerry 7.0 device or later, use the Device Switch feature, which will create a backup file of BBM on your media card. Insert the media card into your new device.")
		                                + Retranslate.onLanguageChanged
		                    horizontalAlignment: HorizontalAlignment.Fill
		                    verticalAlignment: VerticalAlignment.Fill
		                } // end block container                    
	                }
                }
            } // end block bg container
            
            Container { // Cancel/Delete buttons
                objectName: "close"
                layout: DockLayout {
                }
                ImageView {
	                id: buttonBackgroundImg
	                imageSource: "asset:///images/Dialogs/dialog_button_bg.png"
	                horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
	            }
	            Container {
                    leftPadding: 20
                    rightPadding: 20
                    bottomPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Fill
                    
                    DialogButton
                    {			                
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        imageButtonInstance.objectName: "closeButtonLabel"                        
                        dialogButtonLabel: qsTr("Close") + Retranslate.onLanguageChanged
                        
                        imageButtonInstance.onClicked: {
                            setupLearnMoreDialog.close()
                        }
                    }
                }
            }
        } // Main top to bottom container
    }
}
