import bb.cascades 1.0

Dialog
{
    id: setupWithoutRestoreDialog    
    
    property alias actionButton: actionButton // we expose this so users of this control can register for events
    property string dialogTitle: qsTr("Continue Without Restoring?") + Retranslate.onLanguageChanged
    property string labelText:  qsTr("If you continue, you won't be able to restore any existing BBM information at a later time.") + Retranslate.onLanguageChanged
    property string actionLabel: qsTr("Continue") + Retranslate.onLanguageChanged
    property string dismissLabel: qsTr("Cancel") + Retranslate.onLanguageChanged
    
    property bool rightButtonEnabled: true

    Container
    {
        layout: StackLayout {}

	    Container
	    {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1.0
            }
	        
		    layout: DockLayout {}
		    
		    Container {
		        id: backgroundContainer
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
		        background: Color.Black
		        opacity: 0.5
		    }
		    
		    Container
		    {
		        topPadding: 116 // the top edge of the dialog should be attached to the bottom of the top banner
		        
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Top
	            
	            Container {	                
    	            leftPadding: 20
    	            rightPadding: 20
    	            
    	            Container
    		        {
    		            layout: DockLayout {}
    		            
    	                horizontalAlignment: HorizontalAlignment.Fill
    	                verticalAlignment: VerticalAlignment.Fill
    		            
    		            ImageView
    		            {
    	                    horizontalAlignment: HorizontalAlignment.Fill
    	                    verticalAlignment: VerticalAlignment.Fill                    
    	                    
    		                imageSource: "asset:///images/Dialogs/dialog_header_bg.png"
    		            }
    		            
    		            Container
            		    {
            	            leftPadding: 20
            	            rightPadding: 20
            	            
            	            horizontalAlignment: HorizontalAlignment.Fill
        	                verticalAlignment: VerticalAlignment.Center
    			            Label
    			            {
    			                objectName: "dialogTitle"
    			                textStyle.color: Color.create("#ffffff")
                                textStyle.base: SystemDefaults.TextStyles.PrimaryText
                                text: dialogTitle
    		                    horizontalAlignment: HorizontalAlignment.Left
    		                    verticalAlignment: VerticalAlignment.Center
    		                    content.flags: TextContentFlag.Emoticons
    							multiline: false
    			            }
            	        }		            		        
    		        } // end title bar

                    ScrollView {
                        scrollViewProperties {
                            scrollMode: ScrollMode.Vertical
                            overScrollEffectMode: OverScrollEffectMode.None
                        }
                        Container {
                            layout: DockLayout {
                            }

                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Fill

                            ImageView {
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill

                                imageSource: "asset:///images/Dialogs/dialog_body.png"
                            }
                            Container // This container is replaced
                            {
                                leftPadding: 20
                                rightPadding: 20
                                topPadding: 40
                                bottomPadding: 40

                                id: contentContainer
                                objectName: "contentContainer"

                                layout: StackLayout {
                                    orientation: LayoutOrientation.TopToBottom
                                }

                                Label {
                                    textStyle.color: Color.create("#121212")
                                    textStyle.fontSize: FontSize.Medium
                                    text: labelText
                                    multiline: true

                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Fill

                                    topMargin: 0
                                    leftMargin: 0
                                    rightMargin: 0
                                    bottomMargin: 0
                                }
                            }

                        } // end block bg container
                    }
    		        
    		        Container // cancel delete buttons
    		        {
    		            layout: DockLayout {}
    		            
    		            horizontalAlignment: HorizontalAlignment.Fill
    	                verticalAlignment: VerticalAlignment.Fill
    		            
    		            //background: Color.create("#FF0000")
    		            
    		            ImageView
    		            {
    	                    horizontalAlignment: HorizontalAlignment.Fill
    	                    verticalAlignment: VerticalAlignment.Fill
    	                    
    		                imageSource: "asset:///images/Dialogs/dialog_button_bg.png"	                
    		            }
    		            
    		            Container
		            	{	            	
		            		layout: StackLayout {
			                    orientation: LayoutOrientation.LeftToRight
			                }
		            		
		            		leftPadding: 20; rightPadding: 20; topPadding: 0; bottomPadding: 20;  
		            					            		
		            		horizontalAlignment: HorizontalAlignment.Fill
		            		verticalAlignment: VerticalAlignment.Fill		            		
		            		
                            DialogButton
                            {
                                id: cancelButton				                
                                imageButtonInstance.objectName: "cancelButton"
                                
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: 1
                                }
                                
                                dialogButtonLabel: dismissLabel + Retranslate.onLanguageChanged
                                
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                            }
				            
				            
                            DialogButton
                            {
                                id: actionButton				                
                                imageButtonInstance.objectName: "actionButton"
                                
                                layoutProperties: StackLayoutProperties {
                                    spaceQuota: 1
                                }
                                
                                imageButtonInstance.enabled: rightButtonEnabled
                                dialogButtonLabel: actionLabel + Retranslate.onLanguageChanged
                                
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                            }
		            	}
    		        }
	            }
		    } // Main top to bottom container
	    }
    }
}
