import bb.cascades 1.0
import bb.extensions.cascades.tokenentry 1.0

Sheet
{
    id: tpaInviteSheet
    
    content: Page
    {
        objectName: "page"
        
	    titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Invite") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                tpaInviteSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "sendAction"
	            title: qsTr("Send") + Retranslate.onLanguageChanged
	        }
	    }
        
        actions: [
            ActionItem {
                imageSource: "asset:///images/QRCode.png"
                objectName: "barcodeAction"
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Scan to Invite") + Retranslate.onLanguageChanged
            },
            ActionItem {
                objectName: "nfcAction"
                imageSource: "asset:///images/PendingInvites/NFCSmall.png"
                title: qsTr("Tap to Invite") + Retranslate.onLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
            }
        ]
        
        content: Container
    	{
    		layout: StackLayout {
    			orientation: LayoutOrientation.TopToBottom
    		}
    	
    	    ScrollView {
    	    Container // drop shadow dock layout
    	    {
    	    	layout: DockLayout {}
    	    	
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
				
    			layoutProperties: StackLayoutProperties {
    				spaceQuota: 1
    			}
    			
    	    	Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
    				layout: StackLayout {
    					orientation: LayoutOrientation.TopToBottom
    				}
    
    			    Container // to container
    			    {
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Fill;
    			    
    			        rightPadding: 20
					    leftPadding: 20
					    topPadding: 15
					    bottomPadding: 15
			            Label
                        {
                            objectName: "toLabel"
                            text: qsTr("To:")
    						horizontalAlignment: HorizontalAlignment.Fill;
							verticalAlignment: VerticalAlignment.Top;
                        }
    			    } // end to container
    			    
    			    Container // message container which is a placehold for the SmartTextArea. NOTE: Dont remove this container!!
    			    {
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Fill;
						objectName: "messageContainer"
    			    
    			        layout: StackLayout {
    				        orientation: LayoutOrientation.LeftToRight
    			        }
				        
				        rightPadding: 20
					    leftPadding: 20
					    bottomPadding: 15					        			        
    			    } // end message container
    			    
    			    ImageView // horizontal line
    			    {
                        objectName: "horizontalLineAfterMessage"
                        
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Top;
						
    			        imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
    			    } // end horizontal line
    			    
    			    Container // category container
    			    {
    			        objectName: "categoryContainer"
    			        
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Fill;
    			    
    			        layout: StackLayout {
    				        orientation: LayoutOrientation.LeftToRight
    			        }
	        
				        rightPadding: 20
					    leftPadding: 20
					    bottomPadding: 15
					    topPadding: 12
					    
    				    DropDown {
    				        title: qsTr("Category") + Retranslate.onLanguageChanged
    				        objectName: "category"
    				        
    				        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    				    }
    			    } // end category container
    			} // end content
                
    	    	ImageView
    	    	{
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
                
    	    } // end drop shadow dock layout
    	    }
    	} // main container
    }
}
