import bb.cascades 1.0
import bb.extensions.cascades.tokenentry 1.0

Page
{
    titleBar: TitleBar
    {
        title : qsTr("Invite BBM Users") + Retranslate.onLanguageChanged
        
        dismissAction: ActionItem {
            objectName: "cancelAction"
            title: qsTr("Cancel") + Retranslate.onLanguageChanged
        }
        
        acceptAction: ActionItem {
            id: inviteAction
            objectName: "inviteAction"
            enabled: false
            title: qsTr("Invite") + Retranslate.onLanguageChanged
        }
    }
    
    content: Container
	{
		layout: StackLayout {
			orientation: LayoutOrientation.TopToBottom
		}
	
	    ScrollView {
	    Container // drop shadow dock layout
	    {
	    	layout: DockLayout {}
	    	
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			layoutProperties: StackLayoutProperties {
				spaceQuota: 1
			}
	    	
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
				layout: StackLayout {
					orientation: LayoutOrientation.TopToBottom
				}

			    Container // to container
			    {
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Fill;
			    
			        rightPadding: 20
				    leftPadding: 20
				    topPadding: 15
				    bottomPadding: 15

                    TokenEntry
                    {
                        id: tokenEntry
			            objectName: "tokenEntry"
                        label: qsTr("To:")
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Top;
                    }
			    } // end to container
			    
			    ImageView // horizontal line
			    {
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Top;
			
			        imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
			    } // end horizontal line
			    
			    Container // message container
			    {
					horizontalAlignment: HorizontalAlignment.Fill;
					verticalAlignment: VerticalAlignment.Fill;
			        
			        rightPadding: 20
				    leftPadding: 20
				    bottomPadding: 15
				    topPadding: 20
			        
			        Label
				    {
						horizontalAlignment: HorizontalAlignment.Fill;
						verticalAlignment: VerticalAlignment.Fill;
				    
				        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
				        text: qsTr("Message:") + Retranslate.onLanguageChanged
				        textStyle.color: Color.create("#4A4A4A")
				    }

                    Label {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill

                        objectName: "message"
                        id: message
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        bottomMargin: 0
                        multiline: true
                    }

                } // end message container
            } // end content
            
	    	ImageView
	    	{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
            }
            
	    } // end drop shadow dock layout
	    } // scroll view
	} // main container
}
