import bb.cascades 1.0

Page
{
    property string messageText: ""
    property string inviteeName: ""
    property string timestamp: ""
    property string appName: ""
    property bool isAvailableInAppWorld: true
    
    titleBar: TitleBar {
        title : qsTr("Application Request") + Retranslate.onLanguageChanged
    }
    
    actions: [
        ActionItem {
            objectName: "downloadAction"
            imageSource: "asset:///images/MainScreen/overflow/downloadTpa.png"
            title: qsTr("Download") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
            enabled: isAvailableInAppWorld
        },
                
        ActionItem {
            objectName: "ignoreAction"
            imageSource: "asset:///images/GroupsGeneral/ic_ignore.png"
            title: qsTr("Ignore") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.OnBar
        }
    ]
    
    content: Container
    {
    		layout: StackLayout {
    			orientation: LayoutOrientation.TopToBottom
    		}
    	
    	    Container // drop shadow dock layout
    	    {
    	    	layout: DockLayout {}
    	    	
    		    Container // invite cell container
    		    {
    		        layout: StackLayout {
    		            orientation: LayoutOrientation.LeftToRight
    		        }
    		        
		            horizontalAlignment: HorizontalAlignment.Fill
		            verticalAlignment: VerticalAlignment.Fill
    		        
    		        ImageView {
    		            objectName: "appIcon"
    		            imageSource: "asset:///images/defaultTpaIcon.png"
    		            preferredWidth: 120;
    		            preferredHeight: 120;
    		            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    		            
		            	horizontalAlignment:HorizontalAlignment.Left; 
		            	verticalAlignment:VerticalAlignment.Top;  	            
    		        }
    		        
    			    Container
    			    {
			            leftPadding: 20
    			        
    			        layoutProperties: StackLayoutProperties {
    			            spaceQuota: 1;
    			        }
    			        horizontalAlignment: HorizontalAlignment.Fill
    			        verticalAlignment: VerticalAlignment.Center
    		
    			        Label
    			        {
    			            textStyle.color: _UIStyleManager.primaryTextColor
    			            textStyle.base: SystemDefaults.TextStyles.TitleText
    			            text: appName
    			            
    			            horizontalAlignment: HorizontalAlignment.Fill
    			            verticalAlignment: VerticalAlignment.Center
    			            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    			        }
    			        
    			        Label {
    			            textStyle.color:  _UIStyleManager.secondaryTextColor
    			            textStyle.base: SystemDefaults.TextStyles.SubtitleText
    			            text: inviteeName
    			            
    			            horizontalAlignment: HorizontalAlignment.Fill
    			            verticalAlignment: VerticalAlignment.Center
    			            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    			        }
    			    }
    		    } // end invite cell container
    		    
    	    	ImageView
    	    	{
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Top
                    imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
                }
    	    } // end drop shadow dock layout
    	    
    	    ImageView // horizontal line
    	    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Top;
    	
    	        imageSource: "asset:///images/MainScreen/cells/horizontal_line.png"
    	        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    	    } // end horizontal line
    	    
    	    Container // info container
    	    {
    			horizontalAlignment: HorizontalAlignment.Fill;
    			verticalAlignment: VerticalAlignment.Fill;
    	    
    	        rightPadding: 20
    		    leftPadding: 20
    		    topPadding: 20
    	        
    		    Label {
    		    	text: qsTr("Sent:") + Retranslate.onLanguageChanged
    		    	textStyle.color: _UIStyleManager.secondaryTextColor
    		    	textStyle.base: SystemDefaults.TextStyles.SubtitleText
    	            horizontalAlignment: HorizontalAlignment.Fill
    	            verticalAlignment: VerticalAlignment.Fill
    		        
    		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    		    }
    		    
    		    Label {
    		    	textStyle.color: _UIStyleManager.timestampTextColor
    		    	textStyle.base: SystemDefaults.TextStyles.SubtitleText
    	            horizontalAlignment: HorizontalAlignment.Fill
    	            verticalAlignment: VerticalAlignment.Fill
    	            text: timestamp
    		        
    		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    		    }
    		    
    		    Label {
    		    	text: qsTr("Message:") + Retranslate.onLanguageChanged
    		    	textStyle.color: _UIStyleManager.secondaryTextColor
    		    	textStyle.base: SystemDefaults.TextStyles.SubtitleText
    	            horizontalAlignment: HorizontalAlignment.Fill
    	            verticalAlignment: VerticalAlignment.Fill
    		        
    		        topMargin: 60; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    		    }
    		    
    		    Label {
    		    	textStyle.color: _UIStyleManager.primaryTextColor
    		    	textStyle.base: SystemDefaults.TextStyles.SubtitleText
    	            horizontalAlignment: HorizontalAlignment.Fill
    	            verticalAlignment: VerticalAlignment.Fill
    	            multiline: true
    	            text: messageText
    		        content.flags: TextContentFlag.Emoticons
    		        
    		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    		    }
    	        
    	    } // end info container
    	    
    	}
}
