import bb.cascades 1.0

Container
{
    signal stateChanged(bool checked)
    
    property string titleText: "Sample"
    property string subtitleText: "more details"
    property bool userDriven: false
    property bool enableMode: false
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Top

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }    
    
    leftPadding: 20; rightPadding: 20; bottomPadding: 10; topPadding: 10;

    Container {
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
    
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        leftPadding: 0; rightPadding: 0; bottomPadding: 10; topPadding: 0;
        
        Label
        {
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
    
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            multiline: true
    
            textStyle.base: SystemDefaults.TextStyles.TitleText
            topMargin: 0; bottomMargin: 0; leftMargin: 0; rightMargin: 0;
            text: titleText
        }
        
        ToggleButton
        {
            id: toggleButton
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
            checked: enableMode
            
            onTouch: {
                userDriven = true
            }
                    
            onCheckedChanged: {
                if (userDriven) {
                    stateChanged(checked)
                }
            }
        }
    }
    
    Label
    {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        multiline: true
    
        textStyle.base: SystemDefaults.TextStyles.SubtitleText
        topMargin: 0; bottomMargin: 0; leftMargin: 0; rightMargin: 0;
        text: subtitleText
    }
}