import bb.cascades 1.0

Page
{
    property bool allowBBMConnect: true
    property bool showProfileUpdates: true
    property bool allowBBMContactInvites: true
    property bool allowAutomaticConnectionWithOthers: true
    property string appName: "Tpa Name" 
    property string companyName: "Company Name"
    
    titleBar: TitleBar {
        title: qsTr("Permission Details") + Retranslate.onLanguageChanged
    }

    content: Container
    {
        touchPropagationMode: TouchPropagationMode.PassThrough
        
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        
		Container {
		        
	        layout: StackLayout {
	            orientation: LayoutOrientation.LeftToRight
	        }
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        
	        leftPadding: 20; rightPadding: 20; bottomPadding: 20; topPadding: 20;
	        
	        ImageView {
	            objectName: "tpaIcon"
	            imageSource: "asset:///images/defaultTpaIcon.png"
	            preferredWidth: 119
	            preferredHeight: 119
	            minWidth: 50
	            minHeight: 50
	            topMargin: 0;leftMargin: 0;rightMargin: 0;bottomMargin: 0
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
	        }
	        
	        Container {
	            
	            layout: StackLayout {
	                orientation: LayoutOrientation.TopToBottom
	            }
	            
				layoutProperties: StackLayoutProperties
				{
					spaceQuota: 1
				}
				
	            leftPadding: 20;rightPadding: 20;topPadding: 0;bottomPadding: 0
	            
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
	            
	            Label {
	                textStyle.fontSize: FontSize.Medium
	                textStyle.fontWeight: FontWeight.Bold
	                text: appName
	                multiline: true
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
	                topMargin: 0;leftMargin: 0;rightMargin: 0;bottomMargin: 0
	            }
	            
	            Label {
	                textStyle.fontSize: FontSize.XSmall
	                text: companyName
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
	                topMargin: 0;leftMargin: 0;rightMargin: 0;bottomMargin: 0
	            }
	        }
	    }

        ScrollView
        {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }

            Container // main container
            {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill

                Divider {}
                
                TpaPermissionPair
                {
                    objectName: "BBMConnect"
                    enableMode: allowBBMConnect
                    titleText: qsTr("BBM Connect") + Retranslate.onLanguageChanged
                    subtitleText: qsTr("Allows this app to connect to BBM so you can chat or update your BBM profile without leaving the BBM connected app.") + Retranslate.onLanguageChanged
                }

                Divider {}
                
                TpaPermissionPair
                {
                    objectName: "ProfileUpdates"
                    enableMode: showProfileUpdates
                    titleText: qsTr("Profile Updates") + Retranslate.onLanguageChanged
                    subtitleText: qsTr("Add this app to your BBM profile. You can decide which activities or achievements your BBM contacts see.") + Retranslate.onLanguageChanged
                }

                Divider {}
                
                TpaPermissionPair
                {
                    objectName: "BBMContactInvites"
                    enableMode: allowBBMContactInvites
                    titleText: qsTr("BBM Contact Invites") + Retranslate.onLanguageChanged
                    subtitleText: qsTr("Allow other users of this app to send you invitations to become a BBM Contact.") + Retranslate.onLanguageChanged
                }
                
                Divider {}
	                
                TpaPermissionPair
                {
                    objectName: "AutomaticallyConnectWithOthers"
                    enableMode: allowAutomaticConnectionWithOthers
                    titleText: qsTr("Automatically Connect with Others") + Retranslate.onLanguageChanged
                    subtitleText: qsTr("Allow this app to automatically connect you with other users of the app.") + Retranslate.onLanguageChanged
                }
                
                Divider {}
            } // end main container
        }
    }
}