import bb.cascades 1.0

Container
{
    property alias textArea: smartTextArea
    property bool showRedBorder: false
    property int maxLength: 100
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Center
    
    layout: DockLayout {}
    
    leftPadding: 0; rightPadding: 0; topPadding: 0; bottomPadding: 0;
    
    ImageView {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        imageSource: "asset:///images/RedBorder.png"
        visible: showRedBorder
        id: redBorder
    } 

    TextField {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        id: smartTextArea
        objectName: "validatingTextField"
        textStyle.color: Color.Black
        textStyle.base: SystemDefaults.TextStyles.BodyText
        content.flags: TextContentFlag.Emoticons
        
        onTextChanging: {
            redBorder.visible = text.length > maxLength
        }

        onFocusedChanged:
        {
            if (focused) {
                redBorder.visible = false
            }
        }
        
        maxHeight: 250
    }
}