import bb.cascades 1.0

Container {
    
    id: root
    
    property bool isIncoming: false

    property string voiceNoteDescription
    property bool descriptionVisible: false
    property string fileName
    property string percentCompleteLabel
    property string status
    property real progressFromValue
    property real progressToValue
    property real progressValue
    property bool pregressVisible: false
    
    layout: DockLayout {
    }
    
    rightPadding: isIncoming ? _UILayoutManager.bubbleListPadding - 7 /* Embedded padding */ : 43
    leftPadding: isIncoming ? 45 : _UILayoutManager.bubbleListPadding - 5 /* Embedded padding */
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    ImageView {
        objectName: "background"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
    }
    Container {
        
        objectName: "bubble"

        topPadding: _UILayoutManager.bubbleInnerPadding
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        bottomPadding: _UILayoutManager.bubbleInnerPadding + 26
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        BubbleHeader {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        Container {
            id: inboundVoiceNoteContainer
            objectName: "inboundVoiceNoteContainer"
            topPadding: 10
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Label {
                objectName: "voiceNoteDescription"
                content.flags: TextContentFlag.Emoticons
                textStyle.base: SystemDefaults.TextStyles.BodyText
                text: voiceNoteDescription
                visible: descriptionVisible
            }

            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                preferredHeight: _UILayoutManager.bubbleThumbnailSize
                
                ImageView {
                    objectName: "voiceNoteButton"
                    imageSource: "asset:///images/file/voicenote_160x160.png"
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    preferredWidth: _UILayoutManager.bubbleThumbnailSize
                    preferredHeight: _UILayoutManager.bubbleThumbnailSize
                }
                                
                Container {
                    leftPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    Label {
                        objectName: "voiceNoteFileNameLabel"
                        horizontalAlignment: HorizontalAlignment.Left
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
                        text: fileName
                    }
                    Label {
                        objectName: "voiceNotePercentCompleteLabel"
                        horizontalAlignment: HorizontalAlignment.Left
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        textStyle.color: _UIStyleManager.secondaryTextColor
                        textStyle.fontSize: FontSize.Small
                        text: percentCompleteLabel
                    }
                    Container {
                        layout: DockLayout {
                        }
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        topPadding: _UILayoutManager.defaultPadding
                        Label {
                            objectName: "voiceNoteTitleLabel"
                            horizontalAlignment: HorizontalAlignment.Fill
                            verticalAlignment: VerticalAlignment.Bottom
                            bottomMargin: 0
                            topMargin: 0
                            leftMargin: 0
                            rightMargin: 0
                            textStyle.fontSize: FontSize.Small
                            textStyle.color: _UIStyleManager.secondaryTextColor
                            textStyle.fontStyle: FontStyle.Italic
                            text: status
                        }
                    }
                    ProgressIndicator {
                        objectName: "voiceNoteProgressIndicator"
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                        bottomMargin: 0
                        topMargin: 0
                        leftMargin: 0
                        rightMargin: 0
                        fromValue: progressFromValue
                        toValue: progressToValue
                        value: progressValue
                        visible: pregressVisible
                    }
                }
            }
        }
    }
}
